import{s as Pa,n as ja,o as Sa}from"../chunks/scheduler.b108d059.js";import{S as Na,i as Ra,g as o,s as i,p as h,A as Da,h as a,f as t,c as s,j as d,q as p,m as u,k as n,v as c,a as r,r as f,d as v,t as m,u as b}from"../chunks/index.505cd174.js";import{I as y}from"../chunks/IconCopyLink.74cd415a.js";function Ka(to){let _,Dt,G,Kt,x,S,Ct,Q,qr,ct,lo="utils/core",Bt,W,ro="Core utility functions/classes for Transformers.js.",It,X,oo=`These are only used internally, meaning an end-user shouldn’t
need to access anything here.`,qt,Y,ao='<li><a href="#module_utils/core">utils/core</a><ul><li><em>static</em><ul><li><a href="#module_utils/core.Callable"><code>.Callable</code></a> : <code>*</code></li> <li><a href="#module_utils/core.reverseDictionary"><code>.reverseDictionary(data)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.escapeRegExp"><code>.escapeRegExp(string)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/core.isString"><code>.isString(text)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isTypedArray"><code>.isTypedArray(val)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isIntegralNumber"><code>.isIntegralNumber(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.exists"><code>.exists(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.calculateDimensions"><code>.calculateDimensions(arr)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/core.pop"><code>.pop(obj, key, defaultValue)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/core.mergeArrays"><code>.mergeArrays(arrs)</code></a> ⇒ <code>Array</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/core..Callable">~Callable</a><ul><li><a href="#new_module_utils/core..Callable_new"><code>new Callable()</code></a></li> <li><a href="#module_utils/core..Callable+_call"><code>._call(...args)</code></a></li></ul></li></ul></li></ul></li>',Ot,zt,Ut,Z,Vt,T,N,$t,ee,Or,dt,io="<code>utils/core.Callable</code> : <code>*</code>",Jt,te,so="A base class for creating callable objects.",Ft,le,no='<strong>Kind</strong>: static constant of <a href="#module_utils/core"><code>utils/core</code></a>',Gt,Qt,Wt,re,Xt,w,R,Ht,oe,zr,ut,co="<code>utils/core.reverseDictionary(data)</code> ⇒ <code>Object</code>",Yt,ae,uo="Reverses the keys and values of an object.",Zt,ie,ho='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The reversed object.<br/> <strong>See</strong>: <a href="https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript" rel="nofollow">https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript</a>',el,se,po="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Object</code></td><td><p>The object to reverse.</p></td></tr></tbody>",tl,ll,rl,ne,ol,C,D,gt,ce,Ur,ht,fo="<code>utils/core.escapeRegExp(string)</code> ⇒ <code>string</code>",al,de,vo="Escapes regular expression special characters from a string by replacing them with their escaped counterparts.",il,ue,mo='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>string</code> - The escaped string.',sl,he,bo="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>string</td><td><code>string</code></td><td><p>The string to escape.</p></td></tr></tbody>",nl,cl,dl,pe,ul,$,K,At,fe,Vr,pt,yo="<code>utils/core.isString(text)</code> ⇒ <code>boolean</code>",hl,ve,_o="Check if a value is a string.",pl,me,xo='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a string, false otherwise.',fl,be,To="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>text</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",vl,ml,bl,ye,yl,H,B,Lt,_e,Jr,ft,wo="<code>utils/core.isTypedArray(val)</code> ⇒ <code>boolean</code>",_l,xe,Co="Check if a value is a typed array.",xl,Te,$o='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a <code>TypedArray</code>, false otherwise.',Tl,we,Ho='Adapted from <a href="https://stackoverflow.com/a/71091338/13989043" rel="nofollow">https://stackoverflow.com/a/71091338/13989043</a>',wl,Ce,go="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>val</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Cl,$l,Hl,$e,gl,g,I,Mt,He,Fr,vt,Ao="<code>utils/core.isIntegralNumber(x)</code> ⇒ <code>boolean</code>",Al,ge,Lo="Check if a value is an integer.",Ll,Ae,Mo='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a string, false otherwise.',Ml,Le,ko="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",kl,El,Pl,Me,jl,A,q,kt,ke,Gr,mt,Eo="<code>utils/core.exists(x)</code> ⇒ <code>boolean</code>",Sl,Ee,Po="Check if a value is exists.",Nl,Pe,jo='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value exists, false otherwise.',Rl,je,So="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Dl,Kl,Bl,Se,Il,L,O,Et,Ne,Qr,bt,No="<code>utils/core.calculateDimensions(arr)</code> ⇒ <code>Array</code>",ql,Re,Ro="Calculates the dimensions of a nested array.",Ol,De,Do='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - An array containing the dimensions of the input array.',zl,Ke,Ko="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array</code></td><td><p>The nested array to calculate dimensions for.</p></td></tr></tbody>",Ul,Vl,Jl,Be,Fl,M,z,Pt,Ie,Wr,yt,Bo="<code>utils/core.pop(obj, key, defaultValue)</code> ⇒ <code>*</code>",Gl,qe,Io="Replicate python’s .pop() method for objects.",Ql,Oe,qo='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>*</code> - The value of the popped key.<br/> <strong>Throws</strong>:',Wl,ze,Oo="<li><code>Error</code> If the key does not exist and no default value is provided.</li>",Xl,Ue,zo="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>obj</td><td><code>Object</code></td><td><p>The object to pop from.</p></td> </tr><tr><td>key</td><td><code>string</code></td><td><p>The key to pop.</p></td> </tr><tr><td>defaultValue</td><td><code>*</code></td><td><p>The default value to return if the key does not exist.</p></td></tr></tbody>",Yl,Zl,er,Ve,tr,k,U,jt,Je,Xr,_t,Uo="<code>utils/core.mergeArrays(arrs)</code> ⇒ <code>Array</code>",lr,Fe,Vo=`Efficiently merge arrays, creating a new copy.
Adapted from <a href="https://stackoverflow.com/a/6768642/13989043" rel="nofollow">https://stackoverflow.com/a/6768642/13989043</a>`,rr,Ge,Jo='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The merged array.',or,Qe,Fo="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arrs</td><td><code>Array.&lt;Array&gt;</code></td><td><p>Arrays to merge.</p></td></tr></tbody>",ar,ir,sr,We,nr,E,V,St,Xe,Yr,xt,Go="utils/core~Callable",cr,Ye,Qo='<strong>Kind</strong>: inner class of <a href="#module_utils/core"><code>utils/core</code></a>',dr,Ze,Wo='<li><a href="#module_utils/core..Callable">~Callable</a><ul><li><a href="#new_module_utils/core..Callable_new"><code>new Callable()</code></a></li> <li><a href="#module_utils/core..Callable+_call"><code>._call(...args)</code></a></li></ul></li>',ur,hr,pr,et,fr,P,J,Nt,tt,Zr,Tt,Xo="<code>new Callable()</code>",vr,lt,Yo="Creates a new instance of the Callable class.",mr,br,yr,rt,_r,j,F,Rt,ot,eo,wt,Zo="<code>callable._call(...args)</code>",xr,at,ea=`This method should be implemented in subclasses to provide the
functionality of the callable object.`,Tr,it,ta='<strong>Kind</strong>: instance method of <a href="#module_utils/core..Callable"><code>Callable</code></a><br/> <strong>Throws</strong>:',wr,st,la="<li><code>Error</code> If the subclass does not implement the `_call` method.</li>",Cr,nt,ra="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>...args</td><td><code>Array.&lt;any&gt;</code></td></tr></tbody>",$r,Hr,gr;return Q=new y({}),ee=new y({}),oe=new y({}),ce=new y({}),fe=new y({}),_e=new y({}),He=new y({}),ke=new y({}),Ne=new y({}),Ie=new y({}),Je=new y({}),Xe=new y({}),tt=new y({}),ot=new y({}),{c(){_=o("meta"),Dt=i(),G=o("a"),Kt=i(),x=o("h1"),S=o("a"),Ct=o("span"),h(Q.$$.fragment),qr=i(),ct=o("span"),ct.textContent=lo,Bt=i(),W=o("p"),W.textContent=ro,It=i(),X=o("p"),X.textContent=oo,qt=i(),Y=o("ul"),Y.innerHTML=ao,Ot=i(),zt=o("hr"),Ut=i(),Z=o("a"),Vt=i(),T=o("h2"),N=o("a"),$t=o("span"),h(ee.$$.fragment),Or=i(),dt=o("span"),dt.innerHTML=io,Jt=i(),te=o("p"),te.textContent=so,Ft=i(),le=o("p"),le.innerHTML=no,Gt=i(),Qt=o("hr"),Wt=i(),re=o("a"),Xt=i(),w=o("h2"),R=o("a"),Ht=o("span"),h(oe.$$.fragment),zr=i(),ut=o("span"),ut.innerHTML=co,Yt=i(),ae=o("p"),ae.textContent=uo,Zt=i(),ie=o("p"),ie.innerHTML=ho,el=i(),se=o("table"),se.innerHTML=po,tl=i(),ll=o("hr"),rl=i(),ne=o("a"),ol=i(),C=o("h2"),D=o("a"),gt=o("span"),h(ce.$$.fragment),Ur=i(),ht=o("span"),ht.innerHTML=fo,al=i(),de=o("p"),de.textContent=vo,il=i(),ue=o("p"),ue.innerHTML=mo,sl=i(),he=o("table"),he.innerHTML=bo,nl=i(),cl=o("hr"),dl=i(),pe=o("a"),ul=i(),$=o("h2"),K=o("a"),At=o("span"),h(fe.$$.fragment),Vr=i(),pt=o("span"),pt.innerHTML=yo,hl=i(),ve=o("p"),ve.textContent=_o,pl=i(),me=o("p"),me.innerHTML=xo,fl=i(),be=o("table"),be.innerHTML=To,vl=i(),ml=o("hr"),bl=i(),ye=o("a"),yl=i(),H=o("h2"),B=o("a"),Lt=o("span"),h(_e.$$.fragment),Jr=i(),ft=o("span"),ft.innerHTML=wo,_l=i(),xe=o("p"),xe.textContent=Co,xl=i(),Te=o("p"),Te.innerHTML=$o,Tl=i(),we=o("p"),we.innerHTML=Ho,wl=i(),Ce=o("table"),Ce.innerHTML=go,Cl=i(),$l=o("hr"),Hl=i(),$e=o("a"),gl=i(),g=o("h2"),I=o("a"),Mt=o("span"),h(He.$$.fragment),Fr=i(),vt=o("span"),vt.innerHTML=Ao,Al=i(),ge=o("p"),ge.textContent=Lo,Ll=i(),Ae=o("p"),Ae.innerHTML=Mo,Ml=i(),Le=o("table"),Le.innerHTML=ko,kl=i(),El=o("hr"),Pl=i(),Me=o("a"),jl=i(),A=o("h2"),q=o("a"),kt=o("span"),h(ke.$$.fragment),Gr=i(),mt=o("span"),mt.innerHTML=Eo,Sl=i(),Ee=o("p"),Ee.textContent=Po,Nl=i(),Pe=o("p"),Pe.innerHTML=jo,Rl=i(),je=o("table"),je.innerHTML=So,Dl=i(),Kl=o("hr"),Bl=i(),Se=o("a"),Il=i(),L=o("h2"),O=o("a"),Et=o("span"),h(Ne.$$.fragment),Qr=i(),bt=o("span"),bt.innerHTML=No,ql=i(),Re=o("p"),Re.textContent=Ro,Ol=i(),De=o("p"),De.innerHTML=Do,zl=i(),Ke=o("table"),Ke.innerHTML=Ko,Ul=i(),Vl=o("hr"),Jl=i(),Be=o("a"),Fl=i(),M=o("h2"),z=o("a"),Pt=o("span"),h(Ie.$$.fragment),Wr=i(),yt=o("span"),yt.innerHTML=Bo,Gl=i(),qe=o("p"),qe.textContent=Io,Ql=i(),Oe=o("p"),Oe.innerHTML=qo,Wl=i(),ze=o("ul"),ze.innerHTML=Oo,Xl=i(),Ue=o("table"),Ue.innerHTML=zo,Yl=i(),Zl=o("hr"),er=i(),Ve=o("a"),tr=i(),k=o("h2"),U=o("a"),jt=o("span"),h(Je.$$.fragment),Xr=i(),_t=o("span"),_t.innerHTML=Uo,lr=i(),Fe=o("p"),Fe.innerHTML=Vo,rr=i(),Ge=o("p"),Ge.innerHTML=Jo,or=i(),Qe=o("table"),Qe.innerHTML=Fo,ar=i(),ir=o("hr"),sr=i(),We=o("a"),nr=i(),E=o("h2"),V=o("a"),St=o("span"),h(Xe.$$.fragment),Yr=i(),xt=o("span"),xt.textContent=Go,cr=i(),Ye=o("p"),Ye.innerHTML=Qo,dr=i(),Ze=o("ul"),Ze.innerHTML=Wo,ur=i(),hr=o("hr"),pr=i(),et=o("a"),fr=i(),P=o("h3"),J=o("a"),Nt=o("span"),h(tt.$$.fragment),Zr=i(),Tt=o("span"),Tt.innerHTML=Xo,vr=i(),lt=o("p"),lt.textContent=Yo,mr=i(),br=o("hr"),yr=i(),rt=o("a"),_r=i(),j=o("h3"),F=o("a"),Rt=o("span"),h(ot.$$.fragment),eo=i(),wt=o("span"),wt.innerHTML=Zo,xr=i(),at=o("p"),at.textContent=ea,Tr=i(),it=o("p"),it.innerHTML=ta,wr=i(),st=o("ul"),st.innerHTML=la,Cr=i(),nt=o("table"),nt.innerHTML=ra,$r=i(),Hr=o("hr"),this.h()},l(e){const l=Da("svelte-1phssyn",document.head);_=a(l,"META",{name:!0,content:!0}),l.forEach(t),Dt=s(e),G=a(e,"A",{id:!0,class:!0}),d(G).forEach(t),Kt=s(e),x=a(e,"H1",{class:!0});var Ar=d(x);S=a(Ar,"A",{id:!0,class:!0,href:!0});var oa=d(S);Ct=a(oa,"SPAN",{});var aa=d(Ct);p(Q.$$.fragment,aa),aa.forEach(t),oa.forEach(t),qr=s(Ar),ct=a(Ar,"SPAN",{"data-svelte-h":!0}),u(ct)!=="svelte-zr804a"&&(ct.textContent=lo),Ar.forEach(t),Bt=s(e),W=a(e,"P",{"data-svelte-h":!0}),u(W)!=="svelte-u71mwf"&&(W.textContent=ro),It=s(e),X=a(e,"P",{"data-svelte-h":!0}),u(X)!=="svelte-1r3ntfo"&&(X.textContent=oo),qt=s(e),Y=a(e,"UL",{"data-svelte-h":!0}),u(Y)!=="svelte-1ybtj5y"&&(Y.innerHTML=ao),Ot=s(e),zt=a(e,"HR",{}),Ut=s(e),Z=a(e,"A",{id:!0,class:!0}),d(Z).forEach(t),Vt=s(e),T=a(e,"H2",{class:!0});var Lr=d(T);N=a(Lr,"A",{id:!0,class:!0,href:!0});var ia=d(N);$t=a(ia,"SPAN",{});var sa=d($t);p(ee.$$.fragment,sa),sa.forEach(t),ia.forEach(t),Or=s(Lr),dt=a(Lr,"SPAN",{"data-svelte-h":!0}),u(dt)!=="svelte-vbph78"&&(dt.innerHTML=io),Lr.forEach(t),Jt=s(e),te=a(e,"P",{"data-svelte-h":!0}),u(te)!=="svelte-1u9qjt4"&&(te.textContent=so),Ft=s(e),le=a(e,"P",{"data-svelte-h":!0}),u(le)!=="svelte-1vaez1e"&&(le.innerHTML=no),Gt=s(e),Qt=a(e,"HR",{}),Wt=s(e),re=a(e,"A",{id:!0,class:!0}),d(re).forEach(t),Xt=s(e),w=a(e,"H2",{class:!0});var Mr=d(w);R=a(Mr,"A",{id:!0,class:!0,href:!0});var na=d(R);Ht=a(na,"SPAN",{});var ca=d(Ht);p(oe.$$.fragment,ca),ca.forEach(t),na.forEach(t),zr=s(Mr),ut=a(Mr,"SPAN",{"data-svelte-h":!0}),u(ut)!=="svelte-aww5n6"&&(ut.innerHTML=co),Mr.forEach(t),Yt=s(e),ae=a(e,"P",{"data-svelte-h":!0}),u(ae)!=="svelte-dvlmk2"&&(ae.textContent=uo),Zt=s(e),ie=a(e,"P",{"data-svelte-h":!0}),u(ie)!=="svelte-14f6o7p"&&(ie.innerHTML=ho),el=s(e),se=a(e,"TABLE",{"data-svelte-h":!0}),u(se)!=="svelte-8if77n"&&(se.innerHTML=po),tl=s(e),ll=a(e,"HR",{}),rl=s(e),ne=a(e,"A",{id:!0,class:!0}),d(ne).forEach(t),ol=s(e),C=a(e,"H2",{class:!0});var kr=d(C);D=a(kr,"A",{id:!0,class:!0,href:!0});var da=d(D);gt=a(da,"SPAN",{});var ua=d(gt);p(ce.$$.fragment,ua),ua.forEach(t),da.forEach(t),Ur=s(kr),ht=a(kr,"SPAN",{"data-svelte-h":!0}),u(ht)!=="svelte-13yf77j"&&(ht.innerHTML=fo),kr.forEach(t),al=s(e),de=a(e,"P",{"data-svelte-h":!0}),u(de)!=="svelte-14ro5y0"&&(de.textContent=vo),il=s(e),ue=a(e,"P",{"data-svelte-h":!0}),u(ue)!=="svelte-nstyrr"&&(ue.innerHTML=mo),sl=s(e),he=a(e,"TABLE",{"data-svelte-h":!0}),u(he)!=="svelte-1h5d263"&&(he.innerHTML=bo),nl=s(e),cl=a(e,"HR",{}),dl=s(e),pe=a(e,"A",{id:!0,class:!0}),d(pe).forEach(t),ul=s(e),$=a(e,"H2",{class:!0});var Er=d($);K=a(Er,"A",{id:!0,class:!0,href:!0});var ha=d(K);At=a(ha,"SPAN",{});var pa=d(At);p(fe.$$.fragment,pa),pa.forEach(t),ha.forEach(t),Vr=s(Er),pt=a(Er,"SPAN",{"data-svelte-h":!0}),u(pt)!=="svelte-1ktiy0h"&&(pt.innerHTML=yo),Er.forEach(t),hl=s(e),ve=a(e,"P",{"data-svelte-h":!0}),u(ve)!=="svelte-jvuywd"&&(ve.textContent=_o),pl=s(e),me=a(e,"P",{"data-svelte-h":!0}),u(me)!=="svelte-1n9m385"&&(me.innerHTML=xo),fl=s(e),be=a(e,"TABLE",{"data-svelte-h":!0}),u(be)!=="svelte-zojxg3"&&(be.innerHTML=To),vl=s(e),ml=a(e,"HR",{}),bl=s(e),ye=a(e,"A",{id:!0,class:!0}),d(ye).forEach(t),yl=s(e),H=a(e,"H2",{class:!0});var Pr=d(H);B=a(Pr,"A",{id:!0,class:!0,href:!0});var fa=d(B);Lt=a(fa,"SPAN",{});var va=d(Lt);p(_e.$$.fragment,va),va.forEach(t),fa.forEach(t),Jr=s(Pr),ft=a(Pr,"SPAN",{"data-svelte-h":!0}),u(ft)!=="svelte-10ylygl"&&(ft.innerHTML=wo),Pr.forEach(t),_l=s(e),xe=a(e,"P",{"data-svelte-h":!0}),u(xe)!=="svelte-1oclrgb"&&(xe.textContent=Co),xl=s(e),Te=a(e,"P",{"data-svelte-h":!0}),u(Te)!=="svelte-1uuf78s"&&(Te.innerHTML=$o),Tl=s(e),we=a(e,"P",{"data-svelte-h":!0}),u(we)!=="svelte-pr567i"&&(we.innerHTML=Ho),wl=s(e),Ce=a(e,"TABLE",{"data-svelte-h":!0}),u(Ce)!=="svelte-cdg32t"&&(Ce.innerHTML=go),Cl=s(e),$l=a(e,"HR",{}),Hl=s(e),$e=a(e,"A",{id:!0,class:!0}),d($e).forEach(t),gl=s(e),g=a(e,"H2",{class:!0});var jr=d(g);I=a(jr,"A",{id:!0,class:!0,href:!0});var ma=d(I);Mt=a(ma,"SPAN",{});var ba=d(Mt);p(He.$$.fragment,ba),ba.forEach(t),ma.forEach(t),Fr=s(jr),vt=a(jr,"SPAN",{"data-svelte-h":!0}),u(vt)!=="svelte-bml8re"&&(vt.innerHTML=Ao),jr.forEach(t),Al=s(e),ge=a(e,"P",{"data-svelte-h":!0}),u(ge)!=="svelte-1ityjuy"&&(ge.textContent=Lo),Ll=s(e),Ae=a(e,"P",{"data-svelte-h":!0}),u(Ae)!=="svelte-1n9m385"&&(Ae.innerHTML=Mo),Ml=s(e),Le=a(e,"TABLE",{"data-svelte-h":!0}),u(Le)!=="svelte-6n2d7i"&&(Le.innerHTML=ko),kl=s(e),El=a(e,"HR",{}),Pl=s(e),Me=a(e,"A",{id:!0,class:!0}),d(Me).forEach(t),jl=s(e),A=a(e,"H2",{class:!0});var Sr=d(A);q=a(Sr,"A",{id:!0,class:!0,href:!0});var ya=d(q);kt=a(ya,"SPAN",{});var _a=d(kt);p(ke.$$.fragment,_a),_a.forEach(t),ya.forEach(t),Gr=s(Sr),mt=a(Sr,"SPAN",{"data-svelte-h":!0}),u(mt)!=="svelte-8thiwn"&&(mt.innerHTML=Eo),Sr.forEach(t),Sl=s(e),Ee=a(e,"P",{"data-svelte-h":!0}),u(Ee)!=="svelte-1l2mf7d"&&(Ee.textContent=Po),Nl=s(e),Pe=a(e,"P",{"data-svelte-h":!0}),u(Pe)!=="svelte-1s16qo7"&&(Pe.innerHTML=jo),Rl=s(e),je=a(e,"TABLE",{"data-svelte-h":!0}),u(je)!=="svelte-6n2d7i"&&(je.innerHTML=So),Dl=s(e),Kl=a(e,"HR",{}),Bl=s(e),Se=a(e,"A",{id:!0,class:!0}),d(Se).forEach(t),Il=s(e),L=a(e,"H2",{class:!0});var Nr=d(L);O=a(Nr,"A",{id:!0,class:!0,href:!0});var xa=d(O);Et=a(xa,"SPAN",{});var Ta=d(Et);p(Ne.$$.fragment,Ta),Ta.forEach(t),xa.forEach(t),Qr=s(Nr),bt=a(Nr,"SPAN",{"data-svelte-h":!0}),u(bt)!=="svelte-m5unyo"&&(bt.innerHTML=No),Nr.forEach(t),ql=s(e),Re=a(e,"P",{"data-svelte-h":!0}),u(Re)!=="svelte-1p78ixx"&&(Re.textContent=Ro),Ol=s(e),De=a(e,"P",{"data-svelte-h":!0}),u(De)!=="svelte-1tb7iu1"&&(De.innerHTML=Do),zl=s(e),Ke=a(e,"TABLE",{"data-svelte-h":!0}),u(Ke)!=="svelte-1kcvid9"&&(Ke.innerHTML=Ko),Ul=s(e),Vl=a(e,"HR",{}),Jl=s(e),Be=a(e,"A",{id:!0,class:!0}),d(Be).forEach(t),Fl=s(e),M=a(e,"H2",{class:!0});var Rr=d(M);z=a(Rr,"A",{id:!0,class:!0,href:!0});var wa=d(z);Pt=a(wa,"SPAN",{});var Ca=d(Pt);p(Ie.$$.fragment,Ca),Ca.forEach(t),wa.forEach(t),Wr=s(Rr),yt=a(Rr,"SPAN",{"data-svelte-h":!0}),u(yt)!=="svelte-17c8vea"&&(yt.innerHTML=Bo),Rr.forEach(t),Gl=s(e),qe=a(e,"P",{"data-svelte-h":!0}),u(qe)!=="svelte-1m1a0x7"&&(qe.textContent=Io),Ql=s(e),Oe=a(e,"P",{"data-svelte-h":!0}),u(Oe)!=="svelte-1dwq64m"&&(Oe.innerHTML=qo),Wl=s(e),ze=a(e,"UL",{"data-svelte-h":!0}),u(ze)!=="svelte-n4a723"&&(ze.innerHTML=Oo),Xl=s(e),Ue=a(e,"TABLE",{"data-svelte-h":!0}),u(Ue)!=="svelte-j5xxk1"&&(Ue.innerHTML=zo),Yl=s(e),Zl=a(e,"HR",{}),er=s(e),Ve=a(e,"A",{id:!0,class:!0}),d(Ve).forEach(t),tr=s(e),k=a(e,"H2",{class:!0});var Dr=d(k);U=a(Dr,"A",{id:!0,class:!0,href:!0});var $a=d(U);jt=a($a,"SPAN",{});var Ha=d(jt);p(Je.$$.fragment,Ha),Ha.forEach(t),$a.forEach(t),Xr=s(Dr),_t=a(Dr,"SPAN",{"data-svelte-h":!0}),u(_t)!=="svelte-1d96gbk"&&(_t.innerHTML=Uo),Dr.forEach(t),lr=s(e),Fe=a(e,"P",{"data-svelte-h":!0}),u(Fe)!=="svelte-kvbp1p"&&(Fe.innerHTML=Vo),rr=s(e),Ge=a(e,"P",{"data-svelte-h":!0}),u(Ge)!=="svelte-1ydcymw"&&(Ge.innerHTML=Jo),or=s(e),Qe=a(e,"TABLE",{"data-svelte-h":!0}),u(Qe)!=="svelte-stz7tp"&&(Qe.innerHTML=Fo),ar=s(e),ir=a(e,"HR",{}),sr=s(e),We=a(e,"A",{id:!0,class:!0}),d(We).forEach(t),nr=s(e),E=a(e,"H2",{class:!0});var Kr=d(E);V=a(Kr,"A",{id:!0,class:!0,href:!0});var ga=d(V);St=a(ga,"SPAN",{});var Aa=d(St);p(Xe.$$.fragment,Aa),Aa.forEach(t),ga.forEach(t),Yr=s(Kr),xt=a(Kr,"SPAN",{"data-svelte-h":!0}),u(xt)!=="svelte-1x75wme"&&(xt.textContent=Go),Kr.forEach(t),cr=s(e),Ye=a(e,"P",{"data-svelte-h":!0}),u(Ye)!=="svelte-15n5joc"&&(Ye.innerHTML=Qo),dr=s(e),Ze=a(e,"UL",{"data-svelte-h":!0}),u(Ze)!=="svelte-thd9hc"&&(Ze.innerHTML=Wo),ur=s(e),hr=a(e,"HR",{}),pr=s(e),et=a(e,"A",{id:!0,class:!0}),d(et).forEach(t),fr=s(e),P=a(e,"H3",{class:!0});var Br=d(P);J=a(Br,"A",{id:!0,class:!0,href:!0});var La=d(J);Nt=a(La,"SPAN",{});var Ma=d(Nt);p(tt.$$.fragment,Ma),Ma.forEach(t),La.forEach(t),Zr=s(Br),Tt=a(Br,"SPAN",{"data-svelte-h":!0}),u(Tt)!=="svelte-1kq4yld"&&(Tt.innerHTML=Xo),Br.forEach(t),vr=s(e),lt=a(e,"P",{"data-svelte-h":!0}),u(lt)!=="svelte-hu496d"&&(lt.textContent=Yo),mr=s(e),br=a(e,"HR",{}),yr=s(e),rt=a(e,"A",{id:!0,class:!0}),d(rt).forEach(t),_r=s(e),j=a(e,"H3",{class:!0});var Ir=d(j);F=a(Ir,"A",{id:!0,class:!0,href:!0});var ka=d(F);Rt=a(ka,"SPAN",{});var Ea=d(Rt);p(ot.$$.fragment,Ea),Ea.forEach(t),ka.forEach(t),eo=s(Ir),wt=a(Ir,"SPAN",{"data-svelte-h":!0}),u(wt)!=="svelte-15yc3uz"&&(wt.innerHTML=Zo),Ir.forEach(t),xr=s(e),at=a(e,"P",{"data-svelte-h":!0}),u(at)!=="svelte-8c74gj"&&(at.textContent=ea),Tr=s(e),it=a(e,"P",{"data-svelte-h":!0}),u(it)!=="svelte-161nsqx"&&(it.innerHTML=ta),wr=s(e),st=a(e,"UL",{"data-svelte-h":!0}),u(st)!=="svelte-7c1v8c"&&(st.innerHTML=la),Cr=s(e),nt=a(e,"TABLE",{"data-svelte-h":!0}),u(nt)!=="svelte-1v34kj"&&(nt.innerHTML=ra),$r=s(e),Hr=a(e,"HR",{}),this.h()},h(){n(_,"name","hf:doc:metadata"),n(_,"content",JSON.stringify(Ba)),n(G,"id","module_utils/core"),n(G,"class","group"),n(S,"id","utilscore"),n(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(S,"href","#utilscore"),n(x,"class","relative group"),n(Z,"id","module_utils/core.Callable"),n(Z,"class","group"),n(N,"id","utilscorecallable-codecode"),n(N,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(N,"href","#utilscorecallable-codecode"),n(T,"class","relative group"),n(re,"id","module_utils/core.reverseDictionary"),n(re,"class","group"),n(R,"id","utilscorereversedictionarydata-codeobjectcode"),n(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(R,"href","#utilscorereversedictionarydata-codeobjectcode"),n(w,"class","relative group"),n(ne,"id","module_utils/core.escapeRegExp"),n(ne,"class","group"),n(D,"id","utilscoreescaperegexpstring-codestringcode"),n(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(D,"href","#utilscoreescaperegexpstring-codestringcode"),n(C,"class","relative group"),n(pe,"id","module_utils/core.isString"),n(pe,"class","group"),n(K,"id","utilscoreisstringtext-codebooleancode"),n(K,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(K,"href","#utilscoreisstringtext-codebooleancode"),n($,"class","relative group"),n(ye,"id","module_utils/core.isTypedArray"),n(ye,"class","group"),n(B,"id","utilscoreistypedarrayval-codebooleancode"),n(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(B,"href","#utilscoreistypedarrayval-codebooleancode"),n(H,"class","relative group"),n($e,"id","module_utils/core.isIntegralNumber"),n($e,"class","group"),n(I,"id","utilscoreisintegralnumberx-codebooleancode"),n(I,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(I,"href","#utilscoreisintegralnumberx-codebooleancode"),n(g,"class","relative group"),n(Me,"id","module_utils/core.exists"),n(Me,"class","group"),n(q,"id","utilscoreexistsx-codebooleancode"),n(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(q,"href","#utilscoreexistsx-codebooleancode"),n(A,"class","relative group"),n(Se,"id","module_utils/core.calculateDimensions"),n(Se,"class","group"),n(O,"id","utilscorecalculatedimensionsarr-codearraycode"),n(O,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(O,"href","#utilscorecalculatedimensionsarr-codearraycode"),n(L,"class","relative group"),n(Be,"id","module_utils/core.pop"),n(Be,"class","group"),n(z,"id","utilscorepopobj-key-defaultvalue-codecode"),n(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(z,"href","#utilscorepopobj-key-defaultvalue-codecode"),n(M,"class","relative group"),n(Ve,"id","module_utils/core.mergeArrays"),n(Ve,"class","group"),n(U,"id","utilscoremergearraysarrs-codearraycode"),n(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(U,"href","#utilscoremergearraysarrs-codearraycode"),n(k,"class","relative group"),n(We,"id","module_utils/core..Callable"),n(We,"class","group"),n(V,"id","utilscorecallable"),n(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(V,"href","#utilscorecallable"),n(E,"class","relative group"),n(et,"id","new_module_utils/core..Callable_new"),n(et,"class","group"),n(J,"id","new-callable"),n(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(J,"href","#new-callable"),n(P,"class","relative group"),n(rt,"id","module_utils/core..Callable+_call"),n(rt,"class","group"),n(F,"id","callablecallargs"),n(F,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(F,"href","#callablecallargs"),n(j,"class","relative group")},m(e,l){c(document.head,_),r(e,Dt,l),r(e,G,l),r(e,Kt,l),r(e,x,l),c(x,S),c(S,Ct),f(Q,Ct,null),c(x,qr),c(x,ct),r(e,Bt,l),r(e,W,l),r(e,It,l),r(e,X,l),r(e,qt,l),r(e,Y,l),r(e,Ot,l),r(e,zt,l),r(e,Ut,l),r(e,Z,l),r(e,Vt,l),r(e,T,l),c(T,N),c(N,$t),f(ee,$t,null),c(T,Or),c(T,dt),r(e,Jt,l),r(e,te,l),r(e,Ft,l),r(e,le,l),r(e,Gt,l),r(e,Qt,l),r(e,Wt,l),r(e,re,l),r(e,Xt,l),r(e,w,l),c(w,R),c(R,Ht),f(oe,Ht,null),c(w,zr),c(w,ut),r(e,Yt,l),r(e,ae,l),r(e,Zt,l),r(e,ie,l),r(e,el,l),r(e,se,l),r(e,tl,l),r(e,ll,l),r(e,rl,l),r(e,ne,l),r(e,ol,l),r(e,C,l),c(C,D),c(D,gt),f(ce,gt,null),c(C,Ur),c(C,ht),r(e,al,l),r(e,de,l),r(e,il,l),r(e,ue,l),r(e,sl,l),r(e,he,l),r(e,nl,l),r(e,cl,l),r(e,dl,l),r(e,pe,l),r(e,ul,l),r(e,$,l),c($,K),c(K,At),f(fe,At,null),c($,Vr),c($,pt),r(e,hl,l),r(e,ve,l),r(e,pl,l),r(e,me,l),r(e,fl,l),r(e,be,l),r(e,vl,l),r(e,ml,l),r(e,bl,l),r(e,ye,l),r(e,yl,l),r(e,H,l),c(H,B),c(B,Lt),f(_e,Lt,null),c(H,Jr),c(H,ft),r(e,_l,l),r(e,xe,l),r(e,xl,l),r(e,Te,l),r(e,Tl,l),r(e,we,l),r(e,wl,l),r(e,Ce,l),r(e,Cl,l),r(e,$l,l),r(e,Hl,l),r(e,$e,l),r(e,gl,l),r(e,g,l),c(g,I),c(I,Mt),f(He,Mt,null),c(g,Fr),c(g,vt),r(e,Al,l),r(e,ge,l),r(e,Ll,l),r(e,Ae,l),r(e,Ml,l),r(e,Le,l),r(e,kl,l),r(e,El,l),r(e,Pl,l),r(e,Me,l),r(e,jl,l),r(e,A,l),c(A,q),c(q,kt),f(ke,kt,null),c(A,Gr),c(A,mt),r(e,Sl,l),r(e,Ee,l),r(e,Nl,l),r(e,Pe,l),r(e,Rl,l),r(e,je,l),r(e,Dl,l),r(e,Kl,l),r(e,Bl,l),r(e,Se,l),r(e,Il,l),r(e,L,l),c(L,O),c(O,Et),f(Ne,Et,null),c(L,Qr),c(L,bt),r(e,ql,l),r(e,Re,l),r(e,Ol,l),r(e,De,l),r(e,zl,l),r(e,Ke,l),r(e,Ul,l),r(e,Vl,l),r(e,Jl,l),r(e,Be,l),r(e,Fl,l),r(e,M,l),c(M,z),c(z,Pt),f(Ie,Pt,null),c(M,Wr),c(M,yt),r(e,Gl,l),r(e,qe,l),r(e,Ql,l),r(e,Oe,l),r(e,Wl,l),r(e,ze,l),r(e,Xl,l),r(e,Ue,l),r(e,Yl,l),r(e,Zl,l),r(e,er,l),r(e,Ve,l),r(e,tr,l),r(e,k,l),c(k,U),c(U,jt),f(Je,jt,null),c(k,Xr),c(k,_t),r(e,lr,l),r(e,Fe,l),r(e,rr,l),r(e,Ge,l),r(e,or,l),r(e,Qe,l),r(e,ar,l),r(e,ir,l),r(e,sr,l),r(e,We,l),r(e,nr,l),r(e,E,l),c(E,V),c(V,St),f(Xe,St,null),c(E,Yr),c(E,xt),r(e,cr,l),r(e,Ye,l),r(e,dr,l),r(e,Ze,l),r(e,ur,l),r(e,hr,l),r(e,pr,l),r(e,et,l),r(e,fr,l),r(e,P,l),c(P,J),c(J,Nt),f(tt,Nt,null),c(P,Zr),c(P,Tt),r(e,vr,l),r(e,lt,l),r(e,mr,l),r(e,br,l),r(e,yr,l),r(e,rt,l),r(e,_r,l),r(e,j,l),c(j,F),c(F,Rt),f(ot,Rt,null),c(j,eo),c(j,wt),r(e,xr,l),r(e,at,l),r(e,Tr,l),r(e,it,l),r(e,wr,l),r(e,st,l),r(e,Cr,l),r(e,nt,l),r(e,$r,l),r(e,Hr,l),gr=!0},p:ja,i(e){gr||(v(Q.$$.fragment,e),v(ee.$$.fragment,e),v(oe.$$.fragment,e),v(ce.$$.fragment,e),v(fe.$$.fragment,e),v(_e.$$.fragment,e),v(He.$$.fragment,e),v(ke.$$.fragment,e),v(Ne.$$.fragment,e),v(Ie.$$.fragment,e),v(Je.$$.fragment,e),v(Xe.$$.fragment,e),v(tt.$$.fragment,e),v(ot.$$.fragment,e),gr=!0)},o(e){m(Q.$$.fragment,e),m(ee.$$.fragment,e),m(oe.$$.fragment,e),m(ce.$$.fragment,e),m(fe.$$.fragment,e),m(_e.$$.fragment,e),m(He.$$.fragment,e),m(ke.$$.fragment,e),m(Ne.$$.fragment,e),m(Ie.$$.fragment,e),m(Je.$$.fragment,e),m(Xe.$$.fragment,e),m(tt.$$.fragment,e),m(ot.$$.fragment,e),gr=!1},d(e){e&&(t(Dt),t(G),t(Kt),t(x),t(Bt),t(W),t(It),t(X),t(qt),t(Y),t(Ot),t(zt),t(Ut),t(Z),t(Vt),t(T),t(Jt),t(te),t(Ft),t(le),t(Gt),t(Qt),t(Wt),t(re),t(Xt),t(w),t(Yt),t(ae),t(Zt),t(ie),t(el),t(se),t(tl),t(ll),t(rl),t(ne),t(ol),t(C),t(al),t(de),t(il),t(ue),t(sl),t(he),t(nl),t(cl),t(dl),t(pe),t(ul),t($),t(hl),t(ve),t(pl),t(me),t(fl),t(be),t(vl),t(ml),t(bl),t(ye),t(yl),t(H),t(_l),t(xe),t(xl),t(Te),t(Tl),t(we),t(wl),t(Ce),t(Cl),t($l),t(Hl),t($e),t(gl),t(g),t(Al),t(ge),t(Ll),t(Ae),t(Ml),t(Le),t(kl),t(El),t(Pl),t(Me),t(jl),t(A),t(Sl),t(Ee),t(Nl),t(Pe),t(Rl),t(je),t(Dl),t(Kl),t(Bl),t(Se),t(Il),t(L),t(ql),t(Re),t(Ol),t(De),t(zl),t(Ke),t(Ul),t(Vl),t(Jl),t(Be),t(Fl),t(M),t(Gl),t(qe),t(Ql),t(Oe),t(Wl),t(ze),t(Xl),t(Ue),t(Yl),t(Zl),t(er),t(Ve),t(tr),t(k),t(lr),t(Fe),t(rr),t(Ge),t(or),t(Qe),t(ar),t(ir),t(sr),t(We),t(nr),t(E),t(cr),t(Ye),t(dr),t(Ze),t(ur),t(hr),t(pr),t(et),t(fr),t(P),t(vr),t(lt),t(mr),t(br),t(yr),t(rt),t(_r),t(j),t(xr),t(at),t(Tr),t(it),t(wr),t(st),t(Cr),t(nt),t($r),t(Hr)),t(_),b(Q),b(ee),b(oe),b(ce),b(fe),b(_e),b(He),b(ke),b(Ne),b(Ie),b(Je),b(Xe),b(tt),b(ot)}}}const Ba={local:"utilscore",sections:[{local:"utilscorecallable-codecode",title:"`utils/core.Callable` : <code>*</code>"},{local:"utilscorereversedictionarydata-codeobjectcode",title:"`utils/core.reverseDictionary(data)` ⇒ <code>Object</code>"},{local:"utilscoreescaperegexpstring-codestringcode",title:"`utils/core.escapeRegExp(string)` ⇒ <code>string</code>"},{local:"utilscoreisstringtext-codebooleancode",title:"`utils/core.isString(text)` ⇒ <code>boolean</code>"},{local:"utilscoreistypedarrayval-codebooleancode",title:"`utils/core.isTypedArray(val)` ⇒ <code>boolean</code>"},{local:"utilscoreisintegralnumberx-codebooleancode",title:"`utils/core.isIntegralNumber(x)` ⇒ <code>boolean</code>"},{local:"utilscoreexistsx-codebooleancode",title:"`utils/core.exists(x)` ⇒ <code>boolean</code>"},{local:"utilscorecalculatedimensionsarr-codearraycode",title:"`utils/core.calculateDimensions(arr)` ⇒ <code>Array</code>"},{local:"utilscorepopobj-key-defaultvalue-codecode",title:"`utils/core.pop(obj, key, defaultValue)` ⇒ <code>*</code>"},{local:"utilscoremergearraysarrs-codearraycode",title:"`utils/core.mergeArrays(arrs)` ⇒ <code>Array</code>"},{local:"utilscorecallable",sections:[{local:"new-callable",title:"`new Callable()`"},{local:"callablecallargs",title:"`callable._call(...args)`"}],title:"utils/core~Callable"}],title:"utils/core"};function Ia(to){return Sa(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ua extends Na{constructor(_){super(),Ra(this,_,Ia,Ka,Pa,{})}}export{Ua as component};
