import{s as gd,n as qd,o as Sd}from"../chunks/scheduler.b108d059.js";import{S as Qd,i as Rd,g as i,s as a,p as h,A as Id,h as o,f as t,c as s,j as d,q as p,m as c,k as u,v as n,a as l,r as f,d as v,t as m,u as T}from"../chunks/index.505cd174.js";import{I as _}from"../chunks/IconCopyLink.74cd415a.js";function zd(Os){let k,Nl,ye,gl,y,V,ol,we,ks,Nr,Vs="utils/data-structures",ql,xe,Ws="Custom data structures.",Sl,Le,Fs=`These are only used internally, meaning an end-user shouldn’t
need to access anything here.`,Ql,$e,Gs='<li><a href="#module_utils/data-structures">utils/data-structures</a><ul><li><em>static</em><ul><li><a href="#module_utils/data-structures.PriorityQueue">.PriorityQueue</a><ul><li><a href="#new_module_utils/data-structures.PriorityQueue_new"><code>new PriorityQueue(comparator)</code></a></li> <li><a href="#module_utils/data-structures.PriorityQueue+size"><code>.size</code></a></li> <li><a href="#module_utils/data-structures.PriorityQueue+isEmpty"><code>.isEmpty()</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+peek"><code>.peek()</code></a> ⇒ <code>any</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+push"><code>.push(...values)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+extend"><code>.extend(values)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+pop"><code>.pop()</code></a> ⇒ <code>any</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+replace"><code>.replace(value)</code></a> ⇒ <code>*</code></li></ul></li> <li><a href="#module_utils/data-structures.CharTrie">.CharTrie</a><ul><li><a href="#module_utils/data-structures.CharTrie+extend"><code>.extend(texts)</code></a></li> <li><a href="#module_utils/data-structures.CharTrie+push"><code>.push(text)</code></a></li> <li><a href="#module_utils/data-structures.CharTrie+commonPrefixSearch"><code>.commonPrefixSearch(text)</code></a></li></ul></li> <li><a href="#module_utils/data-structures.TokenLattice">.TokenLattice</a><ul><li><a href="#new_module_utils/data-structures.TokenLattice_new"><code>new TokenLattice(sentence, bosTokenId, eosTokenId)</code></a></li> <li><a href="#module_utils/data-structures.TokenLattice+insert"><code>.insert(pos, length, score, tokenId)</code></a></li> <li><a href="#module_utils/data-structures.TokenLattice+viterbi"><code>.viterbi()</code></a> ⇒ <code>Array.&lt;TokenLatticeNode&gt;</code></li> <li><a href="#module_utils/data-structures.TokenLattice+piece"><code>.piece(node)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/data-structures.TokenLattice+tokens"><code>.tokens()</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/data-structures.TokenLattice+tokenIds"><code>.tokenIds()</code></a> ⇒ <code>Array</code></li></ul></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/data-structures..CharTrieNode">~CharTrieNode</a><ul><li><a href="#new_module_utils/data-structures..CharTrieNode_new"><code>new CharTrieNode(isLeaf, children)</code></a></li> <li><a href="#module_utils/data-structures..CharTrieNode.default"><code>.default()</code></a> ⇒ <code>CharTrieNode</code></li></ul></li> <li><a href="#module_utils/data-structures..TokenLatticeNode">~TokenLatticeNode</a><ul><li><a href="#new_module_utils/data-structures..TokenLatticeNode_new"><code>new TokenLatticeNode(tokenId, nodeId, pos, length, score)</code></a></li> <li><a href="#module_utils/data-structures..TokenLatticeNode+clone"><code>.clone()</code></a> ⇒ <code>TokenLatticeNode</code></li></ul></li></ul></li></ul></li>',Rl,Il,zl,Ce,jl,w,W,al,be,ys,gr,Xs="utils/data-structures.PriorityQueue",Kl,He,Ys=`Efficient Heap-based Implementation of a Priority Queue.
It uses an array-based binary heap, where the root is at index <code>0</code>, and the
children of node <code>i</code> are located at indices <code>2i + 1</code> and <code>2i + 2</code>, respectively.`,Dl,Pe,Zs="Adapted from the following sources:",Bl,Ae,eu='<li><a href="https://stackoverflow.com/a/42919752/13989043" rel="nofollow">https://stackoverflow.com/a/42919752/13989043</a> (original)</li> <li><a href="https://github.com/belladoreai/llama-tokenizer-js" rel="nofollow">https://github.com/belladoreai/llama-tokenizer-js</a> (minor improvements)</li>',Ul,Me,tu='<strong>Kind</strong>: static class of <a href="#module_utils/data-structures"><code>utils/data-structures</code></a>',Jl,Ee,ru='<li><a href="#module_utils/data-structures.PriorityQueue">.PriorityQueue</a><ul><li><a href="#new_module_utils/data-structures.PriorityQueue_new"><code>new PriorityQueue(comparator)</code></a></li> <li><a href="#module_utils/data-structures.PriorityQueue+size"><code>.size</code></a></li> <li><a href="#module_utils/data-structures.PriorityQueue+isEmpty"><code>.isEmpty()</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+peek"><code>.peek()</code></a> ⇒ <code>any</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+push"><code>.push(...values)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+extend"><code>.extend(values)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+pop"><code>.pop()</code></a> ⇒ <code>any</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+replace"><code>.replace(value)</code></a> ⇒ <code>*</code></li></ul></li>',Ol,Vl,Wl,Ne,Fl,x,F,sl,ge,ws,qr,lu="<code>new PriorityQueue(comparator)</code>",Gl,qe,iu="Create a new PriorityQueue.",Xl,Se,ou="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>comparator</td><td><code>function</code></td><td><p>Comparator function to determine priority. Defaults to a MaxHeap.</p></td></tr></tbody>",Yl,Zl,ei,Qe,ti,L,G,ul,Re,xs,Sr,au="<code>priorityQueue.size</code>",ri,Ie,su="The size of the queue",li,ze,uu='<strong>Kind</strong>: instance property of <a href="#module_utils/data-structures.PriorityQueue"><code>PriorityQueue</code></a>',ii,oi,ai,je,si,$,X,nl,Ke,Ls,Qr,nu="<code>priorityQueue.isEmpty()</code> ⇒ <code>boolean</code>",ui,De,du="Check if the queue is empty.",ni,Be,cu='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.PriorityQueue"><code>PriorityQueue</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - <code>true</code> if the queue is empty, <code>false</code> otherwise.',di,ci,hi,Ue,pi,C,Y,dl,Je,$s,Rr,hu="<code>priorityQueue.peek()</code> ⇒ <code>any</code>",fi,Oe,pu="Return the element with the highest priority in the queue.",vi,Ve,fu='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.PriorityQueue"><code>PriorityQueue</code></a><br/> <strong>Returns</strong>: <code>any</code> - The highest priority element in the queue.',mi,Ti,_i,We,ki,b,Z,cl,Fe,Cs,Ir,vu="<code>priorityQueue.push(...values)</code> ⇒ <code>number</code>",yi,Ge,mu="Add one or more elements to the queue.",wi,Xe,Tu='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.PriorityQueue"><code>PriorityQueue</code></a><br/> <strong>Returns</strong>: <code>number</code> - The new size of the queue.',xi,Ye,_u="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>...values</td><td><code>any</code></td><td><p>The values to push into the queue.</p></td></tr></tbody>",Li,$i,Ci,Ze,bi,H,ee,hl,et,bs,zr,ku="<code>priorityQueue.extend(values)</code> ⇒ <code>number</code>",Hi,tt,yu="Add multiple elements to the queue.",Pi,rt,wu='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.PriorityQueue"><code>PriorityQueue</code></a><br/> <strong>Returns</strong>: <code>number</code> - The new size of the queue.',Ai,lt,xu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>values</td><td><code>Array.&lt;any&gt;</code></td><td><p>The values to push into the queue.</p></td></tr></tbody>",Mi,Ei,Ni,it,gi,P,te,pl,ot,Hs,jr,Lu="<code>priorityQueue.pop()</code> ⇒ <code>any</code>",qi,at,$u="Remove and return the element with the highest priority in the queue.",Si,st,Cu='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.PriorityQueue"><code>PriorityQueue</code></a><br/> <strong>Returns</strong>: <code>any</code> - The element with the highest priority in the queue.',Qi,Ri,Ii,ut,zi,A,re,fl,nt,Ps,Kr,bu="<code>priorityQueue.replace(value)</code> ⇒ <code>*</code>",ji,dt,Hu="Replace the element with the highest priority in the queue with a new value.",Ki,ct,Pu='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.PriorityQueue"><code>PriorityQueue</code></a><br/> <strong>Returns</strong>: <code>*</code> - The replaced value.',Di,ht,Au="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>value</td><td><code>*</code></td><td><p>The new value.</p></td></tr></tbody>",Bi,Ui,Ji,pt,Oi,M,le,vl,ft,As,Dr,Mu="utils/data-structures.CharTrie",Vi,vt,Eu="A trie structure to efficiently store and search for strings.",Wi,mt,Nu='<strong>Kind</strong>: static class of <a href="#module_utils/data-structures"><code>utils/data-structures</code></a>',Fi,Tt,gu='<li><a href="#module_utils/data-structures.CharTrie">.CharTrie</a><ul><li><a href="#module_utils/data-structures.CharTrie+extend"><code>.extend(texts)</code></a></li> <li><a href="#module_utils/data-structures.CharTrie+push"><code>.push(text)</code></a></li> <li><a href="#module_utils/data-structures.CharTrie+commonPrefixSearch"><code>.commonPrefixSearch(text)</code></a></li></ul></li>',Gi,Xi,Yi,_t,Zi,E,ie,ml,kt,Ms,Br,qu="<code>charTrie.extend(texts)</code>",eo,yt,Su="Adds one or more <code>texts</code> to the trie.",to,wt,Qu='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.CharTrie"><code>CharTrie</code></a>',ro,xt,Ru="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>texts</td><td><code>Array.&lt;string&gt;</code></td><td><p>The strings to add to the trie.</p></td></tr></tbody>",lo,io,oo,Lt,ao,N,oe,Tl,$t,Es,Ur,Iu="<code>charTrie.push(text)</code>",so,Ct,zu="Adds text to the trie.",uo,bt,ju='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.CharTrie"><code>CharTrie</code></a>',no,Ht,Ku="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>text</td><td><code>string</code></td><td><p>The string to add to the trie.</p></td></tr></tbody>",co,ho,po,Pt,fo,g,ae,_l,At,Ns,Jr,Du="<code>charTrie.commonPrefixSearch(text)</code>",vo,Mt,Bu="Searches the trie for all strings with a common prefix of <code>text</code>.",mo,Et,Uu='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.CharTrie"><code>CharTrie</code></a>',To,Nt,Ju="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>text</td><td><code>string</code></td><td><p>The common prefix to search for.</p></td></tr></tbody>",_o,ko,yo,gt,wo,q,se,kl,qt,gs,Or,Ou="utils/data-structures.TokenLattice",xo,St,Vu="A lattice data structure to be used for tokenization.",Lo,Qt,Wu='<strong>Kind</strong>: static class of <a href="#module_utils/data-structures"><code>utils/data-structures</code></a>',$o,Rt,Fu='<li><a href="#module_utils/data-structures.TokenLattice">.TokenLattice</a><ul><li><a href="#new_module_utils/data-structures.TokenLattice_new"><code>new TokenLattice(sentence, bosTokenId, eosTokenId)</code></a></li> <li><a href="#module_utils/data-structures.TokenLattice+insert"><code>.insert(pos, length, score, tokenId)</code></a></li> <li><a href="#module_utils/data-structures.TokenLattice+viterbi"><code>.viterbi()</code></a> ⇒ <code>Array.&lt;TokenLatticeNode&gt;</code></li> <li><a href="#module_utils/data-structures.TokenLattice+piece"><code>.piece(node)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/data-structures.TokenLattice+tokens"><code>.tokens()</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/data-structures.TokenLattice+tokenIds"><code>.tokenIds()</code></a> ⇒ <code>Array</code></li></ul></li>',Co,bo,Ho,It,Po,S,ue,yl,zt,qs,Vr,Gu="<code>new TokenLattice(sentence, bosTokenId, eosTokenId)</code>",Ao,jt,Xu="Creates a new TokenLattice instance.",Mo,Kt,Yu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>sentence</td><td><code>string</code></td><td><p>The input sentence to be tokenized.</p></td> </tr><tr><td>bosTokenId</td><td><code>number</code></td><td><p>The beginning-of-sequence token ID.</p></td> </tr><tr><td>eosTokenId</td><td><code>number</code></td><td><p>The end-of-sequence token ID.</p></td></tr></tbody>",Eo,No,go,Dt,qo,Q,ne,wl,Bt,Ss,Wr,Zu="<code>tokenLattice.insert(pos, length, score, tokenId)</code>",So,Ut,en="Inserts a new token node into the token lattice.",Qo,Jt,tn='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.TokenLattice"><code>TokenLattice</code></a>',Ro,Ot,rn="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>pos</td><td><code>number</code></td><td><p>The starting position of the token.</p></td> </tr><tr><td>length</td><td><code>number</code></td><td><p>The length of the token.</p></td> </tr><tr><td>score</td><td><code>number</code></td><td><p>The score of the token.</p></td> </tr><tr><td>tokenId</td><td><code>number</code></td><td><p>The token ID of the token.</p></td></tr></tbody>",Io,zo,jo,Vt,Ko,R,de,xl,Wt,Qs,Fr,ln="<code>tokenLattice.viterbi()</code> ⇒ <code>Array.&lt;TokenLatticeNode&gt;</code>",Do,Ft,on="Implements the Viterbi algorithm to compute the most likely sequence of tokens.",Bo,Gt,an='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.TokenLattice"><code>TokenLattice</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;TokenLatticeNode&gt;</code> - The array of nodes representing the most likely sequence of tokens.',Uo,Jo,Oo,Xt,Vo,I,ce,Ll,Yt,Rs,Gr,sn="<code>tokenLattice.piece(node)</code> ⇒ <code>string</code>",Wo,Zt,un='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.TokenLattice"><code>TokenLattice</code></a><br/> <strong>Returns</strong>: <code>string</code> - The array of nodes representing the most likely sequence of tokens.',Fo,er,nn="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>node</td><td><code>TokenLatticeNode</code></td></tr></tbody>",Go,Xo,Yo,tr,Zo,z,he,$l,rr,Is,Xr,dn="<code>tokenLattice.tokens()</code> ⇒ <code>Array</code>",ea,lr,cn='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.TokenLattice"><code>TokenLattice</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The array of nodes representing the most likely sequence of tokens.',ta,ra,la,ir,ia,j,pe,Cl,or,zs,Yr,hn="<code>tokenLattice.tokenIds()</code> ⇒ <code>Array</code>",oa,ar,pn='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.TokenLattice"><code>TokenLattice</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The array of nodes representing the most likely sequence of tokens.',aa,sa,ua,sr,na,K,fe,bl,ur,js,Zr,fn="utils/data-structures~CharTrieNode",da,nr,vn="Represents a node in a character trie.",ca,dr,mn='<strong>Kind</strong>: inner class of <a href="#module_utils/data-structures"><code>utils/data-structures</code></a>',ha,cr,Tn='<li><a href="#module_utils/data-structures..CharTrieNode">~CharTrieNode</a><ul><li><a href="#new_module_utils/data-structures..CharTrieNode_new"><code>new CharTrieNode(isLeaf, children)</code></a></li> <li><a href="#module_utils/data-structures..CharTrieNode.default"><code>.default()</code></a> ⇒ <code>CharTrieNode</code></li></ul></li>',pa,fa,va,hr,ma,D,ve,Hl,pr,Ks,el,_n="<code>new CharTrieNode(isLeaf, children)</code>",Ta,fr,kn="Create a new CharTrieNode.",_a,vr,yn="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>isLeaf</td><td><code>boolean</code></td><td><p>Whether the node is a leaf node or not.</p></td> </tr><tr><td>children</td><td><code>Map.&lt;string, CharTrieNode&gt;</code></td><td><p>A map containing the node&#39;s children, where the key is a character and the value is a <code>CharTrieNode</code>.</p></td></tr></tbody>",ka,ya,wa,mr,xa,B,me,Pl,Tr,Ds,tl,wn="<code>CharTrieNode.default()</code> ⇒ <code>CharTrieNode</code>",La,_r,xn="Returns a new <code>CharTrieNode</code> instance with default values.",$a,kr,Ln='<strong>Kind</strong>: static method of <a href="#module_utils/data-structures..CharTrieNode"><code>CharTrieNode</code></a><br/> <strong>Returns</strong>: <code>CharTrieNode</code> - A new <code>CharTrieNode</code> instance with <code>isLeaf</code> set to <code>false</code> and an empty <code>children</code> map.',Ca,ba,Ha,yr,Pa,U,Te,Al,wr,Bs,rl,$n="utils/data-structures~TokenLatticeNode",Aa,xr,Cn='<strong>Kind</strong>: inner class of <a href="#module_utils/data-structures"><code>utils/data-structures</code></a>',Ma,Lr,bn='<li><a href="#module_utils/data-structures..TokenLatticeNode">~TokenLatticeNode</a><ul><li><a href="#new_module_utils/data-structures..TokenLatticeNode_new"><code>new TokenLatticeNode(tokenId, nodeId, pos, length, score)</code></a></li> <li><a href="#module_utils/data-structures..TokenLatticeNode+clone"><code>.clone()</code></a> ⇒ <code>TokenLatticeNode</code></li></ul></li>',Ea,Na,ga,$r,qa,J,_e,Ml,Cr,Us,ll,Hn="<code>new TokenLatticeNode(tokenId, nodeId, pos, length, score)</code>",Sa,br,Pn="Represents a node in a token lattice for a given sentence.",Qa,Hr,An="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>tokenId</td><td><code>number</code></td><td><p>The ID of the token associated with this node.</p></td> </tr><tr><td>nodeId</td><td><code>number</code></td><td><p>The ID of this node.</p></td> </tr><tr><td>pos</td><td><code>number</code></td><td><p>The starting position of the token in the sentence.</p></td> </tr><tr><td>length</td><td><code>number</code></td><td><p>The length of the token.</p></td> </tr><tr><td>score</td><td><code>number</code></td><td><p>The score associated with the token.</p></td></tr></tbody>",Ra,Ia,za,Pr,ja,O,ke,El,Ar,Js,il,Mn="<code>tokenLatticeNode.clone()</code> ⇒ <code>TokenLatticeNode</code>",Ka,Mr,En="Returns a clone of this node.",Da,Er,Nn='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures..TokenLatticeNode"><code>TokenLatticeNode</code></a><br/> <strong>Returns</strong>: <code>TokenLatticeNode</code> - A clone of this node.',Ba,Ua,Ja;return we=new _({}),be=new _({}),ge=new _({}),Re=new _({}),Ke=new _({}),Je=new _({}),Fe=new _({}),et=new _({}),ot=new _({}),nt=new _({}),ft=new _({}),kt=new _({}),$t=new _({}),At=new _({}),qt=new _({}),zt=new _({}),Bt=new _({}),Wt=new _({}),Yt=new _({}),rr=new _({}),or=new _({}),ur=new _({}),pr=new _({}),Tr=new _({}),wr=new _({}),Cr=new _({}),Ar=new _({}),{c(){k=i("meta"),Nl=a(),ye=i("a"),gl=a(),y=i("h1"),V=i("a"),ol=i("span"),h(we.$$.fragment),ks=a(),Nr=i("span"),Nr.textContent=Vs,ql=a(),xe=i("p"),xe.textContent=Ws,Sl=a(),Le=i("p"),Le.textContent=Fs,Ql=a(),$e=i("ul"),$e.innerHTML=Gs,Rl=a(),Il=i("hr"),zl=a(),Ce=i("a"),jl=a(),w=i("h2"),W=i("a"),al=i("span"),h(be.$$.fragment),ys=a(),gr=i("span"),gr.textContent=Xs,Kl=a(),He=i("p"),He.innerHTML=Ys,Dl=a(),Pe=i("p"),Pe.textContent=Zs,Bl=a(),Ae=i("ul"),Ae.innerHTML=eu,Ul=a(),Me=i("p"),Me.innerHTML=tu,Jl=a(),Ee=i("ul"),Ee.innerHTML=ru,Ol=a(),Vl=i("hr"),Wl=a(),Ne=i("a"),Fl=a(),x=i("h3"),F=i("a"),sl=i("span"),h(ge.$$.fragment),ws=a(),qr=i("span"),qr.innerHTML=lu,Gl=a(),qe=i("p"),qe.textContent=iu,Xl=a(),Se=i("table"),Se.innerHTML=ou,Yl=a(),Zl=i("hr"),ei=a(),Qe=i("a"),ti=a(),L=i("h3"),G=i("a"),ul=i("span"),h(Re.$$.fragment),xs=a(),Sr=i("span"),Sr.innerHTML=au,ri=a(),Ie=i("p"),Ie.textContent=su,li=a(),ze=i("p"),ze.innerHTML=uu,ii=a(),oi=i("hr"),ai=a(),je=i("a"),si=a(),$=i("h3"),X=i("a"),nl=i("span"),h(Ke.$$.fragment),Ls=a(),Qr=i("span"),Qr.innerHTML=nu,ui=a(),De=i("p"),De.textContent=du,ni=a(),Be=i("p"),Be.innerHTML=cu,di=a(),ci=i("hr"),hi=a(),Ue=i("a"),pi=a(),C=i("h3"),Y=i("a"),dl=i("span"),h(Je.$$.fragment),$s=a(),Rr=i("span"),Rr.innerHTML=hu,fi=a(),Oe=i("p"),Oe.textContent=pu,vi=a(),Ve=i("p"),Ve.innerHTML=fu,mi=a(),Ti=i("hr"),_i=a(),We=i("a"),ki=a(),b=i("h3"),Z=i("a"),cl=i("span"),h(Fe.$$.fragment),Cs=a(),Ir=i("span"),Ir.innerHTML=vu,yi=a(),Ge=i("p"),Ge.textContent=mu,wi=a(),Xe=i("p"),Xe.innerHTML=Tu,xi=a(),Ye=i("table"),Ye.innerHTML=_u,Li=a(),$i=i("hr"),Ci=a(),Ze=i("a"),bi=a(),H=i("h3"),ee=i("a"),hl=i("span"),h(et.$$.fragment),bs=a(),zr=i("span"),zr.innerHTML=ku,Hi=a(),tt=i("p"),tt.textContent=yu,Pi=a(),rt=i("p"),rt.innerHTML=wu,Ai=a(),lt=i("table"),lt.innerHTML=xu,Mi=a(),Ei=i("hr"),Ni=a(),it=i("a"),gi=a(),P=i("h3"),te=i("a"),pl=i("span"),h(ot.$$.fragment),Hs=a(),jr=i("span"),jr.innerHTML=Lu,qi=a(),at=i("p"),at.textContent=$u,Si=a(),st=i("p"),st.innerHTML=Cu,Qi=a(),Ri=i("hr"),Ii=a(),ut=i("a"),zi=a(),A=i("h3"),re=i("a"),fl=i("span"),h(nt.$$.fragment),Ps=a(),Kr=i("span"),Kr.innerHTML=bu,ji=a(),dt=i("p"),dt.textContent=Hu,Ki=a(),ct=i("p"),ct.innerHTML=Pu,Di=a(),ht=i("table"),ht.innerHTML=Au,Bi=a(),Ui=i("hr"),Ji=a(),pt=i("a"),Oi=a(),M=i("h2"),le=i("a"),vl=i("span"),h(ft.$$.fragment),As=a(),Dr=i("span"),Dr.textContent=Mu,Vi=a(),vt=i("p"),vt.textContent=Eu,Wi=a(),mt=i("p"),mt.innerHTML=Nu,Fi=a(),Tt=i("ul"),Tt.innerHTML=gu,Gi=a(),Xi=i("hr"),Yi=a(),_t=i("a"),Zi=a(),E=i("h3"),ie=i("a"),ml=i("span"),h(kt.$$.fragment),Ms=a(),Br=i("span"),Br.innerHTML=qu,eo=a(),yt=i("p"),yt.innerHTML=Su,to=a(),wt=i("p"),wt.innerHTML=Qu,ro=a(),xt=i("table"),xt.innerHTML=Ru,lo=a(),io=i("hr"),oo=a(),Lt=i("a"),ao=a(),N=i("h3"),oe=i("a"),Tl=i("span"),h($t.$$.fragment),Es=a(),Ur=i("span"),Ur.innerHTML=Iu,so=a(),Ct=i("p"),Ct.textContent=zu,uo=a(),bt=i("p"),bt.innerHTML=ju,no=a(),Ht=i("table"),Ht.innerHTML=Ku,co=a(),ho=i("hr"),po=a(),Pt=i("a"),fo=a(),g=i("h3"),ae=i("a"),_l=i("span"),h(At.$$.fragment),Ns=a(),Jr=i("span"),Jr.innerHTML=Du,vo=a(),Mt=i("p"),Mt.innerHTML=Bu,mo=a(),Et=i("p"),Et.innerHTML=Uu,To=a(),Nt=i("table"),Nt.innerHTML=Ju,_o=a(),ko=i("hr"),yo=a(),gt=i("a"),wo=a(),q=i("h2"),se=i("a"),kl=i("span"),h(qt.$$.fragment),gs=a(),Or=i("span"),Or.textContent=Ou,xo=a(),St=i("p"),St.textContent=Vu,Lo=a(),Qt=i("p"),Qt.innerHTML=Wu,$o=a(),Rt=i("ul"),Rt.innerHTML=Fu,Co=a(),bo=i("hr"),Ho=a(),It=i("a"),Po=a(),S=i("h3"),ue=i("a"),yl=i("span"),h(zt.$$.fragment),qs=a(),Vr=i("span"),Vr.innerHTML=Gu,Ao=a(),jt=i("p"),jt.textContent=Xu,Mo=a(),Kt=i("table"),Kt.innerHTML=Yu,Eo=a(),No=i("hr"),go=a(),Dt=i("a"),qo=a(),Q=i("h3"),ne=i("a"),wl=i("span"),h(Bt.$$.fragment),Ss=a(),Wr=i("span"),Wr.innerHTML=Zu,So=a(),Ut=i("p"),Ut.textContent=en,Qo=a(),Jt=i("p"),Jt.innerHTML=tn,Ro=a(),Ot=i("table"),Ot.innerHTML=rn,Io=a(),zo=i("hr"),jo=a(),Vt=i("a"),Ko=a(),R=i("h3"),de=i("a"),xl=i("span"),h(Wt.$$.fragment),Qs=a(),Fr=i("span"),Fr.innerHTML=ln,Do=a(),Ft=i("p"),Ft.textContent=on,Bo=a(),Gt=i("p"),Gt.innerHTML=an,Uo=a(),Jo=i("hr"),Oo=a(),Xt=i("a"),Vo=a(),I=i("h3"),ce=i("a"),Ll=i("span"),h(Yt.$$.fragment),Rs=a(),Gr=i("span"),Gr.innerHTML=sn,Wo=a(),Zt=i("p"),Zt.innerHTML=un,Fo=a(),er=i("table"),er.innerHTML=nn,Go=a(),Xo=i("hr"),Yo=a(),tr=i("a"),Zo=a(),z=i("h3"),he=i("a"),$l=i("span"),h(rr.$$.fragment),Is=a(),Xr=i("span"),Xr.innerHTML=dn,ea=a(),lr=i("p"),lr.innerHTML=cn,ta=a(),ra=i("hr"),la=a(),ir=i("a"),ia=a(),j=i("h3"),pe=i("a"),Cl=i("span"),h(or.$$.fragment),zs=a(),Yr=i("span"),Yr.innerHTML=hn,oa=a(),ar=i("p"),ar.innerHTML=pn,aa=a(),sa=i("hr"),ua=a(),sr=i("a"),na=a(),K=i("h2"),fe=i("a"),bl=i("span"),h(ur.$$.fragment),js=a(),Zr=i("span"),Zr.textContent=fn,da=a(),nr=i("p"),nr.textContent=vn,ca=a(),dr=i("p"),dr.innerHTML=mn,ha=a(),cr=i("ul"),cr.innerHTML=Tn,pa=a(),fa=i("hr"),va=a(),hr=i("a"),ma=a(),D=i("h3"),ve=i("a"),Hl=i("span"),h(pr.$$.fragment),Ks=a(),el=i("span"),el.innerHTML=_n,Ta=a(),fr=i("p"),fr.textContent=kn,_a=a(),vr=i("table"),vr.innerHTML=yn,ka=a(),ya=i("hr"),wa=a(),mr=i("a"),xa=a(),B=i("h3"),me=i("a"),Pl=i("span"),h(Tr.$$.fragment),Ds=a(),tl=i("span"),tl.innerHTML=wn,La=a(),_r=i("p"),_r.innerHTML=xn,$a=a(),kr=i("p"),kr.innerHTML=Ln,Ca=a(),ba=i("hr"),Ha=a(),yr=i("a"),Pa=a(),U=i("h2"),Te=i("a"),Al=i("span"),h(wr.$$.fragment),Bs=a(),rl=i("span"),rl.textContent=$n,Aa=a(),xr=i("p"),xr.innerHTML=Cn,Ma=a(),Lr=i("ul"),Lr.innerHTML=bn,Ea=a(),Na=i("hr"),ga=a(),$r=i("a"),qa=a(),J=i("h3"),_e=i("a"),Ml=i("span"),h(Cr.$$.fragment),Us=a(),ll=i("span"),ll.innerHTML=Hn,Sa=a(),br=i("p"),br.textContent=Pn,Qa=a(),Hr=i("table"),Hr.innerHTML=An,Ra=a(),Ia=i("hr"),za=a(),Pr=i("a"),ja=a(),O=i("h3"),ke=i("a"),El=i("span"),h(Ar.$$.fragment),Js=a(),il=i("span"),il.innerHTML=Mn,Ka=a(),Mr=i("p"),Mr.textContent=En,Da=a(),Er=i("p"),Er.innerHTML=Nn,Ba=a(),Ua=i("hr"),this.h()},l(e){const r=Id("svelte-1phssyn",document.head);k=o(r,"META",{name:!0,content:!0}),r.forEach(t),Nl=s(e),ye=o(e,"A",{id:!0,class:!0}),d(ye).forEach(t),gl=s(e),y=o(e,"H1",{class:!0});var Oa=d(y);V=o(Oa,"A",{id:!0,class:!0,href:!0});var gn=d(V);ol=o(gn,"SPAN",{});var qn=d(ol);p(we.$$.fragment,qn),qn.forEach(t),gn.forEach(t),ks=s(Oa),Nr=o(Oa,"SPAN",{"data-svelte-h":!0}),c(Nr)!=="svelte-1ojplrc"&&(Nr.textContent=Vs),Oa.forEach(t),ql=s(e),xe=o(e,"P",{"data-svelte-h":!0}),c(xe)!=="svelte-1aeeeid"&&(xe.textContent=Ws),Sl=s(e),Le=o(e,"P",{"data-svelte-h":!0}),c(Le)!=="svelte-1r3ntfo"&&(Le.textContent=Fs),Ql=s(e),$e=o(e,"UL",{"data-svelte-h":!0}),c($e)!=="svelte-7lwlwm"&&($e.innerHTML=Gs),Rl=s(e),Il=o(e,"HR",{}),zl=s(e),Ce=o(e,"A",{id:!0,class:!0}),d(Ce).forEach(t),jl=s(e),w=o(e,"H2",{class:!0});var Va=d(w);W=o(Va,"A",{id:!0,class:!0,href:!0});var Sn=d(W);al=o(Sn,"SPAN",{});var Qn=d(al);p(be.$$.fragment,Qn),Qn.forEach(t),Sn.forEach(t),ys=s(Va),gr=o(Va,"SPAN",{"data-svelte-h":!0}),c(gr)!=="svelte-po9a9t"&&(gr.textContent=Xs),Va.forEach(t),Kl=s(e),He=o(e,"P",{"data-svelte-h":!0}),c(He)!=="svelte-1ux83uj"&&(He.innerHTML=Ys),Dl=s(e),Pe=o(e,"P",{"data-svelte-h":!0}),c(Pe)!=="svelte-vi2pz9"&&(Pe.textContent=Zs),Bl=s(e),Ae=o(e,"UL",{"data-svelte-h":!0}),c(Ae)!=="svelte-qlvgg9"&&(Ae.innerHTML=eu),Ul=s(e),Me=o(e,"P",{"data-svelte-h":!0}),c(Me)!=="svelte-1saulos"&&(Me.innerHTML=tu),Jl=s(e),Ee=o(e,"UL",{"data-svelte-h":!0}),c(Ee)!=="svelte-1306bmq"&&(Ee.innerHTML=ru),Ol=s(e),Vl=o(e,"HR",{}),Wl=s(e),Ne=o(e,"A",{id:!0,class:!0}),d(Ne).forEach(t),Fl=s(e),x=o(e,"H3",{class:!0});var Wa=d(x);F=o(Wa,"A",{id:!0,class:!0,href:!0});var Rn=d(F);sl=o(Rn,"SPAN",{});var In=d(sl);p(ge.$$.fragment,In),In.forEach(t),Rn.forEach(t),ws=s(Wa),qr=o(Wa,"SPAN",{"data-svelte-h":!0}),c(qr)!=="svelte-1v192nq"&&(qr.innerHTML=lu),Wa.forEach(t),Gl=s(e),qe=o(e,"P",{"data-svelte-h":!0}),c(qe)!=="svelte-1dgukb8"&&(qe.textContent=iu),Xl=s(e),Se=o(e,"TABLE",{"data-svelte-h":!0}),c(Se)!=="svelte-15lsmj7"&&(Se.innerHTML=ou),Yl=s(e),Zl=o(e,"HR",{}),ei=s(e),Qe=o(e,"A",{id:!0,class:!0}),d(Qe).forEach(t),ti=s(e),L=o(e,"H3",{class:!0});var Fa=d(L);G=o(Fa,"A",{id:!0,class:!0,href:!0});var zn=d(G);ul=o(zn,"SPAN",{});var jn=d(ul);p(Re.$$.fragment,jn),jn.forEach(t),zn.forEach(t),xs=s(Fa),Sr=o(Fa,"SPAN",{"data-svelte-h":!0}),c(Sr)!=="svelte-1eidbcg"&&(Sr.innerHTML=au),Fa.forEach(t),ri=s(e),Ie=o(e,"P",{"data-svelte-h":!0}),c(Ie)!=="svelte-19ll7y9"&&(Ie.textContent=su),li=s(e),ze=o(e,"P",{"data-svelte-h":!0}),c(ze)!=="svelte-1spompf"&&(ze.innerHTML=uu),ii=s(e),oi=o(e,"HR",{}),ai=s(e),je=o(e,"A",{id:!0,class:!0}),d(je).forEach(t),si=s(e),$=o(e,"H3",{class:!0});var Ga=d($);X=o(Ga,"A",{id:!0,class:!0,href:!0});var Kn=d(X);nl=o(Kn,"SPAN",{});var Dn=d(nl);p(Ke.$$.fragment,Dn),Dn.forEach(t),Kn.forEach(t),Ls=s(Ga),Qr=o(Ga,"SPAN",{"data-svelte-h":!0}),c(Qr)!=="svelte-gtab94"&&(Qr.innerHTML=nu),Ga.forEach(t),ui=s(e),De=o(e,"P",{"data-svelte-h":!0}),c(De)!=="svelte-iwo0ja"&&(De.textContent=du),ni=s(e),Be=o(e,"P",{"data-svelte-h":!0}),c(Be)!=="svelte-usw3zo"&&(Be.innerHTML=cu),di=s(e),ci=o(e,"HR",{}),hi=s(e),Ue=o(e,"A",{id:!0,class:!0}),d(Ue).forEach(t),pi=s(e),C=o(e,"H3",{class:!0});var Xa=d(C);Y=o(Xa,"A",{id:!0,class:!0,href:!0});var Bn=d(Y);dl=o(Bn,"SPAN",{});var Un=d(dl);p(Je.$$.fragment,Un),Un.forEach(t),Bn.forEach(t),$s=s(Xa),Rr=o(Xa,"SPAN",{"data-svelte-h":!0}),c(Rr)!=="svelte-ckp56s"&&(Rr.innerHTML=hu),Xa.forEach(t),fi=s(e),Oe=o(e,"P",{"data-svelte-h":!0}),c(Oe)!=="svelte-1g38rzl"&&(Oe.textContent=pu),vi=s(e),Ve=o(e,"P",{"data-svelte-h":!0}),c(Ve)!=="svelte-1jn2os3"&&(Ve.innerHTML=fu),mi=s(e),Ti=o(e,"HR",{}),_i=s(e),We=o(e,"A",{id:!0,class:!0}),d(We).forEach(t),ki=s(e),b=o(e,"H3",{class:!0});var Ya=d(b);Z=o(Ya,"A",{id:!0,class:!0,href:!0});var Jn=d(Z);cl=o(Jn,"SPAN",{});var On=d(cl);p(Fe.$$.fragment,On),On.forEach(t),Jn.forEach(t),Cs=s(Ya),Ir=o(Ya,"SPAN",{"data-svelte-h":!0}),c(Ir)!=="svelte-xgzodu"&&(Ir.innerHTML=vu),Ya.forEach(t),yi=s(e),Ge=o(e,"P",{"data-svelte-h":!0}),c(Ge)!=="svelte-1o3p42d"&&(Ge.textContent=mu),wi=s(e),Xe=o(e,"P",{"data-svelte-h":!0}),c(Xe)!=="svelte-1hty3q7"&&(Xe.innerHTML=Tu),xi=s(e),Ye=o(e,"TABLE",{"data-svelte-h":!0}),c(Ye)!=="svelte-19plha1"&&(Ye.innerHTML=_u),Li=s(e),$i=o(e,"HR",{}),Ci=s(e),Ze=o(e,"A",{id:!0,class:!0}),d(Ze).forEach(t),bi=s(e),H=o(e,"H3",{class:!0});var Za=d(H);ee=o(Za,"A",{id:!0,class:!0,href:!0});var Vn=d(ee);hl=o(Vn,"SPAN",{});var Wn=d(hl);p(et.$$.fragment,Wn),Wn.forEach(t),Vn.forEach(t),bs=s(Za),zr=o(Za,"SPAN",{"data-svelte-h":!0}),c(zr)!=="svelte-ia0lnw"&&(zr.innerHTML=ku),Za.forEach(t),Hi=s(e),tt=o(e,"P",{"data-svelte-h":!0}),c(tt)!=="svelte-1rf8gmz"&&(tt.textContent=yu),Pi=s(e),rt=o(e,"P",{"data-svelte-h":!0}),c(rt)!=="svelte-1hty3q7"&&(rt.innerHTML=wu),Ai=s(e),lt=o(e,"TABLE",{"data-svelte-h":!0}),c(lt)!=="svelte-txh99d"&&(lt.innerHTML=xu),Mi=s(e),Ei=o(e,"HR",{}),Ni=s(e),it=o(e,"A",{id:!0,class:!0}),d(it).forEach(t),gi=s(e),P=o(e,"H3",{class:!0});var es=d(P);te=o(es,"A",{id:!0,class:!0,href:!0});var Fn=d(te);pl=o(Fn,"SPAN",{});var Gn=d(pl);p(ot.$$.fragment,Gn),Gn.forEach(t),Fn.forEach(t),Hs=s(es),jr=o(es,"SPAN",{"data-svelte-h":!0}),c(jr)!=="svelte-1cjrz58"&&(jr.innerHTML=Lu),es.forEach(t),qi=s(e),at=o(e,"P",{"data-svelte-h":!0}),c(at)!=="svelte-1l3oksc"&&(at.textContent=$u),Si=s(e),st=o(e,"P",{"data-svelte-h":!0}),c(st)!=="svelte-vpswb8"&&(st.innerHTML=Cu),Qi=s(e),Ri=o(e,"HR",{}),Ii=s(e),ut=o(e,"A",{id:!0,class:!0}),d(ut).forEach(t),zi=s(e),A=o(e,"H3",{class:!0});var ts=d(A);re=o(ts,"A",{id:!0,class:!0,href:!0});var Xn=d(re);fl=o(Xn,"SPAN",{});var Yn=d(fl);p(nt.$$.fragment,Yn),Yn.forEach(t),Xn.forEach(t),Ps=s(ts),Kr=o(ts,"SPAN",{"data-svelte-h":!0}),c(Kr)!=="svelte-1bid1ug"&&(Kr.innerHTML=bu),ts.forEach(t),ji=s(e),dt=o(e,"P",{"data-svelte-h":!0}),c(dt)!=="svelte-7s4t0d"&&(dt.textContent=Hu),Ki=s(e),ct=o(e,"P",{"data-svelte-h":!0}),c(ct)!=="svelte-ckytvb"&&(ct.innerHTML=Pu),Di=s(e),ht=o(e,"TABLE",{"data-svelte-h":!0}),c(ht)!=="svelte-1xv2m9q"&&(ht.innerHTML=Au),Bi=s(e),Ui=o(e,"HR",{}),Ji=s(e),pt=o(e,"A",{id:!0,class:!0}),d(pt).forEach(t),Oi=s(e),M=o(e,"H2",{class:!0});var rs=d(M);le=o(rs,"A",{id:!0,class:!0,href:!0});var Zn=d(le);vl=o(Zn,"SPAN",{});var ed=d(vl);p(ft.$$.fragment,ed),ed.forEach(t),Zn.forEach(t),As=s(rs),Dr=o(rs,"SPAN",{"data-svelte-h":!0}),c(Dr)!=="svelte-1j2jn3c"&&(Dr.textContent=Mu),rs.forEach(t),Vi=s(e),vt=o(e,"P",{"data-svelte-h":!0}),c(vt)!=="svelte-nklgrc"&&(vt.textContent=Eu),Wi=s(e),mt=o(e,"P",{"data-svelte-h":!0}),c(mt)!=="svelte-1saulos"&&(mt.innerHTML=Nu),Fi=s(e),Tt=o(e,"UL",{"data-svelte-h":!0}),c(Tt)!=="svelte-1yt2jf0"&&(Tt.innerHTML=gu),Gi=s(e),Xi=o(e,"HR",{}),Yi=s(e),_t=o(e,"A",{id:!0,class:!0}),d(_t).forEach(t),Zi=s(e),E=o(e,"H3",{class:!0});var ls=d(E);ie=o(ls,"A",{id:!0,class:!0,href:!0});var td=d(ie);ml=o(td,"SPAN",{});var rd=d(ml);p(kt.$$.fragment,rd),rd.forEach(t),td.forEach(t),Ms=s(ls),Br=o(ls,"SPAN",{"data-svelte-h":!0}),c(Br)!=="svelte-8cj71l"&&(Br.innerHTML=qu),ls.forEach(t),eo=s(e),yt=o(e,"P",{"data-svelte-h":!0}),c(yt)!=="svelte-moeq8l"&&(yt.innerHTML=Su),to=s(e),wt=o(e,"P",{"data-svelte-h":!0}),c(wt)!=="svelte-33rax3"&&(wt.innerHTML=Qu),ro=s(e),xt=o(e,"TABLE",{"data-svelte-h":!0}),c(xt)!=="svelte-18dtsnv"&&(xt.innerHTML=Ru),lo=s(e),io=o(e,"HR",{}),oo=s(e),Lt=o(e,"A",{id:!0,class:!0}),d(Lt).forEach(t),ao=s(e),N=o(e,"H3",{class:!0});var is=d(N);oe=o(is,"A",{id:!0,class:!0,href:!0});var ld=d(oe);Tl=o(ld,"SPAN",{});var id=d(Tl);p($t.$$.fragment,id),id.forEach(t),ld.forEach(t),Es=s(is),Ur=o(is,"SPAN",{"data-svelte-h":!0}),c(Ur)!=="svelte-1gb7d80"&&(Ur.innerHTML=Iu),is.forEach(t),so=s(e),Ct=o(e,"P",{"data-svelte-h":!0}),c(Ct)!=="svelte-4q846v"&&(Ct.textContent=zu),uo=s(e),bt=o(e,"P",{"data-svelte-h":!0}),c(bt)!=="svelte-33rax3"&&(bt.innerHTML=ju),no=s(e),Ht=o(e,"TABLE",{"data-svelte-h":!0}),c(Ht)!=="svelte-hqwgb9"&&(Ht.innerHTML=Ku),co=s(e),ho=o(e,"HR",{}),po=s(e),Pt=o(e,"A",{id:!0,class:!0}),d(Pt).forEach(t),fo=s(e),g=o(e,"H3",{class:!0});var os=d(g);ae=o(os,"A",{id:!0,class:!0,href:!0});var od=d(ae);_l=o(od,"SPAN",{});var ad=d(_l);p(At.$$.fragment,ad),ad.forEach(t),od.forEach(t),Ns=s(os),Jr=o(os,"SPAN",{"data-svelte-h":!0}),c(Jr)!=="svelte-1u8phg5"&&(Jr.innerHTML=Du),os.forEach(t),vo=s(e),Mt=o(e,"P",{"data-svelte-h":!0}),c(Mt)!=="svelte-bmaw98"&&(Mt.innerHTML=Bu),mo=s(e),Et=o(e,"P",{"data-svelte-h":!0}),c(Et)!=="svelte-33rax3"&&(Et.innerHTML=Uu),To=s(e),Nt=o(e,"TABLE",{"data-svelte-h":!0}),c(Nt)!=="svelte-18qxh0x"&&(Nt.innerHTML=Ju),_o=s(e),ko=o(e,"HR",{}),yo=s(e),gt=o(e,"A",{id:!0,class:!0}),d(gt).forEach(t),wo=s(e),q=o(e,"H2",{class:!0});var as=d(q);se=o(as,"A",{id:!0,class:!0,href:!0});var sd=d(se);kl=o(sd,"SPAN",{});var ud=d(kl);p(qt.$$.fragment,ud),ud.forEach(t),sd.forEach(t),gs=s(as),Or=o(as,"SPAN",{"data-svelte-h":!0}),c(Or)!=="svelte-1rqkpl3"&&(Or.textContent=Ou),as.forEach(t),xo=s(e),St=o(e,"P",{"data-svelte-h":!0}),c(St)!=="svelte-1xkinx1"&&(St.textContent=Vu),Lo=s(e),Qt=o(e,"P",{"data-svelte-h":!0}),c(Qt)!=="svelte-1saulos"&&(Qt.innerHTML=Wu),$o=s(e),Rt=o(e,"UL",{"data-svelte-h":!0}),c(Rt)!=="svelte-1v3b8ek"&&(Rt.innerHTML=Fu),Co=s(e),bo=o(e,"HR",{}),Ho=s(e),It=o(e,"A",{id:!0,class:!0}),d(It).forEach(t),Po=s(e),S=o(e,"H3",{class:!0});var ss=d(S);ue=o(ss,"A",{id:!0,class:!0,href:!0});var nd=d(ue);yl=o(nd,"SPAN",{});var dd=d(yl);p(zt.$$.fragment,dd),dd.forEach(t),nd.forEach(t),qs=s(ss),Vr=o(ss,"SPAN",{"data-svelte-h":!0}),c(Vr)!=="svelte-udxvcs"&&(Vr.innerHTML=Gu),ss.forEach(t),Ao=s(e),jt=o(e,"P",{"data-svelte-h":!0}),c(jt)!=="svelte-ziiz62"&&(jt.textContent=Xu),Mo=s(e),Kt=o(e,"TABLE",{"data-svelte-h":!0}),c(Kt)!=="svelte-1h8dv5n"&&(Kt.innerHTML=Yu),Eo=s(e),No=o(e,"HR",{}),go=s(e),Dt=o(e,"A",{id:!0,class:!0}),d(Dt).forEach(t),qo=s(e),Q=o(e,"H3",{class:!0});var us=d(Q);ne=o(us,"A",{id:!0,class:!0,href:!0});var cd=d(ne);wl=o(cd,"SPAN",{});var hd=d(wl);p(Bt.$$.fragment,hd),hd.forEach(t),cd.forEach(t),Ss=s(us),Wr=o(us,"SPAN",{"data-svelte-h":!0}),c(Wr)!=="svelte-1m34577"&&(Wr.innerHTML=Zu),us.forEach(t),So=s(e),Ut=o(e,"P",{"data-svelte-h":!0}),c(Ut)!=="svelte-1hzq3te"&&(Ut.textContent=en),Qo=s(e),Jt=o(e,"P",{"data-svelte-h":!0}),c(Jt)!=="svelte-1bjyh7n"&&(Jt.innerHTML=tn),Ro=s(e),Ot=o(e,"TABLE",{"data-svelte-h":!0}),c(Ot)!=="svelte-1a01i2a"&&(Ot.innerHTML=rn),Io=s(e),zo=o(e,"HR",{}),jo=s(e),Vt=o(e,"A",{id:!0,class:!0}),d(Vt).forEach(t),Ko=s(e),R=o(e,"H3",{class:!0});var ns=d(R);de=o(ns,"A",{id:!0,class:!0,href:!0});var pd=d(de);xl=o(pd,"SPAN",{});var fd=d(xl);p(Wt.$$.fragment,fd),fd.forEach(t),pd.forEach(t),Qs=s(ns),Fr=o(ns,"SPAN",{"data-svelte-h":!0}),c(Fr)!=="svelte-hxfoux"&&(Fr.innerHTML=ln),ns.forEach(t),Do=s(e),Ft=o(e,"P",{"data-svelte-h":!0}),c(Ft)!=="svelte-jv0r"&&(Ft.textContent=on),Bo=s(e),Gt=o(e,"P",{"data-svelte-h":!0}),c(Gt)!=="svelte-jhtbo2"&&(Gt.innerHTML=an),Uo=s(e),Jo=o(e,"HR",{}),Oo=s(e),Xt=o(e,"A",{id:!0,class:!0}),d(Xt).forEach(t),Vo=s(e),I=o(e,"H3",{class:!0});var ds=d(I);ce=o(ds,"A",{id:!0,class:!0,href:!0});var vd=d(ce);Ll=o(vd,"SPAN",{});var md=d(Ll);p(Yt.$$.fragment,md),md.forEach(t),vd.forEach(t),Rs=s(ds),Gr=o(ds,"SPAN",{"data-svelte-h":!0}),c(Gr)!=="svelte-vk1xqw"&&(Gr.innerHTML=sn),ds.forEach(t),Wo=s(e),Zt=o(e,"P",{"data-svelte-h":!0}),c(Zt)!=="svelte-1n9zjoi"&&(Zt.innerHTML=un),Fo=s(e),er=o(e,"TABLE",{"data-svelte-h":!0}),c(er)!=="svelte-6nufyb"&&(er.innerHTML=nn),Go=s(e),Xo=o(e,"HR",{}),Yo=s(e),tr=o(e,"A",{id:!0,class:!0}),d(tr).forEach(t),Zo=s(e),z=o(e,"H3",{class:!0});var cs=d(z);he=o(cs,"A",{id:!0,class:!0,href:!0});var Td=d(he);$l=o(Td,"SPAN",{});var _d=d($l);p(rr.$$.fragment,_d),_d.forEach(t),Td.forEach(t),Is=s(cs),Xr=o(cs,"SPAN",{"data-svelte-h":!0}),c(Xr)!=="svelte-s7zbb8"&&(Xr.innerHTML=dn),cs.forEach(t),ea=s(e),lr=o(e,"P",{"data-svelte-h":!0}),c(lr)!=="svelte-1oso32i"&&(lr.innerHTML=cn),ta=s(e),ra=o(e,"HR",{}),la=s(e),ir=o(e,"A",{id:!0,class:!0}),d(ir).forEach(t),ia=s(e),j=o(e,"H3",{class:!0});var hs=d(j);pe=o(hs,"A",{id:!0,class:!0,href:!0});var kd=d(pe);Cl=o(kd,"SPAN",{});var yd=d(Cl);p(or.$$.fragment,yd),yd.forEach(t),kd.forEach(t),zs=s(hs),Yr=o(hs,"SPAN",{"data-svelte-h":!0}),c(Yr)!=="svelte-12sj8kf"&&(Yr.innerHTML=hn),hs.forEach(t),oa=s(e),ar=o(e,"P",{"data-svelte-h":!0}),c(ar)!=="svelte-1oso32i"&&(ar.innerHTML=pn),aa=s(e),sa=o(e,"HR",{}),ua=s(e),sr=o(e,"A",{id:!0,class:!0}),d(sr).forEach(t),na=s(e),K=o(e,"H2",{class:!0});var ps=d(K);fe=o(ps,"A",{id:!0,class:!0,href:!0});var wd=d(fe);bl=o(wd,"SPAN",{});var xd=d(bl);p(ur.$$.fragment,xd),xd.forEach(t),wd.forEach(t),js=s(ps),Zr=o(ps,"SPAN",{"data-svelte-h":!0}),c(Zr)!=="svelte-8qbkoo"&&(Zr.textContent=fn),ps.forEach(t),da=s(e),nr=o(e,"P",{"data-svelte-h":!0}),c(nr)!=="svelte-1auz3rh"&&(nr.textContent=vn),ca=s(e),dr=o(e,"P",{"data-svelte-h":!0}),c(dr)!=="svelte-1p9ver0"&&(dr.innerHTML=mn),ha=s(e),cr=o(e,"UL",{"data-svelte-h":!0}),c(cr)!=="svelte-4v7sww"&&(cr.innerHTML=Tn),pa=s(e),fa=o(e,"HR",{}),va=s(e),hr=o(e,"A",{id:!0,class:!0}),d(hr).forEach(t),ma=s(e),D=o(e,"H3",{class:!0});var fs=d(D);ve=o(fs,"A",{id:!0,class:!0,href:!0});var Ld=d(ve);Hl=o(Ld,"SPAN",{});var $d=d(Hl);p(pr.$$.fragment,$d),$d.forEach(t),Ld.forEach(t),Ks=s(fs),el=o(fs,"SPAN",{"data-svelte-h":!0}),c(el)!=="svelte-ejg36q"&&(el.innerHTML=_n),fs.forEach(t),Ta=s(e),fr=o(e,"P",{"data-svelte-h":!0}),c(fr)!=="svelte-mt1jex"&&(fr.textContent=kn),_a=s(e),vr=o(e,"TABLE",{"data-svelte-h":!0}),c(vr)!=="svelte-nk427c"&&(vr.innerHTML=yn),ka=s(e),ya=o(e,"HR",{}),wa=s(e),mr=o(e,"A",{id:!0,class:!0}),d(mr).forEach(t),xa=s(e),B=o(e,"H3",{class:!0});var vs=d(B);me=o(vs,"A",{id:!0,class:!0,href:!0});var Cd=d(me);Pl=o(Cd,"SPAN",{});var bd=d(Pl);p(Tr.$$.fragment,bd),bd.forEach(t),Cd.forEach(t),Ds=s(vs),tl=o(vs,"SPAN",{"data-svelte-h":!0}),c(tl)!=="svelte-1hkhbbl"&&(tl.innerHTML=wn),vs.forEach(t),La=s(e),_r=o(e,"P",{"data-svelte-h":!0}),c(_r)!=="svelte-9cjdkj"&&(_r.innerHTML=xn),$a=s(e),kr=o(e,"P",{"data-svelte-h":!0}),c(kr)!=="svelte-3pigfy"&&(kr.innerHTML=Ln),Ca=s(e),ba=o(e,"HR",{}),Ha=s(e),yr=o(e,"A",{id:!0,class:!0}),d(yr).forEach(t),Pa=s(e),U=o(e,"H2",{class:!0});var ms=d(U);Te=o(ms,"A",{id:!0,class:!0,href:!0});var Hd=d(Te);Al=o(Hd,"SPAN",{});var Pd=d(Al);p(wr.$$.fragment,Pd),Pd.forEach(t),Hd.forEach(t),Bs=s(ms),rl=o(ms,"SPAN",{"data-svelte-h":!0}),c(rl)!=="svelte-z2i7qv"&&(rl.textContent=$n),ms.forEach(t),Aa=s(e),xr=o(e,"P",{"data-svelte-h":!0}),c(xr)!=="svelte-1p9ver0"&&(xr.innerHTML=Cn),Ma=s(e),Lr=o(e,"UL",{"data-svelte-h":!0}),c(Lr)!=="svelte-r6qh2h"&&(Lr.innerHTML=bn),Ea=s(e),Na=o(e,"HR",{}),ga=s(e),$r=o(e,"A",{id:!0,class:!0}),d($r).forEach(t),qa=s(e),J=o(e,"H3",{class:!0});var Ts=d(J);_e=o(Ts,"A",{id:!0,class:!0,href:!0});var Ad=d(_e);Ml=o(Ad,"SPAN",{});var Md=d(Ml);p(Cr.$$.fragment,Md),Md.forEach(t),Ad.forEach(t),Us=s(Ts),ll=o(Ts,"SPAN",{"data-svelte-h":!0}),c(ll)!=="svelte-ecvhdx"&&(ll.innerHTML=Hn),Ts.forEach(t),Sa=s(e),br=o(e,"P",{"data-svelte-h":!0}),c(br)!=="svelte-vrhdhn"&&(br.textContent=Pn),Qa=s(e),Hr=o(e,"TABLE",{"data-svelte-h":!0}),c(Hr)!=="svelte-5ahzuq"&&(Hr.innerHTML=An),Ra=s(e),Ia=o(e,"HR",{}),za=s(e),Pr=o(e,"A",{id:!0,class:!0}),d(Pr).forEach(t),ja=s(e),O=o(e,"H3",{class:!0});var _s=d(O);ke=o(_s,"A",{id:!0,class:!0,href:!0});var Ed=d(ke);El=o(Ed,"SPAN",{});var Nd=d(El);p(Ar.$$.fragment,Nd),Nd.forEach(t),Ed.forEach(t),Js=s(_s),il=o(_s,"SPAN",{"data-svelte-h":!0}),c(il)!=="svelte-9qfizt"&&(il.innerHTML=Mn),_s.forEach(t),Ka=s(e),Mr=o(e,"P",{"data-svelte-h":!0}),c(Mr)!=="svelte-34g670"&&(Mr.textContent=En),Da=s(e),Er=o(e,"P",{"data-svelte-h":!0}),c(Er)!=="svelte-7303j9"&&(Er.innerHTML=Nn),Ba=s(e),Ua=o(e,"HR",{}),this.h()},h(){u(k,"name","hf:doc:metadata"),u(k,"content",JSON.stringify(jd)),u(ye,"id","module_utils/data-structures"),u(ye,"class","group"),u(V,"id","utilsdatastructures"),u(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(V,"href","#utilsdatastructures"),u(y,"class","relative group"),u(Ce,"id","module_utils/data-structures.PriorityQueue"),u(Ce,"class","group"),u(W,"id","utilsdatastructurespriorityqueue"),u(W,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(W,"href","#utilsdatastructurespriorityqueue"),u(w,"class","relative group"),u(Ne,"id","new_module_utils/data-structures.PriorityQueue_new"),u(Ne,"class","group"),u(F,"id","new-priorityqueuecomparator"),u(F,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(F,"href","#new-priorityqueuecomparator"),u(x,"class","relative group"),u(Qe,"id","module_utils/data-structures.PriorityQueue+size"),u(Qe,"class","group"),u(G,"id","priorityqueuesize"),u(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(G,"href","#priorityqueuesize"),u(L,"class","relative group"),u(je,"id","module_utils/data-structures.PriorityQueue+isEmpty"),u(je,"class","group"),u(X,"id","priorityqueueisempty-codebooleancode"),u(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(X,"href","#priorityqueueisempty-codebooleancode"),u($,"class","relative group"),u(Ue,"id","module_utils/data-structures.PriorityQueue+peek"),u(Ue,"class","group"),u(Y,"id","priorityqueuepeek-codeanycode"),u(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Y,"href","#priorityqueuepeek-codeanycode"),u(C,"class","relative group"),u(We,"id","module_utils/data-structures.PriorityQueue+push"),u(We,"class","group"),u(Z,"id","priorityqueuepushvalues-codenumbercode"),u(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Z,"href","#priorityqueuepushvalues-codenumbercode"),u(b,"class","relative group"),u(Ze,"id","module_utils/data-structures.PriorityQueue+extend"),u(Ze,"class","group"),u(ee,"id","priorityqueueextendvalues-codenumbercode"),u(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ee,"href","#priorityqueueextendvalues-codenumbercode"),u(H,"class","relative group"),u(it,"id","module_utils/data-structures.PriorityQueue+pop"),u(it,"class","group"),u(te,"id","priorityqueuepop-codeanycode"),u(te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(te,"href","#priorityqueuepop-codeanycode"),u(P,"class","relative group"),u(ut,"id","module_utils/data-structures.PriorityQueue+replace"),u(ut,"class","group"),u(re,"id","priorityqueuereplacevalue-codecode"),u(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(re,"href","#priorityqueuereplacevalue-codecode"),u(A,"class","relative group"),u(pt,"id","module_utils/data-structures.CharTrie"),u(pt,"class","group"),u(le,"id","utilsdatastructureschartrie"),u(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(le,"href","#utilsdatastructureschartrie"),u(M,"class","relative group"),u(_t,"id","module_utils/data-structures.CharTrie+extend"),u(_t,"class","group"),u(ie,"id","chartrieextendtexts"),u(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ie,"href","#chartrieextendtexts"),u(E,"class","relative group"),u(Lt,"id","module_utils/data-structures.CharTrie+push"),u(Lt,"class","group"),u(oe,"id","chartriepushtext"),u(oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(oe,"href","#chartriepushtext"),u(N,"class","relative group"),u(Pt,"id","module_utils/data-structures.CharTrie+commonPrefixSearch"),u(Pt,"class","group"),u(ae,"id","chartriecommonprefixsearchtext"),u(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ae,"href","#chartriecommonprefixsearchtext"),u(g,"class","relative group"),u(gt,"id","module_utils/data-structures.TokenLattice"),u(gt,"class","group"),u(se,"id","utilsdatastructurestokenlattice"),u(se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(se,"href","#utilsdatastructurestokenlattice"),u(q,"class","relative group"),u(It,"id","new_module_utils/data-structures.TokenLattice_new"),u(It,"class","group"),u(ue,"id","new-tokenlatticesentence-bostokenid-eostokenid"),u(ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ue,"href","#new-tokenlatticesentence-bostokenid-eostokenid"),u(S,"class","relative group"),u(Dt,"id","module_utils/data-structures.TokenLattice+insert"),u(Dt,"class","group"),u(ne,"id","tokenlatticeinsertpos-length-score-tokenid"),u(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ne,"href","#tokenlatticeinsertpos-length-score-tokenid"),u(Q,"class","relative group"),u(Vt,"id","module_utils/data-structures.TokenLattice+viterbi"),u(Vt,"class","group"),u(de,"id","tokenlatticeviterbi-codearrayamplttokenlatticenodeampgtcode"),u(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(de,"href","#tokenlatticeviterbi-codearrayamplttokenlatticenodeampgtcode"),u(R,"class","relative group"),u(Xt,"id","module_utils/data-structures.TokenLattice+piece"),u(Xt,"class","group"),u(ce,"id","tokenlatticepiecenode-codestringcode"),u(ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ce,"href","#tokenlatticepiecenode-codestringcode"),u(I,"class","relative group"),u(tr,"id","module_utils/data-structures.TokenLattice+tokens"),u(tr,"class","group"),u(he,"id","tokenlatticetokens-codearraycode"),u(he,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(he,"href","#tokenlatticetokens-codearraycode"),u(z,"class","relative group"),u(ir,"id","module_utils/data-structures.TokenLattice+tokenIds"),u(ir,"class","group"),u(pe,"id","tokenlatticetokenids-codearraycode"),u(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(pe,"href","#tokenlatticetokenids-codearraycode"),u(j,"class","relative group"),u(sr,"id","module_utils/data-structures..CharTrieNode"),u(sr,"class","group"),u(fe,"id","utilsdatastructureschartrienode"),u(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(fe,"href","#utilsdatastructureschartrienode"),u(K,"class","relative group"),u(hr,"id","new_module_utils/data-structures..CharTrieNode_new"),u(hr,"class","group"),u(ve,"id","new-chartrienodeisleaf-children"),u(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ve,"href","#new-chartrienodeisleaf-children"),u(D,"class","relative group"),u(mr,"id","module_utils/data-structures..CharTrieNode.default"),u(mr,"class","group"),u(me,"id","chartrienodedefault-codechartrienodecode"),u(me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(me,"href","#chartrienodedefault-codechartrienodecode"),u(B,"class","relative group"),u(yr,"id","module_utils/data-structures..TokenLatticeNode"),u(yr,"class","group"),u(Te,"id","utilsdatastructurestokenlatticenode"),u(Te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Te,"href","#utilsdatastructurestokenlatticenode"),u(U,"class","relative group"),u($r,"id","new_module_utils/data-structures..TokenLatticeNode_new"),u($r,"class","group"),u(_e,"id","new-tokenlatticenodetokenid-nodeid-pos-length-score"),u(_e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(_e,"href","#new-tokenlatticenodetokenid-nodeid-pos-length-score"),u(J,"class","relative group"),u(Pr,"id","module_utils/data-structures..TokenLatticeNode+clone"),u(Pr,"class","group"),u(ke,"id","tokenlatticenodeclone-codetokenlatticenodecode"),u(ke,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ke,"href","#tokenlatticenodeclone-codetokenlatticenodecode"),u(O,"class","relative group")},m(e,r){n(document.head,k),l(e,Nl,r),l(e,ye,r),l(e,gl,r),l(e,y,r),n(y,V),n(V,ol),f(we,ol,null),n(y,ks),n(y,Nr),l(e,ql,r),l(e,xe,r),l(e,Sl,r),l(e,Le,r),l(e,Ql,r),l(e,$e,r),l(e,Rl,r),l(e,Il,r),l(e,zl,r),l(e,Ce,r),l(e,jl,r),l(e,w,r),n(w,W),n(W,al),f(be,al,null),n(w,ys),n(w,gr),l(e,Kl,r),l(e,He,r),l(e,Dl,r),l(e,Pe,r),l(e,Bl,r),l(e,Ae,r),l(e,Ul,r),l(e,Me,r),l(e,Jl,r),l(e,Ee,r),l(e,Ol,r),l(e,Vl,r),l(e,Wl,r),l(e,Ne,r),l(e,Fl,r),l(e,x,r),n(x,F),n(F,sl),f(ge,sl,null),n(x,ws),n(x,qr),l(e,Gl,r),l(e,qe,r),l(e,Xl,r),l(e,Se,r),l(e,Yl,r),l(e,Zl,r),l(e,ei,r),l(e,Qe,r),l(e,ti,r),l(e,L,r),n(L,G),n(G,ul),f(Re,ul,null),n(L,xs),n(L,Sr),l(e,ri,r),l(e,Ie,r),l(e,li,r),l(e,ze,r),l(e,ii,r),l(e,oi,r),l(e,ai,r),l(e,je,r),l(e,si,r),l(e,$,r),n($,X),n(X,nl),f(Ke,nl,null),n($,Ls),n($,Qr),l(e,ui,r),l(e,De,r),l(e,ni,r),l(e,Be,r),l(e,di,r),l(e,ci,r),l(e,hi,r),l(e,Ue,r),l(e,pi,r),l(e,C,r),n(C,Y),n(Y,dl),f(Je,dl,null),n(C,$s),n(C,Rr),l(e,fi,r),l(e,Oe,r),l(e,vi,r),l(e,Ve,r),l(e,mi,r),l(e,Ti,r),l(e,_i,r),l(e,We,r),l(e,ki,r),l(e,b,r),n(b,Z),n(Z,cl),f(Fe,cl,null),n(b,Cs),n(b,Ir),l(e,yi,r),l(e,Ge,r),l(e,wi,r),l(e,Xe,r),l(e,xi,r),l(e,Ye,r),l(e,Li,r),l(e,$i,r),l(e,Ci,r),l(e,Ze,r),l(e,bi,r),l(e,H,r),n(H,ee),n(ee,hl),f(et,hl,null),n(H,bs),n(H,zr),l(e,Hi,r),l(e,tt,r),l(e,Pi,r),l(e,rt,r),l(e,Ai,r),l(e,lt,r),l(e,Mi,r),l(e,Ei,r),l(e,Ni,r),l(e,it,r),l(e,gi,r),l(e,P,r),n(P,te),n(te,pl),f(ot,pl,null),n(P,Hs),n(P,jr),l(e,qi,r),l(e,at,r),l(e,Si,r),l(e,st,r),l(e,Qi,r),l(e,Ri,r),l(e,Ii,r),l(e,ut,r),l(e,zi,r),l(e,A,r),n(A,re),n(re,fl),f(nt,fl,null),n(A,Ps),n(A,Kr),l(e,ji,r),l(e,dt,r),l(e,Ki,r),l(e,ct,r),l(e,Di,r),l(e,ht,r),l(e,Bi,r),l(e,Ui,r),l(e,Ji,r),l(e,pt,r),l(e,Oi,r),l(e,M,r),n(M,le),n(le,vl),f(ft,vl,null),n(M,As),n(M,Dr),l(e,Vi,r),l(e,vt,r),l(e,Wi,r),l(e,mt,r),l(e,Fi,r),l(e,Tt,r),l(e,Gi,r),l(e,Xi,r),l(e,Yi,r),l(e,_t,r),l(e,Zi,r),l(e,E,r),n(E,ie),n(ie,ml),f(kt,ml,null),n(E,Ms),n(E,Br),l(e,eo,r),l(e,yt,r),l(e,to,r),l(e,wt,r),l(e,ro,r),l(e,xt,r),l(e,lo,r),l(e,io,r),l(e,oo,r),l(e,Lt,r),l(e,ao,r),l(e,N,r),n(N,oe),n(oe,Tl),f($t,Tl,null),n(N,Es),n(N,Ur),l(e,so,r),l(e,Ct,r),l(e,uo,r),l(e,bt,r),l(e,no,r),l(e,Ht,r),l(e,co,r),l(e,ho,r),l(e,po,r),l(e,Pt,r),l(e,fo,r),l(e,g,r),n(g,ae),n(ae,_l),f(At,_l,null),n(g,Ns),n(g,Jr),l(e,vo,r),l(e,Mt,r),l(e,mo,r),l(e,Et,r),l(e,To,r),l(e,Nt,r),l(e,_o,r),l(e,ko,r),l(e,yo,r),l(e,gt,r),l(e,wo,r),l(e,q,r),n(q,se),n(se,kl),f(qt,kl,null),n(q,gs),n(q,Or),l(e,xo,r),l(e,St,r),l(e,Lo,r),l(e,Qt,r),l(e,$o,r),l(e,Rt,r),l(e,Co,r),l(e,bo,r),l(e,Ho,r),l(e,It,r),l(e,Po,r),l(e,S,r),n(S,ue),n(ue,yl),f(zt,yl,null),n(S,qs),n(S,Vr),l(e,Ao,r),l(e,jt,r),l(e,Mo,r),l(e,Kt,r),l(e,Eo,r),l(e,No,r),l(e,go,r),l(e,Dt,r),l(e,qo,r),l(e,Q,r),n(Q,ne),n(ne,wl),f(Bt,wl,null),n(Q,Ss),n(Q,Wr),l(e,So,r),l(e,Ut,r),l(e,Qo,r),l(e,Jt,r),l(e,Ro,r),l(e,Ot,r),l(e,Io,r),l(e,zo,r),l(e,jo,r),l(e,Vt,r),l(e,Ko,r),l(e,R,r),n(R,de),n(de,xl),f(Wt,xl,null),n(R,Qs),n(R,Fr),l(e,Do,r),l(e,Ft,r),l(e,Bo,r),l(e,Gt,r),l(e,Uo,r),l(e,Jo,r),l(e,Oo,r),l(e,Xt,r),l(e,Vo,r),l(e,I,r),n(I,ce),n(ce,Ll),f(Yt,Ll,null),n(I,Rs),n(I,Gr),l(e,Wo,r),l(e,Zt,r),l(e,Fo,r),l(e,er,r),l(e,Go,r),l(e,Xo,r),l(e,Yo,r),l(e,tr,r),l(e,Zo,r),l(e,z,r),n(z,he),n(he,$l),f(rr,$l,null),n(z,Is),n(z,Xr),l(e,ea,r),l(e,lr,r),l(e,ta,r),l(e,ra,r),l(e,la,r),l(e,ir,r),l(e,ia,r),l(e,j,r),n(j,pe),n(pe,Cl),f(or,Cl,null),n(j,zs),n(j,Yr),l(e,oa,r),l(e,ar,r),l(e,aa,r),l(e,sa,r),l(e,ua,r),l(e,sr,r),l(e,na,r),l(e,K,r),n(K,fe),n(fe,bl),f(ur,bl,null),n(K,js),n(K,Zr),l(e,da,r),l(e,nr,r),l(e,ca,r),l(e,dr,r),l(e,ha,r),l(e,cr,r),l(e,pa,r),l(e,fa,r),l(e,va,r),l(e,hr,r),l(e,ma,r),l(e,D,r),n(D,ve),n(ve,Hl),f(pr,Hl,null),n(D,Ks),n(D,el),l(e,Ta,r),l(e,fr,r),l(e,_a,r),l(e,vr,r),l(e,ka,r),l(e,ya,r),l(e,wa,r),l(e,mr,r),l(e,xa,r),l(e,B,r),n(B,me),n(me,Pl),f(Tr,Pl,null),n(B,Ds),n(B,tl),l(e,La,r),l(e,_r,r),l(e,$a,r),l(e,kr,r),l(e,Ca,r),l(e,ba,r),l(e,Ha,r),l(e,yr,r),l(e,Pa,r),l(e,U,r),n(U,Te),n(Te,Al),f(wr,Al,null),n(U,Bs),n(U,rl),l(e,Aa,r),l(e,xr,r),l(e,Ma,r),l(e,Lr,r),l(e,Ea,r),l(e,Na,r),l(e,ga,r),l(e,$r,r),l(e,qa,r),l(e,J,r),n(J,_e),n(_e,Ml),f(Cr,Ml,null),n(J,Us),n(J,ll),l(e,Sa,r),l(e,br,r),l(e,Qa,r),l(e,Hr,r),l(e,Ra,r),l(e,Ia,r),l(e,za,r),l(e,Pr,r),l(e,ja,r),l(e,O,r),n(O,ke),n(ke,El),f(Ar,El,null),n(O,Js),n(O,il),l(e,Ka,r),l(e,Mr,r),l(e,Da,r),l(e,Er,r),l(e,Ba,r),l(e,Ua,r),Ja=!0},p:qd,i(e){Ja||(v(we.$$.fragment,e),v(be.$$.fragment,e),v(ge.$$.fragment,e),v(Re.$$.fragment,e),v(Ke.$$.fragment,e),v(Je.$$.fragment,e),v(Fe.$$.fragment,e),v(et.$$.fragment,e),v(ot.$$.fragment,e),v(nt.$$.fragment,e),v(ft.$$.fragment,e),v(kt.$$.fragment,e),v($t.$$.fragment,e),v(At.$$.fragment,e),v(qt.$$.fragment,e),v(zt.$$.fragment,e),v(Bt.$$.fragment,e),v(Wt.$$.fragment,e),v(Yt.$$.fragment,e),v(rr.$$.fragment,e),v(or.$$.fragment,e),v(ur.$$.fragment,e),v(pr.$$.fragment,e),v(Tr.$$.fragment,e),v(wr.$$.fragment,e),v(Cr.$$.fragment,e),v(Ar.$$.fragment,e),Ja=!0)},o(e){m(we.$$.fragment,e),m(be.$$.fragment,e),m(ge.$$.fragment,e),m(Re.$$.fragment,e),m(Ke.$$.fragment,e),m(Je.$$.fragment,e),m(Fe.$$.fragment,e),m(et.$$.fragment,e),m(ot.$$.fragment,e),m(nt.$$.fragment,e),m(ft.$$.fragment,e),m(kt.$$.fragment,e),m($t.$$.fragment,e),m(At.$$.fragment,e),m(qt.$$.fragment,e),m(zt.$$.fragment,e),m(Bt.$$.fragment,e),m(Wt.$$.fragment,e),m(Yt.$$.fragment,e),m(rr.$$.fragment,e),m(or.$$.fragment,e),m(ur.$$.fragment,e),m(pr.$$.fragment,e),m(Tr.$$.fragment,e),m(wr.$$.fragment,e),m(Cr.$$.fragment,e),m(Ar.$$.fragment,e),Ja=!1},d(e){e&&(t(Nl),t(ye),t(gl),t(y),t(ql),t(xe),t(Sl),t(Le),t(Ql),t($e),t(Rl),t(Il),t(zl),t(Ce),t(jl),t(w),t(Kl),t(He),t(Dl),t(Pe),t(Bl),t(Ae),t(Ul),t(Me),t(Jl),t(Ee),t(Ol),t(Vl),t(Wl),t(Ne),t(Fl),t(x),t(Gl),t(qe),t(Xl),t(Se),t(Yl),t(Zl),t(ei),t(Qe),t(ti),t(L),t(ri),t(Ie),t(li),t(ze),t(ii),t(oi),t(ai),t(je),t(si),t($),t(ui),t(De),t(ni),t(Be),t(di),t(ci),t(hi),t(Ue),t(pi),t(C),t(fi),t(Oe),t(vi),t(Ve),t(mi),t(Ti),t(_i),t(We),t(ki),t(b),t(yi),t(Ge),t(wi),t(Xe),t(xi),t(Ye),t(Li),t($i),t(Ci),t(Ze),t(bi),t(H),t(Hi),t(tt),t(Pi),t(rt),t(Ai),t(lt),t(Mi),t(Ei),t(Ni),t(it),t(gi),t(P),t(qi),t(at),t(Si),t(st),t(Qi),t(Ri),t(Ii),t(ut),t(zi),t(A),t(ji),t(dt),t(Ki),t(ct),t(Di),t(ht),t(Bi),t(Ui),t(Ji),t(pt),t(Oi),t(M),t(Vi),t(vt),t(Wi),t(mt),t(Fi),t(Tt),t(Gi),t(Xi),t(Yi),t(_t),t(Zi),t(E),t(eo),t(yt),t(to),t(wt),t(ro),t(xt),t(lo),t(io),t(oo),t(Lt),t(ao),t(N),t(so),t(Ct),t(uo),t(bt),t(no),t(Ht),t(co),t(ho),t(po),t(Pt),t(fo),t(g),t(vo),t(Mt),t(mo),t(Et),t(To),t(Nt),t(_o),t(ko),t(yo),t(gt),t(wo),t(q),t(xo),t(St),t(Lo),t(Qt),t($o),t(Rt),t(Co),t(bo),t(Ho),t(It),t(Po),t(S),t(Ao),t(jt),t(Mo),t(Kt),t(Eo),t(No),t(go),t(Dt),t(qo),t(Q),t(So),t(Ut),t(Qo),t(Jt),t(Ro),t(Ot),t(Io),t(zo),t(jo),t(Vt),t(Ko),t(R),t(Do),t(Ft),t(Bo),t(Gt),t(Uo),t(Jo),t(Oo),t(Xt),t(Vo),t(I),t(Wo),t(Zt),t(Fo),t(er),t(Go),t(Xo),t(Yo),t(tr),t(Zo),t(z),t(ea),t(lr),t(ta),t(ra),t(la),t(ir),t(ia),t(j),t(oa),t(ar),t(aa),t(sa),t(ua),t(sr),t(na),t(K),t(da),t(nr),t(ca),t(dr),t(ha),t(cr),t(pa),t(fa),t(va),t(hr),t(ma),t(D),t(Ta),t(fr),t(_a),t(vr),t(ka),t(ya),t(wa),t(mr),t(xa),t(B),t(La),t(_r),t($a),t(kr),t(Ca),t(ba),t(Ha),t(yr),t(Pa),t(U),t(Aa),t(xr),t(Ma),t(Lr),t(Ea),t(Na),t(ga),t($r),t(qa),t(J),t(Sa),t(br),t(Qa),t(Hr),t(Ra),t(Ia),t(za),t(Pr),t(ja),t(O),t(Ka),t(Mr),t(Da),t(Er),t(Ba),t(Ua)),t(k),T(we),T(be),T(ge),T(Re),T(Ke),T(Je),T(Fe),T(et),T(ot),T(nt),T(ft),T(kt),T($t),T(At),T(qt),T(zt),T(Bt),T(Wt),T(Yt),T(rr),T(or),T(ur),T(pr),T(Tr),T(wr),T(Cr),T(Ar)}}}const jd={local:"utilsdatastructures",sections:[{local:"utilsdatastructurespriorityqueue",sections:[{local:"new-priorityqueuecomparator",title:"`new PriorityQueue(comparator)`"},{local:"priorityqueuesize",title:"`priorityQueue.size`"},{local:"priorityqueueisempty-codebooleancode",title:"`priorityQueue.isEmpty()` ⇒ <code>boolean</code>"},{local:"priorityqueuepeek-codeanycode",title:"`priorityQueue.peek()` ⇒ <code>any</code>"},{local:"priorityqueuepushvalues-codenumbercode",title:"`priorityQueue.push(...values)` ⇒ <code>number</code>"},{local:"priorityqueueextendvalues-codenumbercode",title:"`priorityQueue.extend(values)` ⇒ <code>number</code>"},{local:"priorityqueuepop-codeanycode",title:"`priorityQueue.pop()` ⇒ <code>any</code>"},{local:"priorityqueuereplacevalue-codecode",title:"`priorityQueue.replace(value)` ⇒ <code>*</code>"}],title:"utils/data-structures.PriorityQueue"},{local:"utilsdatastructureschartrie",sections:[{local:"chartrieextendtexts",title:"`charTrie.extend(texts)`"},{local:"chartriepushtext",title:"`charTrie.push(text)`"},{local:"chartriecommonprefixsearchtext",title:"`charTrie.commonPrefixSearch(text)`"}],title:"utils/data-structures.CharTrie"},{local:"utilsdatastructurestokenlattice",sections:[{local:"new-tokenlatticesentence-bostokenid-eostokenid",title:"`new TokenLattice(sentence, bosTokenId, eosTokenId)`"},{local:"tokenlatticeinsertpos-length-score-tokenid",title:"`tokenLattice.insert(pos, length, score, tokenId)`"},{local:"tokenlatticeviterbi-codearrayamplttokenlatticenodeampgtcode",title:"`tokenLattice.viterbi()` ⇒ <code>Array.&lt;TokenLatticeNode&gt;</code>"},{local:"tokenlatticepiecenode-codestringcode",title:"`tokenLattice.piece(node)` ⇒ <code>string</code>"},{local:"tokenlatticetokens-codearraycode",title:"`tokenLattice.tokens()` ⇒ <code>Array</code>"},{local:"tokenlatticetokenids-codearraycode",title:"`tokenLattice.tokenIds()` ⇒ <code>Array</code>"}],title:"utils/data-structures.TokenLattice"},{local:"utilsdatastructureschartrienode",sections:[{local:"new-chartrienodeisleaf-children",title:"`new CharTrieNode(isLeaf, children)`"},{local:"chartrienodedefault-codechartrienodecode",title:"`CharTrieNode.default()` ⇒ <code>CharTrieNode</code>"}],title:"utils/data-structures~CharTrieNode"},{local:"utilsdatastructurestokenlatticenode",sections:[{local:"new-tokenlatticenodetokenid-nodeid-pos-length-score",title:"`new TokenLatticeNode(tokenId, nodeId, pos, length, score)`"},{local:"tokenlatticenodeclone-codetokenlatticenodecode",title:"`tokenLatticeNode.clone()` ⇒ <code>TokenLatticeNode</code>"}],title:"utils/data-structures~TokenLatticeNode"}],title:"utils/data-structures"};function Kd(Os){return Sd(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Jd extends Qd{constructor(k){super(),Rd(this,k,Kd,zd,gd,{})}}export{Jd as component};
