import{s as oh,n as ih,o as sh}from"../chunks/scheduler.b108d059.js";import{S as rh,i as nh,g as i,s as r,p as c,A as dh,h as s,f as t,c as n,j as h,q as p,m as u,k as d,v as a,a as o,r as f,d as m,t as v,u as b}from"../chunks/index.505cd174.js";import{I as _}from"../chunks/IconCopyLink.74cd415a.js";function ah(Pn){let g,To,ve,yo,w,J,Vl,be,Qr,Hl,Hn="utils/hub",Po,_e,$n='Utility functions to interact with the Hugging Face Hub (<a href="https://huggingface.co/models" rel="nofollow">https://huggingface.co/models</a>)',Ho,ge,xn='<li><a href="#module_utils/hub">utils/hub</a><ul><li><em>static</em><ul><li><a href="#module_utils/hub.getFile"><code>.getFile(urlOrPath)</code></a> ⇒ <code>Promise.&lt;(FileResponse|Response)&gt;</code></li> <li><a href="#module_utils/hub.getModelFile"><code>.getModelFile(path_or_repo_id, filename, [fatal], [options])</code></a> ⇒ <code>Promise</code><ul><li><a href="#module_utils/hub.getModelFile..cacheKey"><code>~cacheKey</code></a> : <code>string</code></li> <li><a href="#module_utils/hub.getModelFile..response"><code>~response</code></a> : <code>Response</code> | <code>FileResponse</code> | <code>undefined</code></li></ul></li> <li><a href="#module_utils/hub.getModelJSON"><code>.getModelJSON(modelPath, fileName, [fatal], [options])</code></a> ⇒ <code>Promise.&lt;Object&gt;</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/hub..FileResponse">~FileResponse</a><ul><li><a href="#new_module_utils/hub..FileResponse_new"><code>new FileResponse(filePath)</code></a></li> <li><a href="#module_utils/hub..FileResponse+_CONTENT_TYPE_MAP"><code>._CONTENT_TYPE_MAP</code></a></li> <li><a href="#module_utils/hub..FileResponse+updateContentType"><code>.updateContentType()</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/hub..FileResponse+clone"><code>.clone()</code></a> ⇒ <code>FileResponse</code></li> <li><a href="#module_utils/hub..FileResponse+arrayBuffer"><code>.arrayBuffer()</code></a> ⇒ <code>Promise.&lt;ArrayBuffer&gt;</code></li> <li><a href="#module_utils/hub..FileResponse+blob"><code>.blob()</code></a> ⇒ <code>Promise.&lt;Blob&gt;</code></li> <li><a href="#module_utils/hub..FileResponse+text"><code>.text()</code></a> ⇒ <code>Promise.&lt;string&gt;</code></li> <li><a href="#module_utils/hub..FileResponse+json"><code>.json()</code></a> ⇒ <code>Promise.&lt;Object&gt;</code></li></ul></li> <li><a href="#module_utils/hub..FileCache">~FileCache</a><ul><li><a href="#new_module_utils/hub..FileCache_new"><code>new FileCache(path)</code></a></li> <li><a href="#module_utils/hub..FileCache+match"><code>.match(request)</code></a> ⇒ <code>Promise.&lt;(FileResponse|undefined)&gt;</code></li> <li><a href="#module_utils/hub..FileCache+put"><code>.put(request, response)</code></a> ⇒ <code>Promise.&lt;void&gt;</code></li></ul></li> <li><a href="#module_utils/hub..isValidHttpUrl"><code>~isValidHttpUrl(string, [validHosts])</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/hub..handleError"><code>~handleError(status, remoteURL, fatal)</code></a> ⇒ <code>null</code></li> <li><a href="#module_utils/hub..tryCache"><code>~tryCache(cache, ...names)</code></a> ⇒ <code>Promise.&lt;(FileResponse|Response|undefined)&gt;</code></li> <li><a href="#module_utils/hub..readResponse"><code>~readResponse(response, progress_callback)</code></a> ⇒ <code>Promise.&lt;Uint8Array&gt;</code></li> <li><a href="#module_utils/hub..pathJoin"><code>~pathJoin(...parts)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/hub..PretrainedOptions"><code>~PretrainedOptions</code></a> : <code>Object</code></li></ul></li></ul></li>',$o,xo,Co,we,Lo,T,D,Gl,Te,Xr,$l,Cn="<code>utils/hub.getFile(urlOrPath)</code> ⇒ <code>Promise.&lt;(FileResponse|Response)&gt;</code>",Mo,ye,Ln="Helper function to get a file, using either the Fetch API or FileSystem API.",Ro,Pe,Mn='<strong>Kind</strong>: static method of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;(FileResponse|Response)&gt;</code> - A promise that resolves to a FileResponse object (if the file is retrieved using the FileSystem API), or a Response object (if the file is retrieved using the Fetch API).',Ao,He,Rn="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>urlOrPath</td><td><code>URL</code> | <code>string</code></td><td><p>The URL/path of the file to get.</p></td></tr></tbody>",Eo,Fo,ko,$e,No,y,W,Ql,xe,Zr,xl,An="<code>utils/hub.getModelFile(path_or_repo_id, filename, [fatal], [options])</code> ⇒ <code>Promise</code>",jo,Ce,En=`Retrieves a file from either a remote URL using the Fetch API or from the local file system using the FileSystem API.
If the filesystem is available and <code>env.useCache = true</code>, the file will be downloaded and cached.`,So,Le,Fn='<strong>Kind</strong>: static method of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Returns</strong>: <code>Promise</code> - A Promise that resolves with the file content as a buffer.<br/> <strong>Throws</strong>:',Oo,Me,kn="<li>Will throw an error if the file is not found and <code>fatal</code> is true.</li>",Uo,Re,Nn="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>path_or_repo_id</td><td><code>string</code></td><td></td><td><p>This can be either:</p> <ul><li>a string, the <em>model id</em> of a model repo on huggingface.co.</li> <li>a path to a <em>directory</em> potentially containing the file.</li></ul></td> </tr><tr><td>filename</td><td><code>string</code></td><td></td><td><p>The name of the file to locate in <code>path_or_repo</code>.</p></td> </tr><tr><td>[fatal]</td><td><code>boolean</code></td><td><code>true</code></td><td><p>Whether to throw an error if the file is not found.</p></td> </tr><tr><td>[options]</td><td><code>PretrainedOptions</code></td><td></td><td><p>An object containing optional parameters.</p></td></tr></tbody>",qo,Ae,jn='<li><a href="#module_utils/hub.getModelFile"><code>.getModelFile(path_or_repo_id, filename, [fatal], [options])</code></a> ⇒ <code>Promise</code><ul><li><a href="#module_utils/hub.getModelFile..cacheKey"><code>~cacheKey</code></a> : <code>string</code></li> <li><a href="#module_utils/hub.getModelFile..response"><code>~response</code></a> : <code>Response</code> | <code>FileResponse</code> | <code>undefined</code></li></ul></li>',Bo,Ko,zo,Ee,Io,P,Y,Xl,Fe,en,Cl,Sn="<code>getModelFile~cacheKey</code> : <code>string</code>",Jo,ke,On='<strong>Kind</strong>: inner property of <a href="#module_utils/hub.getModelFile"><code>getModelFile</code></a>',Do,Wo,Yo,Ne,Vo,H,V,Zl,je,tn,Ll,Un="<code>getModelFile~response</code> : <code>Response</code> | <code>FileResponse</code> | <code>undefined</code>",Go,Se,qn='<strong>Kind</strong>: inner property of <a href="#module_utils/hub.getModelFile"><code>getModelFile</code></a>',Qo,Xo,Zo,Oe,ei,$,G,eo,Ue,ln,Ml,Bn="<code>utils/hub.getModelJSON(modelPath, fileName, [fatal], [options])</code> ⇒ <code>Promise.&lt;Object&gt;</code>",ti,qe,Kn="Fetches a JSON file from a given path and file name.",li,Be,zn='<strong>Kind</strong>: static method of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;Object&gt;</code> - The JSON data parsed into a JavaScript object.<br/> <strong>Throws</strong>:',oi,Ke,In="<li>Will throw an error if the file is not found and <code>fatal</code> is true.</li>",ii,ze,Jn="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>modelPath</td><td><code>string</code></td><td></td><td><p>The path to the directory containing the file.</p></td> </tr><tr><td>fileName</td><td><code>string</code></td><td></td><td><p>The name of the file to fetch.</p></td> </tr><tr><td>[fatal]</td><td><code>boolean</code></td><td><code>true</code></td><td><p>Whether to throw an error if the file is not found.</p></td> </tr><tr><td>[options]</td><td><code>PretrainedOptions</code></td><td></td><td><p>An object containing optional parameters.</p></td></tr></tbody>",si,ri,ni,Ie,di,x,Q,to,Je,on,Rl,Dn="utils/hub~FileResponse",ai,De,Wn='<strong>Kind</strong>: inner class of <a href="#module_utils/hub"><code>utils/hub</code></a>',hi,We,Yn='<li><a href="#module_utils/hub..FileResponse">~FileResponse</a><ul><li><a href="#new_module_utils/hub..FileResponse_new"><code>new FileResponse(filePath)</code></a></li> <li><a href="#module_utils/hub..FileResponse+_CONTENT_TYPE_MAP"><code>._CONTENT_TYPE_MAP</code></a></li> <li><a href="#module_utils/hub..FileResponse+updateContentType"><code>.updateContentType()</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/hub..FileResponse+clone"><code>.clone()</code></a> ⇒ <code>FileResponse</code></li> <li><a href="#module_utils/hub..FileResponse+arrayBuffer"><code>.arrayBuffer()</code></a> ⇒ <code>Promise.&lt;ArrayBuffer&gt;</code></li> <li><a href="#module_utils/hub..FileResponse+blob"><code>.blob()</code></a> ⇒ <code>Promise.&lt;Blob&gt;</code></li> <li><a href="#module_utils/hub..FileResponse+text"><code>.text()</code></a> ⇒ <code>Promise.&lt;string&gt;</code></li> <li><a href="#module_utils/hub..FileResponse+json"><code>.json()</code></a> ⇒ <code>Promise.&lt;Object&gt;</code></li></ul></li>',ui,ci,pi,Ye,fi,C,X,lo,Ve,sn,Al,Vn="<code>new FileResponse(filePath)</code>",mi,Ge,Gn="Creates a new <code>FileResponse</code> object.",vi,Qe,Qn="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>filePath</td><td><code>string</code> | <code>URL</code></td></tr></tbody>",bi,_i,gi,Xe,wi,L,Z,oo,Ze,rn,El,Xn="<code>fileResponse._CONTENT_TYPE_MAP</code>",Ti,et,Zn="Mapping from file extensions to MIME types.",yi,tt,ed='<strong>Kind</strong>: instance property of <a href="#module_utils/hub..FileResponse"><code>FileResponse</code></a>',Pi,Hi,$i,lt,xi,M,ee,io,ot,nn,Fl,td="<code>fileResponse.updateContentType()</code> ⇒ <code>void</code>",Ci,it,ld=`Updates the ‘content-type’ header property of the response based on the extension of
the file specified by the filePath property of the current object.`,Li,st,od='<strong>Kind</strong>: instance method of <a href="#module_utils/hub..FileResponse"><code>FileResponse</code></a>',Mi,Ri,Ai,rt,Ei,R,te,so,nt,dn,kl,id="<code>fileResponse.clone()</code> ⇒ <code>FileResponse</code>",Fi,dt,sd="Clone the current FileResponse object.",ki,at,rd='<strong>Kind</strong>: instance method of <a href="#module_utils/hub..FileResponse"><code>FileResponse</code></a><br/> <strong>Returns</strong>: <code>FileResponse</code> - A new FileResponse object with the same properties as the current object.',Ni,ji,Si,ht,Oi,A,le,ro,ut,an,Nl,nd="<code>fileResponse.arrayBuffer()</code> ⇒ <code>Promise.&lt;ArrayBuffer&gt;</code>",Ui,ct,dd=`Reads the contents of the file specified by the filePath property and returns a Promise that
resolves with an ArrayBuffer containing the file’s contents.`,qi,pt,ad='<strong>Kind</strong>: instance method of <a href="#module_utils/hub..FileResponse"><code>FileResponse</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;ArrayBuffer&gt;</code> - A Promise that resolves with an ArrayBuffer containing the file’s contents.<br/> <strong>Throws</strong>:',Bi,ft,hd="<li><code>Error</code> If the file cannot be read.</li>",Ki,zi,Ii,mt,Ji,E,oe,no,vt,hn,jl,ud="<code>fileResponse.blob()</code> ⇒ <code>Promise.&lt;Blob&gt;</code>",Di,bt,cd=`Reads the contents of the file specified by the filePath property and returns a Promise that
resolves with a Blob containing the file’s contents.`,Wi,_t,pd='<strong>Kind</strong>: instance method of <a href="#module_utils/hub..FileResponse"><code>FileResponse</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;Blob&gt;</code> - A Promise that resolves with a Blob containing the file’s contents.<br/> <strong>Throws</strong>:',Yi,gt,fd="<li><code>Error</code> If the file cannot be read.</li>",Vi,Gi,Qi,wt,Xi,F,ie,ao,Tt,un,Sl,md="<code>fileResponse.text()</code> ⇒ <code>Promise.&lt;string&gt;</code>",Zi,yt,vd=`Reads the contents of the file specified by the filePath property and returns a Promise that
resolves with a string containing the file’s contents.`,es,Pt,bd='<strong>Kind</strong>: instance method of <a href="#module_utils/hub..FileResponse"><code>FileResponse</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;string&gt;</code> - A Promise that resolves with a string containing the file’s contents.<br/> <strong>Throws</strong>:',ts,Ht,_d="<li><code>Error</code> If the file cannot be read.</li>",ls,os,is,$t,ss,k,se,ho,xt,cn,Ol,gd="<code>fileResponse.json()</code> ⇒ <code>Promise.&lt;Object&gt;</code>",rs,Ct,wd=`Reads the contents of the file specified by the filePath property and returns a Promise that
resolves with a parsed JavaScript object containing the file’s contents.`,ns,Lt,Td='<strong>Kind</strong>: instance method of <a href="#module_utils/hub..FileResponse"><code>FileResponse</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;Object&gt;</code> - A Promise that resolves with a parsed JavaScript object containing the file’s contents.<br/> <strong>Throws</strong>:',ds,Mt,yd="<li><code>Error</code> If the file cannot be read.</li>",as,hs,us,Rt,cs,N,re,uo,At,pn,Ul,Pd="utils/hub~FileCache",ps,Et,Hd='<strong>Kind</strong>: inner class of <a href="#module_utils/hub"><code>utils/hub</code></a>',fs,Ft,$d='<li><a href="#module_utils/hub..FileCache">~FileCache</a><ul><li><a href="#new_module_utils/hub..FileCache_new"><code>new FileCache(path)</code></a></li> <li><a href="#module_utils/hub..FileCache+match"><code>.match(request)</code></a> ⇒ <code>Promise.&lt;(FileResponse|undefined)&gt;</code></li> <li><a href="#module_utils/hub..FileCache+put"><code>.put(request, response)</code></a> ⇒ <code>Promise.&lt;void&gt;</code></li></ul></li>',ms,vs,bs,kt,_s,j,ne,co,Nt,fn,ql,xd="<code>new FileCache(path)</code>",gs,jt,Cd="Instantiate a <code>FileCache</code> object.",ws,St,Ld="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>path</td><td><code>string</code></td></tr></tbody>",Ts,ys,Ps,Ot,Hs,S,de,po,Ut,mn,Bl,Md="<code>fileCache.match(request)</code> ⇒ <code>Promise.&lt;(FileResponse|undefined)&gt;</code>",$s,qt,Rd="Checks whether the given request is in the cache.",xs,Bt,Ad='<strong>Kind</strong>: instance method of <a href="#module_utils/hub..FileCache"><code>FileCache</code></a>',Cs,Kt,Ed="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>request</td><td><code>string</code></td></tr></tbody>",Ls,Ms,Rs,zt,As,O,ae,fo,It,vn,Kl,Fd="<code>fileCache.put(request, response)</code> ⇒ <code>Promise.&lt;void&gt;</code>",Es,Jt,kd="Adds the given response to the cache.",Fs,Dt,Nd='<strong>Kind</strong>: instance method of <a href="#module_utils/hub..FileCache"><code>FileCache</code></a>',ks,Wt,jd="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>request</td><td><code>string</code></td> </tr><tr><td>response</td><td><code>Response</code> | <code>FileResponse</code></td></tr></tbody>",Ns,js,Ss,Yt,Os,U,he,mo,Vt,bn,zl,Sd="<code>utils/hub~isValidHttpUrl(string, [validHosts])</code> ⇒ <code>boolean</code>",Us,Gt,Od="Determines whether the given string is a valid HTTP or HTTPS URL.",qs,Qt,Ud='<strong>Kind</strong>: inner method of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the string is a valid HTTP or HTTPS URL, false otherwise.',Bs,Xt,qd="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>string</td><td><code>string</code> | <code>URL</code></td><td></td><td><p>The string to test for validity as an HTTP or HTTPS URL.</p></td> </tr><tr><td>[validHosts]</td><td><code>Array.&lt;string&gt;</code></td><td><code></code></td><td><p>A list of valid hostnames. If specified, the URL&#39;s hostname must be in this list.</p></td></tr></tbody>",Ks,zs,Is,Zt,Js,q,ue,vo,el,_n,Il,Bd="<code>utils/hub~handleError(status, remoteURL, fatal)</code> ⇒ <code>null</code>",Ds,tl,Kd="Helper method to handle fatal errors that occur while trying to load a file from the Hugging Face Hub.",Ws,ll,zd='<strong>Kind</strong>: inner method of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Returns</strong>: <code>null</code> - Returns <code>null</code> if <code>fatal = true</code>.<br/> <strong>Throws</strong>:',Ys,ol,Id="<li><code>Error</code> If `fatal = false`.</li>",Vs,il,Jd="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>status</td><td><code>number</code></td><td><p>The HTTP status code of the error.</p></td> </tr><tr><td>remoteURL</td><td><code>string</code></td><td><p>The URL of the file that could not be loaded.</p></td> </tr><tr><td>fatal</td><td><code>boolean</code></td><td><p>Whether to raise an error if the file could not be loaded.</p></td></tr></tbody>",Gs,Qs,Xs,sl,Zs,B,ce,bo,rl,gn,Jl,Dd="<code>utils/hub~tryCache(cache, ...names)</code> ⇒ <code>Promise.&lt;(FileResponse|Response|undefined)&gt;</code>",er,nl,Wd='<strong>Kind</strong>: inner method of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;(FileResponse|Response|undefined)&gt;</code> - The item from the cache, or undefined if not found.',tr,dl,Yd="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>cache</td><td><code>FileCache</code> | <code>Cache</code></td><td><p>The cache to search</p></td> </tr><tr><td>...names</td><td><code>Array.&lt;string&gt;</code></td><td><p>The names of the item to search for</p></td></tr></tbody>",lr,or,ir,al,sr,K,pe,_o,hl,wn,Dl,Vd="<code>utils/hub~readResponse(response, progress_callback)</code> ⇒ <code>Promise.&lt;Uint8Array&gt;</code>",rr,ul,Gd="Read and track progress when reading a Response object",nr,cl,Qd='<strong>Kind</strong>: inner method of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;Uint8Array&gt;</code> - A Promise that resolves with the Uint8Array buffer',dr,pl,Xd="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>response</td><td><code>any</code></td><td><p>The Response object to read</p></td> </tr><tr><td>progress_callback</td><td><code>function</code></td><td><p>The function to call with progress updates</p></td></tr></tbody>",ar,hr,ur,fl,cr,z,fe,go,ml,Tn,Wl,Zd="<code>utils/hub~pathJoin(...parts)</code> ⇒ <code>string</code>",pr,vl,ea="Joins multiple parts of a path into a single path, while handling leading and trailing slashes.",fr,bl,ta='<strong>Kind</strong>: inner method of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Returns</strong>: <code>string</code> - A string representing the joined path.',mr,_l,la="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>...parts</td><td><code>string</code></td><td><p>Multiple parts of a path.</p></td></tr></tbody>",vr,br,_r,gl,gr,I,me,wo,wl,yn,Yl,oa="<code>utils/hub~PretrainedOptions</code> : <code>Object</code>",wr,Tl,ia="Options for loading a pretrained model.",Tr,yl,sa='<strong>Kind</strong>: inner typedef of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Properties</strong>',yr,Pl,ra=`<thead><tr><th>Name</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>[quantized]</td><td><code>boolean</code></td><td><code>true</code></td><td><p>Whether to load the 8-bit quantized version of the model (only applicable when loading model files).</p></td> </tr><tr><td>[progress_callback]</td><td><code>function</code></td><td><code></code></td><td><p>If specified, this function will be called during model construction, to provide the user with progress updates.</p></td> </tr><tr><td>[config]</td><td><code>Object</code></td><td><code></code></td><td><p>Configuration for the model to use instead of an automatically loaded configuration. Configuration can be automatically loaded when:</p> <ul><li>The model is a model provided by the library (loaded with the <em>model id</em> string of a pretrained model).</li> <li>The model is loaded by supplying a local directory as <code>pretrained_model_name_or_path</code> and a configuration JSON file named <em>config.json</em> is found in the directory.</li></ul></td> </tr><tr><td>[cache_dir]</td><td><code>string</code></td><td><code>null</code></td><td><p>Path to a directory in which a downloaded pretrained model configuration should be cached if the standard cache should not be used.</p></td> </tr><tr><td>[local_files_only]</td><td><code>boolean</code></td><td><code>false</code></td><td><p>Whether or not to only look at local files (e.g., not try downloading the model).</p></td> </tr><tr><td>[revision]</td><td><code>string</code></td><td><code>&quot;&#39;main&#39;&quot;</code></td><td><p>The specific model version to use. It can be a branch name, a tag name, or a commit id,
since we use a git-based system for storing models and other artifacts on huggingface.co, so <code>revision</code> can be any identifier allowed by git.
NOTE: This setting is ignored for local requests.</p></td> </tr><tr><td>[model_file_name]</td><td><code>string</code></td><td><code>null</code></td><td><p>If specified, load the model with this name (excluding the .onnx suffix). Currently only valid for encoder- or decoder-only models.</p></td></tr></tbody>`,Pr,Hr,$r;return be=new _({}),Te=new _({}),xe=new _({}),Fe=new _({}),je=new _({}),Ue=new _({}),Je=new _({}),Ve=new _({}),Ze=new _({}),ot=new _({}),nt=new _({}),ut=new _({}),vt=new _({}),Tt=new _({}),xt=new _({}),At=new _({}),Nt=new _({}),Ut=new _({}),It=new _({}),Vt=new _({}),el=new _({}),rl=new _({}),hl=new _({}),ml=new _({}),wl=new _({}),{c(){g=i("meta"),To=r(),ve=i("a"),yo=r(),w=i("h1"),J=i("a"),Vl=i("span"),c(be.$$.fragment),Qr=r(),Hl=i("span"),Hl.textContent=Hn,Po=r(),_e=i("p"),_e.innerHTML=$n,Ho=r(),ge=i("ul"),ge.innerHTML=xn,$o=r(),xo=i("hr"),Co=r(),we=i("a"),Lo=r(),T=i("h2"),D=i("a"),Gl=i("span"),c(Te.$$.fragment),Xr=r(),$l=i("span"),$l.innerHTML=Cn,Mo=r(),ye=i("p"),ye.textContent=Ln,Ro=r(),Pe=i("p"),Pe.innerHTML=Mn,Ao=r(),He=i("table"),He.innerHTML=Rn,Eo=r(),Fo=i("hr"),ko=r(),$e=i("a"),No=r(),y=i("h2"),W=i("a"),Ql=i("span"),c(xe.$$.fragment),Zr=r(),xl=i("span"),xl.innerHTML=An,jo=r(),Ce=i("p"),Ce.innerHTML=En,So=r(),Le=i("p"),Le.innerHTML=Fn,Oo=r(),Me=i("ul"),Me.innerHTML=kn,Uo=r(),Re=i("table"),Re.innerHTML=Nn,qo=r(),Ae=i("ul"),Ae.innerHTML=jn,Bo=r(),Ko=i("hr"),zo=r(),Ee=i("a"),Io=r(),P=i("h3"),Y=i("a"),Xl=i("span"),c(Fe.$$.fragment),en=r(),Cl=i("span"),Cl.innerHTML=Sn,Jo=r(),ke=i("p"),ke.innerHTML=On,Do=r(),Wo=i("hr"),Yo=r(),Ne=i("a"),Vo=r(),H=i("h3"),V=i("a"),Zl=i("span"),c(je.$$.fragment),tn=r(),Ll=i("span"),Ll.innerHTML=Un,Go=r(),Se=i("p"),Se.innerHTML=qn,Qo=r(),Xo=i("hr"),Zo=r(),Oe=i("a"),ei=r(),$=i("h2"),G=i("a"),eo=i("span"),c(Ue.$$.fragment),ln=r(),Ml=i("span"),Ml.innerHTML=Bn,ti=r(),qe=i("p"),qe.textContent=Kn,li=r(),Be=i("p"),Be.innerHTML=zn,oi=r(),Ke=i("ul"),Ke.innerHTML=In,ii=r(),ze=i("table"),ze.innerHTML=Jn,si=r(),ri=i("hr"),ni=r(),Ie=i("a"),di=r(),x=i("h2"),Q=i("a"),to=i("span"),c(Je.$$.fragment),on=r(),Rl=i("span"),Rl.textContent=Dn,ai=r(),De=i("p"),De.innerHTML=Wn,hi=r(),We=i("ul"),We.innerHTML=Yn,ui=r(),ci=i("hr"),pi=r(),Ye=i("a"),fi=r(),C=i("h3"),X=i("a"),lo=i("span"),c(Ve.$$.fragment),sn=r(),Al=i("span"),Al.innerHTML=Vn,mi=r(),Ge=i("p"),Ge.innerHTML=Gn,vi=r(),Qe=i("table"),Qe.innerHTML=Qn,bi=r(),_i=i("hr"),gi=r(),Xe=i("a"),wi=r(),L=i("h3"),Z=i("a"),oo=i("span"),c(Ze.$$.fragment),rn=r(),El=i("span"),El.innerHTML=Xn,Ti=r(),et=i("p"),et.textContent=Zn,yi=r(),tt=i("p"),tt.innerHTML=ed,Pi=r(),Hi=i("hr"),$i=r(),lt=i("a"),xi=r(),M=i("h3"),ee=i("a"),io=i("span"),c(ot.$$.fragment),nn=r(),Fl=i("span"),Fl.innerHTML=td,Ci=r(),it=i("p"),it.textContent=ld,Li=r(),st=i("p"),st.innerHTML=od,Mi=r(),Ri=i("hr"),Ai=r(),rt=i("a"),Ei=r(),R=i("h3"),te=i("a"),so=i("span"),c(nt.$$.fragment),dn=r(),kl=i("span"),kl.innerHTML=id,Fi=r(),dt=i("p"),dt.textContent=sd,ki=r(),at=i("p"),at.innerHTML=rd,Ni=r(),ji=i("hr"),Si=r(),ht=i("a"),Oi=r(),A=i("h3"),le=i("a"),ro=i("span"),c(ut.$$.fragment),an=r(),Nl=i("span"),Nl.innerHTML=nd,Ui=r(),ct=i("p"),ct.textContent=dd,qi=r(),pt=i("p"),pt.innerHTML=ad,Bi=r(),ft=i("ul"),ft.innerHTML=hd,Ki=r(),zi=i("hr"),Ii=r(),mt=i("a"),Ji=r(),E=i("h3"),oe=i("a"),no=i("span"),c(vt.$$.fragment),hn=r(),jl=i("span"),jl.innerHTML=ud,Di=r(),bt=i("p"),bt.textContent=cd,Wi=r(),_t=i("p"),_t.innerHTML=pd,Yi=r(),gt=i("ul"),gt.innerHTML=fd,Vi=r(),Gi=i("hr"),Qi=r(),wt=i("a"),Xi=r(),F=i("h3"),ie=i("a"),ao=i("span"),c(Tt.$$.fragment),un=r(),Sl=i("span"),Sl.innerHTML=md,Zi=r(),yt=i("p"),yt.textContent=vd,es=r(),Pt=i("p"),Pt.innerHTML=bd,ts=r(),Ht=i("ul"),Ht.innerHTML=_d,ls=r(),os=i("hr"),is=r(),$t=i("a"),ss=r(),k=i("h3"),se=i("a"),ho=i("span"),c(xt.$$.fragment),cn=r(),Ol=i("span"),Ol.innerHTML=gd,rs=r(),Ct=i("p"),Ct.textContent=wd,ns=r(),Lt=i("p"),Lt.innerHTML=Td,ds=r(),Mt=i("ul"),Mt.innerHTML=yd,as=r(),hs=i("hr"),us=r(),Rt=i("a"),cs=r(),N=i("h2"),re=i("a"),uo=i("span"),c(At.$$.fragment),pn=r(),Ul=i("span"),Ul.textContent=Pd,ps=r(),Et=i("p"),Et.innerHTML=Hd,fs=r(),Ft=i("ul"),Ft.innerHTML=$d,ms=r(),vs=i("hr"),bs=r(),kt=i("a"),_s=r(),j=i("h3"),ne=i("a"),co=i("span"),c(Nt.$$.fragment),fn=r(),ql=i("span"),ql.innerHTML=xd,gs=r(),jt=i("p"),jt.innerHTML=Cd,ws=r(),St=i("table"),St.innerHTML=Ld,Ts=r(),ys=i("hr"),Ps=r(),Ot=i("a"),Hs=r(),S=i("h3"),de=i("a"),po=i("span"),c(Ut.$$.fragment),mn=r(),Bl=i("span"),Bl.innerHTML=Md,$s=r(),qt=i("p"),qt.textContent=Rd,xs=r(),Bt=i("p"),Bt.innerHTML=Ad,Cs=r(),Kt=i("table"),Kt.innerHTML=Ed,Ls=r(),Ms=i("hr"),Rs=r(),zt=i("a"),As=r(),O=i("h3"),ae=i("a"),fo=i("span"),c(It.$$.fragment),vn=r(),Kl=i("span"),Kl.innerHTML=Fd,Es=r(),Jt=i("p"),Jt.textContent=kd,Fs=r(),Dt=i("p"),Dt.innerHTML=Nd,ks=r(),Wt=i("table"),Wt.innerHTML=jd,Ns=r(),js=i("hr"),Ss=r(),Yt=i("a"),Os=r(),U=i("h2"),he=i("a"),mo=i("span"),c(Vt.$$.fragment),bn=r(),zl=i("span"),zl.innerHTML=Sd,Us=r(),Gt=i("p"),Gt.textContent=Od,qs=r(),Qt=i("p"),Qt.innerHTML=Ud,Bs=r(),Xt=i("table"),Xt.innerHTML=qd,Ks=r(),zs=i("hr"),Is=r(),Zt=i("a"),Js=r(),q=i("h2"),ue=i("a"),vo=i("span"),c(el.$$.fragment),_n=r(),Il=i("span"),Il.innerHTML=Bd,Ds=r(),tl=i("p"),tl.textContent=Kd,Ws=r(),ll=i("p"),ll.innerHTML=zd,Ys=r(),ol=i("ul"),ol.innerHTML=Id,Vs=r(),il=i("table"),il.innerHTML=Jd,Gs=r(),Qs=i("hr"),Xs=r(),sl=i("a"),Zs=r(),B=i("h2"),ce=i("a"),bo=i("span"),c(rl.$$.fragment),gn=r(),Jl=i("span"),Jl.innerHTML=Dd,er=r(),nl=i("p"),nl.innerHTML=Wd,tr=r(),dl=i("table"),dl.innerHTML=Yd,lr=r(),or=i("hr"),ir=r(),al=i("a"),sr=r(),K=i("h2"),pe=i("a"),_o=i("span"),c(hl.$$.fragment),wn=r(),Dl=i("span"),Dl.innerHTML=Vd,rr=r(),ul=i("p"),ul.textContent=Gd,nr=r(),cl=i("p"),cl.innerHTML=Qd,dr=r(),pl=i("table"),pl.innerHTML=Xd,ar=r(),hr=i("hr"),ur=r(),fl=i("a"),cr=r(),z=i("h2"),fe=i("a"),go=i("span"),c(ml.$$.fragment),Tn=r(),Wl=i("span"),Wl.innerHTML=Zd,pr=r(),vl=i("p"),vl.textContent=ea,fr=r(),bl=i("p"),bl.innerHTML=ta,mr=r(),_l=i("table"),_l.innerHTML=la,vr=r(),br=i("hr"),_r=r(),gl=i("a"),gr=r(),I=i("h2"),me=i("a"),wo=i("span"),c(wl.$$.fragment),yn=r(),Yl=i("span"),Yl.innerHTML=oa,wr=r(),Tl=i("p"),Tl.textContent=ia,Tr=r(),yl=i("p"),yl.innerHTML=sa,yr=r(),Pl=i("table"),Pl.innerHTML=ra,Pr=r(),Hr=i("hr"),this.h()},l(e){const l=dh("svelte-1phssyn",document.head);g=s(l,"META",{name:!0,content:!0}),l.forEach(t),To=n(e),ve=s(e,"A",{id:!0,class:!0}),h(ve).forEach(t),yo=n(e),w=s(e,"H1",{class:!0});var xr=h(w);J=s(xr,"A",{id:!0,class:!0,href:!0});var na=h(J);Vl=s(na,"SPAN",{});var da=h(Vl);p(be.$$.fragment,da),da.forEach(t),na.forEach(t),Qr=n(xr),Hl=s(xr,"SPAN",{"data-svelte-h":!0}),u(Hl)!=="svelte-1rmy8oe"&&(Hl.textContent=Hn),xr.forEach(t),Po=n(e),_e=s(e,"P",{"data-svelte-h":!0}),u(_e)!=="svelte-1jxl61c"&&(_e.innerHTML=$n),Ho=n(e),ge=s(e,"UL",{"data-svelte-h":!0}),u(ge)!=="svelte-2f78j2"&&(ge.innerHTML=xn),$o=n(e),xo=s(e,"HR",{}),Co=n(e),we=s(e,"A",{id:!0,class:!0}),h(we).forEach(t),Lo=n(e),T=s(e,"H2",{class:!0});var Cr=h(T);D=s(Cr,"A",{id:!0,class:!0,href:!0});var aa=h(D);Gl=s(aa,"SPAN",{});var ha=h(Gl);p(Te.$$.fragment,ha),ha.forEach(t),aa.forEach(t),Xr=n(Cr),$l=s(Cr,"SPAN",{"data-svelte-h":!0}),u($l)!=="svelte-zu44zb"&&($l.innerHTML=Cn),Cr.forEach(t),Mo=n(e),ye=s(e,"P",{"data-svelte-h":!0}),u(ye)!=="svelte-10mshiw"&&(ye.textContent=Ln),Ro=n(e),Pe=s(e,"P",{"data-svelte-h":!0}),u(Pe)!=="svelte-hep1qh"&&(Pe.innerHTML=Mn),Ao=n(e),He=s(e,"TABLE",{"data-svelte-h":!0}),u(He)!=="svelte-pbwhgs"&&(He.innerHTML=Rn),Eo=n(e),Fo=s(e,"HR",{}),ko=n(e),$e=s(e,"A",{id:!0,class:!0}),h($e).forEach(t),No=n(e),y=s(e,"H2",{class:!0});var Lr=h(y);W=s(Lr,"A",{id:!0,class:!0,href:!0});var ua=h(W);Ql=s(ua,"SPAN",{});var ca=h(Ql);p(xe.$$.fragment,ca),ca.forEach(t),ua.forEach(t),Zr=n(Lr),xl=s(Lr,"SPAN",{"data-svelte-h":!0}),u(xl)!=="svelte-148m89k"&&(xl.innerHTML=An),Lr.forEach(t),jo=n(e),Ce=s(e,"P",{"data-svelte-h":!0}),u(Ce)!=="svelte-1l3bjq3"&&(Ce.innerHTML=En),So=n(e),Le=s(e,"P",{"data-svelte-h":!0}),u(Le)!=="svelte-1rwfklh"&&(Le.innerHTML=Fn),Oo=n(e),Me=s(e,"UL",{"data-svelte-h":!0}),u(Me)!=="svelte-jl6z4b"&&(Me.innerHTML=kn),Uo=n(e),Re=s(e,"TABLE",{"data-svelte-h":!0}),u(Re)!=="svelte-1o6u9nv"&&(Re.innerHTML=Nn),qo=n(e),Ae=s(e,"UL",{"data-svelte-h":!0}),u(Ae)!=="svelte-4lalsu"&&(Ae.innerHTML=jn),Bo=n(e),Ko=s(e,"HR",{}),zo=n(e),Ee=s(e,"A",{id:!0,class:!0}),h(Ee).forEach(t),Io=n(e),P=s(e,"H3",{class:!0});var Mr=h(P);Y=s(Mr,"A",{id:!0,class:!0,href:!0});var pa=h(Y);Xl=s(pa,"SPAN",{});var fa=h(Xl);p(Fe.$$.fragment,fa),fa.forEach(t),pa.forEach(t),en=n(Mr),Cl=s(Mr,"SPAN",{"data-svelte-h":!0}),u(Cl)!=="svelte-1srkb3u"&&(Cl.innerHTML=Sn),Mr.forEach(t),Jo=n(e),ke=s(e,"P",{"data-svelte-h":!0}),u(ke)!=="svelte-1ys3w38"&&(ke.innerHTML=On),Do=n(e),Wo=s(e,"HR",{}),Yo=n(e),Ne=s(e,"A",{id:!0,class:!0}),h(Ne).forEach(t),Vo=n(e),H=s(e,"H3",{class:!0});var Rr=h(H);V=s(Rr,"A",{id:!0,class:!0,href:!0});var ma=h(V);Zl=s(ma,"SPAN",{});var va=h(Zl);p(je.$$.fragment,va),va.forEach(t),ma.forEach(t),tn=n(Rr),Ll=s(Rr,"SPAN",{"data-svelte-h":!0}),u(Ll)!=="svelte-1ajv0nh"&&(Ll.innerHTML=Un),Rr.forEach(t),Go=n(e),Se=s(e,"P",{"data-svelte-h":!0}),u(Se)!=="svelte-1ys3w38"&&(Se.innerHTML=qn),Qo=n(e),Xo=s(e,"HR",{}),Zo=n(e),Oe=s(e,"A",{id:!0,class:!0}),h(Oe).forEach(t),ei=n(e),$=s(e,"H2",{class:!0});var Ar=h($);G=s(Ar,"A",{id:!0,class:!0,href:!0});var ba=h(G);eo=s(ba,"SPAN",{});var _a=h(eo);p(Ue.$$.fragment,_a),_a.forEach(t),ba.forEach(t),ln=n(Ar),Ml=s(Ar,"SPAN",{"data-svelte-h":!0}),u(Ml)!=="svelte-1go21ou"&&(Ml.innerHTML=Bn),Ar.forEach(t),ti=n(e),qe=s(e,"P",{"data-svelte-h":!0}),u(qe)!=="svelte-1en2wh4"&&(qe.textContent=Kn),li=n(e),Be=s(e,"P",{"data-svelte-h":!0}),u(Be)!=="svelte-2229yt"&&(Be.innerHTML=zn),oi=n(e),Ke=s(e,"UL",{"data-svelte-h":!0}),u(Ke)!=="svelte-jl6z4b"&&(Ke.innerHTML=In),ii=n(e),ze=s(e,"TABLE",{"data-svelte-h":!0}),u(ze)!=="svelte-1iel3tk"&&(ze.innerHTML=Jn),si=n(e),ri=s(e,"HR",{}),ni=n(e),Ie=s(e,"A",{id:!0,class:!0}),h(Ie).forEach(t),di=n(e),x=s(e,"H2",{class:!0});var Er=h(x);Q=s(Er,"A",{id:!0,class:!0,href:!0});var ga=h(Q);to=s(ga,"SPAN",{});var wa=h(to);p(Je.$$.fragment,wa),wa.forEach(t),ga.forEach(t),on=n(Er),Rl=s(Er,"SPAN",{"data-svelte-h":!0}),u(Rl)!=="svelte-n0ziqh"&&(Rl.textContent=Dn),Er.forEach(t),ai=n(e),De=s(e,"P",{"data-svelte-h":!0}),u(De)!=="svelte-16uuos4"&&(De.innerHTML=Wn),hi=n(e),We=s(e,"UL",{"data-svelte-h":!0}),u(We)!=="svelte-95qnzp"&&(We.innerHTML=Yn),ui=n(e),ci=s(e,"HR",{}),pi=n(e),Ye=s(e,"A",{id:!0,class:!0}),h(Ye).forEach(t),fi=n(e),C=s(e,"H3",{class:!0});var Fr=h(C);X=s(Fr,"A",{id:!0,class:!0,href:!0});var Ta=h(X);lo=s(Ta,"SPAN",{});var ya=h(lo);p(Ve.$$.fragment,ya),ya.forEach(t),Ta.forEach(t),sn=n(Fr),Al=s(Fr,"SPAN",{"data-svelte-h":!0}),u(Al)!=="svelte-kawfrb"&&(Al.innerHTML=Vn),Fr.forEach(t),mi=n(e),Ge=s(e,"P",{"data-svelte-h":!0}),u(Ge)!=="svelte-zzl0lp"&&(Ge.innerHTML=Gn),vi=n(e),Qe=s(e,"TABLE",{"data-svelte-h":!0}),u(Qe)!=="svelte-1y2k5ta"&&(Qe.innerHTML=Qn),bi=n(e),_i=s(e,"HR",{}),gi=n(e),Xe=s(e,"A",{id:!0,class:!0}),h(Xe).forEach(t),wi=n(e),L=s(e,"H3",{class:!0});var kr=h(L);Z=s(kr,"A",{id:!0,class:!0,href:!0});var Pa=h(Z);oo=s(Pa,"SPAN",{});var Ha=h(oo);p(Ze.$$.fragment,Ha),Ha.forEach(t),Pa.forEach(t),rn=n(kr),El=s(kr,"SPAN",{"data-svelte-h":!0}),u(El)!=="svelte-72sir9"&&(El.innerHTML=Xn),kr.forEach(t),Ti=n(e),et=s(e,"P",{"data-svelte-h":!0}),u(et)!=="svelte-15u13r6"&&(et.textContent=Zn),yi=n(e),tt=s(e,"P",{"data-svelte-h":!0}),u(tt)!=="svelte-g2qxul"&&(tt.innerHTML=ed),Pi=n(e),Hi=s(e,"HR",{}),$i=n(e),lt=s(e,"A",{id:!0,class:!0}),h(lt).forEach(t),xi=n(e),M=s(e,"H3",{class:!0});var Nr=h(M);ee=s(Nr,"A",{id:!0,class:!0,href:!0});var $a=h(ee);io=s($a,"SPAN",{});var xa=h(io);p(ot.$$.fragment,xa),xa.forEach(t),$a.forEach(t),nn=n(Nr),Fl=s(Nr,"SPAN",{"data-svelte-h":!0}),u(Fl)!=="svelte-1gn5eoh"&&(Fl.innerHTML=td),Nr.forEach(t),Ci=n(e),it=s(e,"P",{"data-svelte-h":!0}),u(it)!=="svelte-1u1tjx3"&&(it.textContent=ld),Li=n(e),st=s(e,"P",{"data-svelte-h":!0}),u(st)!=="svelte-1sowe6d"&&(st.innerHTML=od),Mi=n(e),Ri=s(e,"HR",{}),Ai=n(e),rt=s(e,"A",{id:!0,class:!0}),h(rt).forEach(t),Ei=n(e),R=s(e,"H3",{class:!0});var jr=h(R);te=s(jr,"A",{id:!0,class:!0,href:!0});var Ca=h(te);so=s(Ca,"SPAN",{});var La=h(so);p(nt.$$.fragment,La),La.forEach(t),Ca.forEach(t),dn=n(jr),kl=s(jr,"SPAN",{"data-svelte-h":!0}),u(kl)!=="svelte-1c4a0dl"&&(kl.innerHTML=id),jr.forEach(t),Fi=n(e),dt=s(e,"P",{"data-svelte-h":!0}),u(dt)!=="svelte-d8j2xp"&&(dt.textContent=sd),ki=n(e),at=s(e,"P",{"data-svelte-h":!0}),u(at)!=="svelte-8jlahc"&&(at.innerHTML=rd),Ni=n(e),ji=s(e,"HR",{}),Si=n(e),ht=s(e,"A",{id:!0,class:!0}),h(ht).forEach(t),Oi=n(e),A=s(e,"H3",{class:!0});var Sr=h(A);le=s(Sr,"A",{id:!0,class:!0,href:!0});var Ma=h(le);ro=s(Ma,"SPAN",{});var Ra=h(ro);p(ut.$$.fragment,Ra),Ra.forEach(t),Ma.forEach(t),an=n(Sr),Nl=s(Sr,"SPAN",{"data-svelte-h":!0}),u(Nl)!=="svelte-1h66id5"&&(Nl.innerHTML=nd),Sr.forEach(t),Ui=n(e),ct=s(e,"P",{"data-svelte-h":!0}),u(ct)!=="svelte-1a8fecx"&&(ct.textContent=dd),qi=n(e),pt=s(e,"P",{"data-svelte-h":!0}),u(pt)!=="svelte-1mzzgkr"&&(pt.innerHTML=ad),Bi=n(e),ft=s(e,"UL",{"data-svelte-h":!0}),u(ft)!=="svelte-1f4f3jw"&&(ft.innerHTML=hd),Ki=n(e),zi=s(e,"HR",{}),Ii=n(e),mt=s(e,"A",{id:!0,class:!0}),h(mt).forEach(t),Ji=n(e),E=s(e,"H3",{class:!0});var Or=h(E);oe=s(Or,"A",{id:!0,class:!0,href:!0});var Aa=h(oe);no=s(Aa,"SPAN",{});var Ea=h(no);p(vt.$$.fragment,Ea),Ea.forEach(t),Aa.forEach(t),hn=n(Or),jl=s(Or,"SPAN",{"data-svelte-h":!0}),u(jl)!=="svelte-1ykx5vz"&&(jl.innerHTML=ud),Or.forEach(t),Di=n(e),bt=s(e,"P",{"data-svelte-h":!0}),u(bt)!=="svelte-h3zv97"&&(bt.textContent=cd),Wi=n(e),_t=s(e,"P",{"data-svelte-h":!0}),u(_t)!=="svelte-c3t4m7"&&(_t.innerHTML=pd),Yi=n(e),gt=s(e,"UL",{"data-svelte-h":!0}),u(gt)!=="svelte-1f4f3jw"&&(gt.innerHTML=fd),Vi=n(e),Gi=s(e,"HR",{}),Qi=n(e),wt=s(e,"A",{id:!0,class:!0}),h(wt).forEach(t),Xi=n(e),F=s(e,"H3",{class:!0});var Ur=h(F);ie=s(Ur,"A",{id:!0,class:!0,href:!0});var Fa=h(ie);ao=s(Fa,"SPAN",{});var ka=h(ao);p(Tt.$$.fragment,ka),ka.forEach(t),Fa.forEach(t),un=n(Ur),Sl=s(Ur,"SPAN",{"data-svelte-h":!0}),u(Sl)!=="svelte-zel6gl"&&(Sl.innerHTML=md),Ur.forEach(t),Zi=n(e),yt=s(e,"P",{"data-svelte-h":!0}),u(yt)!=="svelte-jd4zuh"&&(yt.textContent=vd),es=n(e),Pt=s(e,"P",{"data-svelte-h":!0}),u(Pt)!=="svelte-7t143b"&&(Pt.innerHTML=bd),ts=n(e),Ht=s(e,"UL",{"data-svelte-h":!0}),u(Ht)!=="svelte-1f4f3jw"&&(Ht.innerHTML=_d),ls=n(e),os=s(e,"HR",{}),is=n(e),$t=s(e,"A",{id:!0,class:!0}),h($t).forEach(t),ss=n(e),k=s(e,"H3",{class:!0});var qr=h(k);se=s(qr,"A",{id:!0,class:!0,href:!0});var Na=h(se);ho=s(Na,"SPAN",{});var ja=h(ho);p(xt.$$.fragment,ja),ja.forEach(t),Na.forEach(t),cn=n(qr),Ol=s(qr,"SPAN",{"data-svelte-h":!0}),u(Ol)!=="svelte-1lpzwwm"&&(Ol.innerHTML=gd),qr.forEach(t),rs=n(e),Ct=s(e,"P",{"data-svelte-h":!0}),u(Ct)!=="svelte-cd4397"&&(Ct.textContent=wd),ns=n(e),Lt=s(e,"P",{"data-svelte-h":!0}),u(Lt)!=="svelte-190n8ov"&&(Lt.innerHTML=Td),ds=n(e),Mt=s(e,"UL",{"data-svelte-h":!0}),u(Mt)!=="svelte-1f4f3jw"&&(Mt.innerHTML=yd),as=n(e),hs=s(e,"HR",{}),us=n(e),Rt=s(e,"A",{id:!0,class:!0}),h(Rt).forEach(t),cs=n(e),N=s(e,"H2",{class:!0});var Br=h(N);re=s(Br,"A",{id:!0,class:!0,href:!0});var Sa=h(re);uo=s(Sa,"SPAN",{});var Oa=h(uo);p(At.$$.fragment,Oa),Oa.forEach(t),Sa.forEach(t),pn=n(Br),Ul=s(Br,"SPAN",{"data-svelte-h":!0}),u(Ul)!=="svelte-18okpbk"&&(Ul.textContent=Pd),Br.forEach(t),ps=n(e),Et=s(e,"P",{"data-svelte-h":!0}),u(Et)!=="svelte-16uuos4"&&(Et.innerHTML=Hd),fs=n(e),Ft=s(e,"UL",{"data-svelte-h":!0}),u(Ft)!=="svelte-19bhgcx"&&(Ft.innerHTML=$d),ms=n(e),vs=s(e,"HR",{}),bs=n(e),kt=s(e,"A",{id:!0,class:!0}),h(kt).forEach(t),_s=n(e),j=s(e,"H3",{class:!0});var Kr=h(j);ne=s(Kr,"A",{id:!0,class:!0,href:!0});var Ua=h(ne);co=s(Ua,"SPAN",{});var qa=h(co);p(Nt.$$.fragment,qa),qa.forEach(t),Ua.forEach(t),fn=n(Kr),ql=s(Kr,"SPAN",{"data-svelte-h":!0}),u(ql)!=="svelte-1xcdefk"&&(ql.innerHTML=xd),Kr.forEach(t),gs=n(e),jt=s(e,"P",{"data-svelte-h":!0}),u(jt)!=="svelte-pake4r"&&(jt.innerHTML=Cd),ws=n(e),St=s(e,"TABLE",{"data-svelte-h":!0}),u(St)!=="svelte-f03x1m"&&(St.innerHTML=Ld),Ts=n(e),ys=s(e,"HR",{}),Ps=n(e),Ot=s(e,"A",{id:!0,class:!0}),h(Ot).forEach(t),Hs=n(e),S=s(e,"H3",{class:!0});var zr=h(S);de=s(zr,"A",{id:!0,class:!0,href:!0});var Ba=h(de);po=s(Ba,"SPAN",{});var Ka=h(po);p(Ut.$$.fragment,Ka),Ka.forEach(t),Ba.forEach(t),mn=n(zr),Bl=s(zr,"SPAN",{"data-svelte-h":!0}),u(Bl)!=="svelte-qe6wle"&&(Bl.innerHTML=Md),zr.forEach(t),$s=n(e),qt=s(e,"P",{"data-svelte-h":!0}),u(qt)!=="svelte-13oc2rp"&&(qt.textContent=Rd),xs=n(e),Bt=s(e,"P",{"data-svelte-h":!0}),u(Bt)!=="svelte-1wxlxpn"&&(Bt.innerHTML=Ad),Cs=n(e),Kt=s(e,"TABLE",{"data-svelte-h":!0}),u(Kt)!=="svelte-2kmk06"&&(Kt.innerHTML=Ed),Ls=n(e),Ms=s(e,"HR",{}),Rs=n(e),zt=s(e,"A",{id:!0,class:!0}),h(zt).forEach(t),As=n(e),O=s(e,"H3",{class:!0});var Ir=h(O);ae=s(Ir,"A",{id:!0,class:!0,href:!0});var za=h(ae);fo=s(za,"SPAN",{});var Ia=h(fo);p(It.$$.fragment,Ia),Ia.forEach(t),za.forEach(t),vn=n(Ir),Kl=s(Ir,"SPAN",{"data-svelte-h":!0}),u(Kl)!=="svelte-1kox0tn"&&(Kl.innerHTML=Fd),Ir.forEach(t),Es=n(e),Jt=s(e,"P",{"data-svelte-h":!0}),u(Jt)!=="svelte-bwoz3v"&&(Jt.textContent=kd),Fs=n(e),Dt=s(e,"P",{"data-svelte-h":!0}),u(Dt)!=="svelte-1wxlxpn"&&(Dt.innerHTML=Nd),ks=n(e),Wt=s(e,"TABLE",{"data-svelte-h":!0}),u(Wt)!=="svelte-yj5tj6"&&(Wt.innerHTML=jd),Ns=n(e),js=s(e,"HR",{}),Ss=n(e),Yt=s(e,"A",{id:!0,class:!0}),h(Yt).forEach(t),Os=n(e),U=s(e,"H2",{class:!0});var Jr=h(U);he=s(Jr,"A",{id:!0,class:!0,href:!0});var Ja=h(he);mo=s(Ja,"SPAN",{});var Da=h(mo);p(Vt.$$.fragment,Da),Da.forEach(t),Ja.forEach(t),bn=n(Jr),zl=s(Jr,"SPAN",{"data-svelte-h":!0}),u(zl)!=="svelte-19gv23e"&&(zl.innerHTML=Sd),Jr.forEach(t),Us=n(e),Gt=s(e,"P",{"data-svelte-h":!0}),u(Gt)!=="svelte-19yu0hw"&&(Gt.textContent=Od),qs=n(e),Qt=s(e,"P",{"data-svelte-h":!0}),u(Qt)!=="svelte-1ifo88t"&&(Qt.innerHTML=Ud),Bs=n(e),Xt=s(e,"TABLE",{"data-svelte-h":!0}),u(Xt)!=="svelte-msmjch"&&(Xt.innerHTML=qd),Ks=n(e),zs=s(e,"HR",{}),Is=n(e),Zt=s(e,"A",{id:!0,class:!0}),h(Zt).forEach(t),Js=n(e),q=s(e,"H2",{class:!0});var Dr=h(q);ue=s(Dr,"A",{id:!0,class:!0,href:!0});var Wa=h(ue);vo=s(Wa,"SPAN",{});var Ya=h(vo);p(el.$$.fragment,Ya),Ya.forEach(t),Wa.forEach(t),_n=n(Dr),Il=s(Dr,"SPAN",{"data-svelte-h":!0}),u(Il)!=="svelte-15222kj"&&(Il.innerHTML=Bd),Dr.forEach(t),Ds=n(e),tl=s(e,"P",{"data-svelte-h":!0}),u(tl)!=="svelte-112gzs0"&&(tl.textContent=Kd),Ws=n(e),ll=s(e,"P",{"data-svelte-h":!0}),u(ll)!=="svelte-9i72aw"&&(ll.innerHTML=zd),Ys=n(e),ol=s(e,"UL",{"data-svelte-h":!0}),u(ol)!=="svelte-w7pu3"&&(ol.innerHTML=Id),Vs=n(e),il=s(e,"TABLE",{"data-svelte-h":!0}),u(il)!=="svelte-bpbhxc"&&(il.innerHTML=Jd),Gs=n(e),Qs=s(e,"HR",{}),Xs=n(e),sl=s(e,"A",{id:!0,class:!0}),h(sl).forEach(t),Zs=n(e),B=s(e,"H2",{class:!0});var Wr=h(B);ce=s(Wr,"A",{id:!0,class:!0,href:!0});var Va=h(ce);bo=s(Va,"SPAN",{});var Ga=h(bo);p(rl.$$.fragment,Ga),Ga.forEach(t),Va.forEach(t),gn=n(Wr),Jl=s(Wr,"SPAN",{"data-svelte-h":!0}),u(Jl)!=="svelte-fq9nwd"&&(Jl.innerHTML=Dd),Wr.forEach(t),er=n(e),nl=s(e,"P",{"data-svelte-h":!0}),u(nl)!=="svelte-1iebonu"&&(nl.innerHTML=Wd),tr=n(e),dl=s(e,"TABLE",{"data-svelte-h":!0}),u(dl)!=="svelte-17sk6uf"&&(dl.innerHTML=Yd),lr=n(e),or=s(e,"HR",{}),ir=n(e),al=s(e,"A",{id:!0,class:!0}),h(al).forEach(t),sr=n(e),K=s(e,"H2",{class:!0});var Yr=h(K);pe=s(Yr,"A",{id:!0,class:!0,href:!0});var Qa=h(pe);_o=s(Qa,"SPAN",{});var Xa=h(_o);p(hl.$$.fragment,Xa),Xa.forEach(t),Qa.forEach(t),wn=n(Yr),Dl=s(Yr,"SPAN",{"data-svelte-h":!0}),u(Dl)!=="svelte-o49h8v"&&(Dl.innerHTML=Vd),Yr.forEach(t),rr=n(e),ul=s(e,"P",{"data-svelte-h":!0}),u(ul)!=="svelte-1tqccie"&&(ul.textContent=Gd),nr=n(e),cl=s(e,"P",{"data-svelte-h":!0}),u(cl)!=="svelte-6rtjio"&&(cl.innerHTML=Qd),dr=n(e),pl=s(e,"TABLE",{"data-svelte-h":!0}),u(pl)!=="svelte-13fau3m"&&(pl.innerHTML=Xd),ar=n(e),hr=s(e,"HR",{}),ur=n(e),fl=s(e,"A",{id:!0,class:!0}),h(fl).forEach(t),cr=n(e),z=s(e,"H2",{class:!0});var Vr=h(z);fe=s(Vr,"A",{id:!0,class:!0,href:!0});var Za=h(fe);go=s(Za,"SPAN",{});var eh=h(go);p(ml.$$.fragment,eh),eh.forEach(t),Za.forEach(t),Tn=n(Vr),Wl=s(Vr,"SPAN",{"data-svelte-h":!0}),u(Wl)!=="svelte-7v90xp"&&(Wl.innerHTML=Zd),Vr.forEach(t),pr=n(e),vl=s(e,"P",{"data-svelte-h":!0}),u(vl)!=="svelte-7vbcne"&&(vl.textContent=ea),fr=n(e),bl=s(e,"P",{"data-svelte-h":!0}),u(bl)!=="svelte-wjfx67"&&(bl.innerHTML=ta),mr=n(e),_l=s(e,"TABLE",{"data-svelte-h":!0}),u(_l)!=="svelte-61qi9d"&&(_l.innerHTML=la),vr=n(e),br=s(e,"HR",{}),_r=n(e),gl=s(e,"A",{id:!0,class:!0}),h(gl).forEach(t),gr=n(e),I=s(e,"H2",{class:!0});var Gr=h(I);me=s(Gr,"A",{id:!0,class:!0,href:!0});var th=h(me);wo=s(th,"SPAN",{});var lh=h(wo);p(wl.$$.fragment,lh),lh.forEach(t),th.forEach(t),yn=n(Gr),Yl=s(Gr,"SPAN",{"data-svelte-h":!0}),u(Yl)!=="svelte-1bn705b"&&(Yl.innerHTML=oa),Gr.forEach(t),wr=n(e),Tl=s(e,"P",{"data-svelte-h":!0}),u(Tl)!=="svelte-1oi15lr"&&(Tl.textContent=ia),Tr=n(e),yl=s(e,"P",{"data-svelte-h":!0}),u(yl)!=="svelte-121rdz"&&(yl.innerHTML=sa),yr=n(e),Pl=s(e,"TABLE",{"data-svelte-h":!0}),u(Pl)!=="svelte-1kbnzqd"&&(Pl.innerHTML=ra),Pr=n(e),Hr=s(e,"HR",{}),this.h()},h(){d(g,"name","hf:doc:metadata"),d(g,"content",JSON.stringify(hh)),d(ve,"id","module_utils/hub"),d(ve,"class","group"),d(J,"id","utilshub"),d(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(J,"href","#utilshub"),d(w,"class","relative group"),d(we,"id","module_utils/hub.getFile"),d(we,"class","group"),d(D,"id","utilshubgetfileurlorpath-codepromiseampltfileresponseresponseampgtcode"),d(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(D,"href","#utilshubgetfileurlorpath-codepromiseampltfileresponseresponseampgtcode"),d(T,"class","relative group"),d($e,"id","module_utils/hub.getModelFile"),d($e,"class","group"),d(W,"id","utilshubgetmodelfilepathorrepoid-filename-fatal-options-codepromisecode"),d(W,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(W,"href","#utilshubgetmodelfilepathorrepoid-filename-fatal-options-codepromisecode"),d(y,"class","relative group"),d(Ee,"id","module_utils/hub.getModelFile..cacheKey"),d(Ee,"class","group"),d(Y,"id","getmodelfilecachekey-codestringcode"),d(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Y,"href","#getmodelfilecachekey-codestringcode"),d(P,"class","relative group"),d(Ne,"id","module_utils/hub.getModelFile..response"),d(Ne,"class","group"),d(V,"id","getmodelfileresponse-coderesponsecode-codefileresponsecode-codeundefinedcode"),d(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(V,"href","#getmodelfileresponse-coderesponsecode-codefileresponsecode-codeundefinedcode"),d(H,"class","relative group"),d(Oe,"id","module_utils/hub.getModelJSON"),d(Oe,"class","group"),d(G,"id","utilshubgetmodeljsonmodelpath-filename-fatal-options-codepromiseampltobjectampgtcode"),d(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(G,"href","#utilshubgetmodeljsonmodelpath-filename-fatal-options-codepromiseampltobjectampgtcode"),d($,"class","relative group"),d(Ie,"id","module_utils/hub..FileResponse"),d(Ie,"class","group"),d(Q,"id","utilshubfileresponse"),d(Q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Q,"href","#utilshubfileresponse"),d(x,"class","relative group"),d(Ye,"id","new_module_utils/hub..FileResponse_new"),d(Ye,"class","group"),d(X,"id","new-fileresponsefilepath"),d(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(X,"href","#new-fileresponsefilepath"),d(C,"class","relative group"),d(Xe,"id","module_utils/hub..FileResponse+_CONTENT_TYPE_MAP"),d(Xe,"class","group"),d(Z,"id","fileresponsecontenttypemap"),d(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Z,"href","#fileresponsecontenttypemap"),d(L,"class","relative group"),d(lt,"id","module_utils/hub..FileResponse+updateContentType"),d(lt,"class","group"),d(ee,"id","fileresponseupdatecontenttype-codevoidcode"),d(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ee,"href","#fileresponseupdatecontenttype-codevoidcode"),d(M,"class","relative group"),d(rt,"id","module_utils/hub..FileResponse+clone"),d(rt,"class","group"),d(te,"id","fileresponseclone-codefileresponsecode"),d(te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(te,"href","#fileresponseclone-codefileresponsecode"),d(R,"class","relative group"),d(ht,"id","module_utils/hub..FileResponse+arrayBuffer"),d(ht,"class","group"),d(le,"id","fileresponsearraybuffer-codepromiseampltarraybufferampgtcode"),d(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(le,"href","#fileresponsearraybuffer-codepromiseampltarraybufferampgtcode"),d(A,"class","relative group"),d(mt,"id","module_utils/hub..FileResponse+blob"),d(mt,"class","group"),d(oe,"id","fileresponseblob-codepromiseampltblobampgtcode"),d(oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(oe,"href","#fileresponseblob-codepromiseampltblobampgtcode"),d(E,"class","relative group"),d(wt,"id","module_utils/hub..FileResponse+text"),d(wt,"class","group"),d(ie,"id","fileresponsetext-codepromiseampltstringampgtcode"),d(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ie,"href","#fileresponsetext-codepromiseampltstringampgtcode"),d(F,"class","relative group"),d($t,"id","module_utils/hub..FileResponse+json"),d($t,"class","group"),d(se,"id","fileresponsejson-codepromiseampltobjectampgtcode"),d(se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(se,"href","#fileresponsejson-codepromiseampltobjectampgtcode"),d(k,"class","relative group"),d(Rt,"id","module_utils/hub..FileCache"),d(Rt,"class","group"),d(re,"id","utilshubfilecache"),d(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(re,"href","#utilshubfilecache"),d(N,"class","relative group"),d(kt,"id","new_module_utils/hub..FileCache_new"),d(kt,"class","group"),d(ne,"id","new-filecachepath"),d(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ne,"href","#new-filecachepath"),d(j,"class","relative group"),d(Ot,"id","module_utils/hub..FileCache+match"),d(Ot,"class","group"),d(de,"id","filecachematchrequest-codepromiseampltfileresponseundefinedampgtcode"),d(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(de,"href","#filecachematchrequest-codepromiseampltfileresponseundefinedampgtcode"),d(S,"class","relative group"),d(zt,"id","module_utils/hub..FileCache+put"),d(zt,"class","group"),d(ae,"id","filecacheputrequest-response-codepromiseampltvoidampgtcode"),d(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ae,"href","#filecacheputrequest-response-codepromiseampltvoidampgtcode"),d(O,"class","relative group"),d(Yt,"id","module_utils/hub..isValidHttpUrl"),d(Yt,"class","group"),d(he,"id","utilshubisvalidhttpurlstring-validhosts-codebooleancode"),d(he,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(he,"href","#utilshubisvalidhttpurlstring-validhosts-codebooleancode"),d(U,"class","relative group"),d(Zt,"id","module_utils/hub..handleError"),d(Zt,"class","group"),d(ue,"id","utilshubhandleerrorstatus-remoteurl-fatal-codenullcode"),d(ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ue,"href","#utilshubhandleerrorstatus-remoteurl-fatal-codenullcode"),d(q,"class","relative group"),d(sl,"id","module_utils/hub..tryCache"),d(sl,"class","group"),d(ce,"id","utilshubtrycachecache-names-codepromiseampltfileresponseresponseundefinedampgtcode"),d(ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ce,"href","#utilshubtrycachecache-names-codepromiseampltfileresponseresponseundefinedampgtcode"),d(B,"class","relative group"),d(al,"id","module_utils/hub..readResponse"),d(al,"class","group"),d(pe,"id","utilshubreadresponseresponse-progresscallback-codepromiseampltuint8arrayampgtcode"),d(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(pe,"href","#utilshubreadresponseresponse-progresscallback-codepromiseampltuint8arrayampgtcode"),d(K,"class","relative group"),d(fl,"id","module_utils/hub..pathJoin"),d(fl,"class","group"),d(fe,"id","utilshubpathjoinparts-codestringcode"),d(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(fe,"href","#utilshubpathjoinparts-codestringcode"),d(z,"class","relative group"),d(gl,"id","module_utils/hub..PretrainedOptions"),d(gl,"class","group"),d(me,"id","utilshubpretrainedoptions-codeobjectcode"),d(me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(me,"href","#utilshubpretrainedoptions-codeobjectcode"),d(I,"class","relative group")},m(e,l){a(document.head,g),o(e,To,l),o(e,ve,l),o(e,yo,l),o(e,w,l),a(w,J),a(J,Vl),f(be,Vl,null),a(w,Qr),a(w,Hl),o(e,Po,l),o(e,_e,l),o(e,Ho,l),o(e,ge,l),o(e,$o,l),o(e,xo,l),o(e,Co,l),o(e,we,l),o(e,Lo,l),o(e,T,l),a(T,D),a(D,Gl),f(Te,Gl,null),a(T,Xr),a(T,$l),o(e,Mo,l),o(e,ye,l),o(e,Ro,l),o(e,Pe,l),o(e,Ao,l),o(e,He,l),o(e,Eo,l),o(e,Fo,l),o(e,ko,l),o(e,$e,l),o(e,No,l),o(e,y,l),a(y,W),a(W,Ql),f(xe,Ql,null),a(y,Zr),a(y,xl),o(e,jo,l),o(e,Ce,l),o(e,So,l),o(e,Le,l),o(e,Oo,l),o(e,Me,l),o(e,Uo,l),o(e,Re,l),o(e,qo,l),o(e,Ae,l),o(e,Bo,l),o(e,Ko,l),o(e,zo,l),o(e,Ee,l),o(e,Io,l),o(e,P,l),a(P,Y),a(Y,Xl),f(Fe,Xl,null),a(P,en),a(P,Cl),o(e,Jo,l),o(e,ke,l),o(e,Do,l),o(e,Wo,l),o(e,Yo,l),o(e,Ne,l),o(e,Vo,l),o(e,H,l),a(H,V),a(V,Zl),f(je,Zl,null),a(H,tn),a(H,Ll),o(e,Go,l),o(e,Se,l),o(e,Qo,l),o(e,Xo,l),o(e,Zo,l),o(e,Oe,l),o(e,ei,l),o(e,$,l),a($,G),a(G,eo),f(Ue,eo,null),a($,ln),a($,Ml),o(e,ti,l),o(e,qe,l),o(e,li,l),o(e,Be,l),o(e,oi,l),o(e,Ke,l),o(e,ii,l),o(e,ze,l),o(e,si,l),o(e,ri,l),o(e,ni,l),o(e,Ie,l),o(e,di,l),o(e,x,l),a(x,Q),a(Q,to),f(Je,to,null),a(x,on),a(x,Rl),o(e,ai,l),o(e,De,l),o(e,hi,l),o(e,We,l),o(e,ui,l),o(e,ci,l),o(e,pi,l),o(e,Ye,l),o(e,fi,l),o(e,C,l),a(C,X),a(X,lo),f(Ve,lo,null),a(C,sn),a(C,Al),o(e,mi,l),o(e,Ge,l),o(e,vi,l),o(e,Qe,l),o(e,bi,l),o(e,_i,l),o(e,gi,l),o(e,Xe,l),o(e,wi,l),o(e,L,l),a(L,Z),a(Z,oo),f(Ze,oo,null),a(L,rn),a(L,El),o(e,Ti,l),o(e,et,l),o(e,yi,l),o(e,tt,l),o(e,Pi,l),o(e,Hi,l),o(e,$i,l),o(e,lt,l),o(e,xi,l),o(e,M,l),a(M,ee),a(ee,io),f(ot,io,null),a(M,nn),a(M,Fl),o(e,Ci,l),o(e,it,l),o(e,Li,l),o(e,st,l),o(e,Mi,l),o(e,Ri,l),o(e,Ai,l),o(e,rt,l),o(e,Ei,l),o(e,R,l),a(R,te),a(te,so),f(nt,so,null),a(R,dn),a(R,kl),o(e,Fi,l),o(e,dt,l),o(e,ki,l),o(e,at,l),o(e,Ni,l),o(e,ji,l),o(e,Si,l),o(e,ht,l),o(e,Oi,l),o(e,A,l),a(A,le),a(le,ro),f(ut,ro,null),a(A,an),a(A,Nl),o(e,Ui,l),o(e,ct,l),o(e,qi,l),o(e,pt,l),o(e,Bi,l),o(e,ft,l),o(e,Ki,l),o(e,zi,l),o(e,Ii,l),o(e,mt,l),o(e,Ji,l),o(e,E,l),a(E,oe),a(oe,no),f(vt,no,null),a(E,hn),a(E,jl),o(e,Di,l),o(e,bt,l),o(e,Wi,l),o(e,_t,l),o(e,Yi,l),o(e,gt,l),o(e,Vi,l),o(e,Gi,l),o(e,Qi,l),o(e,wt,l),o(e,Xi,l),o(e,F,l),a(F,ie),a(ie,ao),f(Tt,ao,null),a(F,un),a(F,Sl),o(e,Zi,l),o(e,yt,l),o(e,es,l),o(e,Pt,l),o(e,ts,l),o(e,Ht,l),o(e,ls,l),o(e,os,l),o(e,is,l),o(e,$t,l),o(e,ss,l),o(e,k,l),a(k,se),a(se,ho),f(xt,ho,null),a(k,cn),a(k,Ol),o(e,rs,l),o(e,Ct,l),o(e,ns,l),o(e,Lt,l),o(e,ds,l),o(e,Mt,l),o(e,as,l),o(e,hs,l),o(e,us,l),o(e,Rt,l),o(e,cs,l),o(e,N,l),a(N,re),a(re,uo),f(At,uo,null),a(N,pn),a(N,Ul),o(e,ps,l),o(e,Et,l),o(e,fs,l),o(e,Ft,l),o(e,ms,l),o(e,vs,l),o(e,bs,l),o(e,kt,l),o(e,_s,l),o(e,j,l),a(j,ne),a(ne,co),f(Nt,co,null),a(j,fn),a(j,ql),o(e,gs,l),o(e,jt,l),o(e,ws,l),o(e,St,l),o(e,Ts,l),o(e,ys,l),o(e,Ps,l),o(e,Ot,l),o(e,Hs,l),o(e,S,l),a(S,de),a(de,po),f(Ut,po,null),a(S,mn),a(S,Bl),o(e,$s,l),o(e,qt,l),o(e,xs,l),o(e,Bt,l),o(e,Cs,l),o(e,Kt,l),o(e,Ls,l),o(e,Ms,l),o(e,Rs,l),o(e,zt,l),o(e,As,l),o(e,O,l),a(O,ae),a(ae,fo),f(It,fo,null),a(O,vn),a(O,Kl),o(e,Es,l),o(e,Jt,l),o(e,Fs,l),o(e,Dt,l),o(e,ks,l),o(e,Wt,l),o(e,Ns,l),o(e,js,l),o(e,Ss,l),o(e,Yt,l),o(e,Os,l),o(e,U,l),a(U,he),a(he,mo),f(Vt,mo,null),a(U,bn),a(U,zl),o(e,Us,l),o(e,Gt,l),o(e,qs,l),o(e,Qt,l),o(e,Bs,l),o(e,Xt,l),o(e,Ks,l),o(e,zs,l),o(e,Is,l),o(e,Zt,l),o(e,Js,l),o(e,q,l),a(q,ue),a(ue,vo),f(el,vo,null),a(q,_n),a(q,Il),o(e,Ds,l),o(e,tl,l),o(e,Ws,l),o(e,ll,l),o(e,Ys,l),o(e,ol,l),o(e,Vs,l),o(e,il,l),o(e,Gs,l),o(e,Qs,l),o(e,Xs,l),o(e,sl,l),o(e,Zs,l),o(e,B,l),a(B,ce),a(ce,bo),f(rl,bo,null),a(B,gn),a(B,Jl),o(e,er,l),o(e,nl,l),o(e,tr,l),o(e,dl,l),o(e,lr,l),o(e,or,l),o(e,ir,l),o(e,al,l),o(e,sr,l),o(e,K,l),a(K,pe),a(pe,_o),f(hl,_o,null),a(K,wn),a(K,Dl),o(e,rr,l),o(e,ul,l),o(e,nr,l),o(e,cl,l),o(e,dr,l),o(e,pl,l),o(e,ar,l),o(e,hr,l),o(e,ur,l),o(e,fl,l),o(e,cr,l),o(e,z,l),a(z,fe),a(fe,go),f(ml,go,null),a(z,Tn),a(z,Wl),o(e,pr,l),o(e,vl,l),o(e,fr,l),o(e,bl,l),o(e,mr,l),o(e,_l,l),o(e,vr,l),o(e,br,l),o(e,_r,l),o(e,gl,l),o(e,gr,l),o(e,I,l),a(I,me),a(me,wo),f(wl,wo,null),a(I,yn),a(I,Yl),o(e,wr,l),o(e,Tl,l),o(e,Tr,l),o(e,yl,l),o(e,yr,l),o(e,Pl,l),o(e,Pr,l),o(e,Hr,l),$r=!0},p:ih,i(e){$r||(m(be.$$.fragment,e),m(Te.$$.fragment,e),m(xe.$$.fragment,e),m(Fe.$$.fragment,e),m(je.$$.fragment,e),m(Ue.$$.fragment,e),m(Je.$$.fragment,e),m(Ve.$$.fragment,e),m(Ze.$$.fragment,e),m(ot.$$.fragment,e),m(nt.$$.fragment,e),m(ut.$$.fragment,e),m(vt.$$.fragment,e),m(Tt.$$.fragment,e),m(xt.$$.fragment,e),m(At.$$.fragment,e),m(Nt.$$.fragment,e),m(Ut.$$.fragment,e),m(It.$$.fragment,e),m(Vt.$$.fragment,e),m(el.$$.fragment,e),m(rl.$$.fragment,e),m(hl.$$.fragment,e),m(ml.$$.fragment,e),m(wl.$$.fragment,e),$r=!0)},o(e){v(be.$$.fragment,e),v(Te.$$.fragment,e),v(xe.$$.fragment,e),v(Fe.$$.fragment,e),v(je.$$.fragment,e),v(Ue.$$.fragment,e),v(Je.$$.fragment,e),v(Ve.$$.fragment,e),v(Ze.$$.fragment,e),v(ot.$$.fragment,e),v(nt.$$.fragment,e),v(ut.$$.fragment,e),v(vt.$$.fragment,e),v(Tt.$$.fragment,e),v(xt.$$.fragment,e),v(At.$$.fragment,e),v(Nt.$$.fragment,e),v(Ut.$$.fragment,e),v(It.$$.fragment,e),v(Vt.$$.fragment,e),v(el.$$.fragment,e),v(rl.$$.fragment,e),v(hl.$$.fragment,e),v(ml.$$.fragment,e),v(wl.$$.fragment,e),$r=!1},d(e){e&&(t(To),t(ve),t(yo),t(w),t(Po),t(_e),t(Ho),t(ge),t($o),t(xo),t(Co),t(we),t(Lo),t(T),t(Mo),t(ye),t(Ro),t(Pe),t(Ao),t(He),t(Eo),t(Fo),t(ko),t($e),t(No),t(y),t(jo),t(Ce),t(So),t(Le),t(Oo),t(Me),t(Uo),t(Re),t(qo),t(Ae),t(Bo),t(Ko),t(zo),t(Ee),t(Io),t(P),t(Jo),t(ke),t(Do),t(Wo),t(Yo),t(Ne),t(Vo),t(H),t(Go),t(Se),t(Qo),t(Xo),t(Zo),t(Oe),t(ei),t($),t(ti),t(qe),t(li),t(Be),t(oi),t(Ke),t(ii),t(ze),t(si),t(ri),t(ni),t(Ie),t(di),t(x),t(ai),t(De),t(hi),t(We),t(ui),t(ci),t(pi),t(Ye),t(fi),t(C),t(mi),t(Ge),t(vi),t(Qe),t(bi),t(_i),t(gi),t(Xe),t(wi),t(L),t(Ti),t(et),t(yi),t(tt),t(Pi),t(Hi),t($i),t(lt),t(xi),t(M),t(Ci),t(it),t(Li),t(st),t(Mi),t(Ri),t(Ai),t(rt),t(Ei),t(R),t(Fi),t(dt),t(ki),t(at),t(Ni),t(ji),t(Si),t(ht),t(Oi),t(A),t(Ui),t(ct),t(qi),t(pt),t(Bi),t(ft),t(Ki),t(zi),t(Ii),t(mt),t(Ji),t(E),t(Di),t(bt),t(Wi),t(_t),t(Yi),t(gt),t(Vi),t(Gi),t(Qi),t(wt),t(Xi),t(F),t(Zi),t(yt),t(es),t(Pt),t(ts),t(Ht),t(ls),t(os),t(is),t($t),t(ss),t(k),t(rs),t(Ct),t(ns),t(Lt),t(ds),t(Mt),t(as),t(hs),t(us),t(Rt),t(cs),t(N),t(ps),t(Et),t(fs),t(Ft),t(ms),t(vs),t(bs),t(kt),t(_s),t(j),t(gs),t(jt),t(ws),t(St),t(Ts),t(ys),t(Ps),t(Ot),t(Hs),t(S),t($s),t(qt),t(xs),t(Bt),t(Cs),t(Kt),t(Ls),t(Ms),t(Rs),t(zt),t(As),t(O),t(Es),t(Jt),t(Fs),t(Dt),t(ks),t(Wt),t(Ns),t(js),t(Ss),t(Yt),t(Os),t(U),t(Us),t(Gt),t(qs),t(Qt),t(Bs),t(Xt),t(Ks),t(zs),t(Is),t(Zt),t(Js),t(q),t(Ds),t(tl),t(Ws),t(ll),t(Ys),t(ol),t(Vs),t(il),t(Gs),t(Qs),t(Xs),t(sl),t(Zs),t(B),t(er),t(nl),t(tr),t(dl),t(lr),t(or),t(ir),t(al),t(sr),t(K),t(rr),t(ul),t(nr),t(cl),t(dr),t(pl),t(ar),t(hr),t(ur),t(fl),t(cr),t(z),t(pr),t(vl),t(fr),t(bl),t(mr),t(_l),t(vr),t(br),t(_r),t(gl),t(gr),t(I),t(wr),t(Tl),t(Tr),t(yl),t(yr),t(Pl),t(Pr),t(Hr)),t(g),b(be),b(Te),b(xe),b(Fe),b(je),b(Ue),b(Je),b(Ve),b(Ze),b(ot),b(nt),b(ut),b(vt),b(Tt),b(xt),b(At),b(Nt),b(Ut),b(It),b(Vt),b(el),b(rl),b(hl),b(ml),b(wl)}}}const hh={local:"utilshub",sections:[{local:"utilshubgetfileurlorpath-codepromiseampltfileresponseresponseampgtcode",title:"`utils/hub.getFile(urlOrPath)` ⇒ <code>Promise.&lt;(FileResponse|Response)&gt;</code>"},{local:"utilshubgetmodelfilepathorrepoid-filename-fatal-options-codepromisecode",sections:[{local:"getmodelfilecachekey-codestringcode",title:"`getModelFile~cacheKey` : <code>string</code>"},{local:"getmodelfileresponse-coderesponsecode-codefileresponsecode-codeundefinedcode",title:"`getModelFile~response` : <code>Response</code> | <code>FileResponse</code> | <code>undefined</code>"}],title:"`utils/hub.getModelFile(path_or_repo_id, filename, [fatal], [options])` ⇒ <code>Promise</code>"},{local:"utilshubgetmodeljsonmodelpath-filename-fatal-options-codepromiseampltobjectampgtcode",title:"`utils/hub.getModelJSON(modelPath, fileName, [fatal], [options])` ⇒ <code>Promise.&lt;Object&gt;</code>"},{local:"utilshubfileresponse",sections:[{local:"new-fileresponsefilepath",title:"`new FileResponse(filePath)`"},{local:"fileresponsecontenttypemap",title:"`fileResponse._CONTENT_TYPE_MAP`"},{local:"fileresponseupdatecontenttype-codevoidcode",title:"`fileResponse.updateContentType()` ⇒ <code>void</code>"},{local:"fileresponseclone-codefileresponsecode",title:"`fileResponse.clone()` ⇒ <code>FileResponse</code>"},{local:"fileresponsearraybuffer-codepromiseampltarraybufferampgtcode",title:"`fileResponse.arrayBuffer()` ⇒ <code>Promise.&lt;ArrayBuffer&gt;</code>"},{local:"fileresponseblob-codepromiseampltblobampgtcode",title:"`fileResponse.blob()` ⇒ <code>Promise.&lt;Blob&gt;</code>"},{local:"fileresponsetext-codepromiseampltstringampgtcode",title:"`fileResponse.text()` ⇒ <code>Promise.&lt;string&gt;</code>"},{local:"fileresponsejson-codepromiseampltobjectampgtcode",title:"`fileResponse.json()` ⇒ <code>Promise.&lt;Object&gt;</code>"}],title:"utils/hub~FileResponse"},{local:"utilshubfilecache",sections:[{local:"new-filecachepath",title:"`new FileCache(path)`"},{local:"filecachematchrequest-codepromiseampltfileresponseundefinedampgtcode",title:"`fileCache.match(request)` ⇒ <code>Promise.&lt;(FileResponse|undefined)&gt;</code>"},{local:"filecacheputrequest-response-codepromiseampltvoidampgtcode",title:"`fileCache.put(request, response)` ⇒ <code>Promise.&lt;void&gt;</code>"}],title:"utils/hub~FileCache"},{local:"utilshubisvalidhttpurlstring-validhosts-codebooleancode",title:"`utils/hub~isValidHttpUrl(string, [validHosts])` ⇒ <code>boolean</code>"},{local:"utilshubhandleerrorstatus-remoteurl-fatal-codenullcode",title:"`utils/hub~handleError(status, remoteURL, fatal)` ⇒ <code>null</code>"},{local:"utilshubtrycachecache-names-codepromiseampltfileresponseresponseundefinedampgtcode",title:"`utils/hub~tryCache(cache, ...names)` ⇒ <code>Promise.&lt;(FileResponse|Response|undefined)&gt;</code>"},{local:"utilshubreadresponseresponse-progresscallback-codepromiseampltuint8arrayampgtcode",title:"`utils/hub~readResponse(response, progress_callback)` ⇒ <code>Promise.&lt;Uint8Array&gt;</code>"},{local:"utilshubpathjoinparts-codestringcode",title:"`utils/hub~pathJoin(...parts)` ⇒ <code>string</code>"},{local:"utilshubpretrainedoptions-codeobjectcode",title:"`utils/hub~PretrainedOptions` : <code>Object</code>"}],title:"utils/hub"};function uh(Pn){return sh(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class mh extends rh{constructor(g){super(),nh(this,g,uh,ah,oh,{})}}export{mh as component};
