import{s as _o,n as Ro,o as bo}from"../chunks/scheduler.b108d059.js";import{S as Io,i as To,g as i,s as r,p as c,A as $o,h as o,f as t,c as s,j as m,q as u,m as h,k as n,v as d,a as l,r as g,d as p,t as f,u as w}from"../chunks/index.505cd174.js";import{I as v}from"../chunks/IconCopyLink.74cd415a.js";import{C as yo}from"../chunks/CodeBlock.35457548.js";function xo(Gl){let _,At,D,kt,R,k,_t,W,Al,ot,Dl="utils/image",Nt,Q,Wl="Helper module for image processing.",St,V,Ql=`These functions and classes are only used internally,
meaning an end-user shouldn’t need to access anything here.`,jt,F,Vl='<li><a href="#module_utils/image">utils/image</a><ul><li><a href="#module_utils/image.RawImage">.RawImage</a><ul><li><a href="#new_module_utils/image.RawImage_new"><code>new RawImage(data, width, height, channels)</code></a></li> <li><em>instance</em><ul><li><a href="#module_utils/image.RawImage+_CONTENT_TYPE_MAP"><code>._CONTENT_TYPE_MAP</code></a></li> <li><a href="#module_utils/image.RawImage+grayscale"><code>.grayscale()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgb"><code>.rgb()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgba"><code>.rgba()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+resize"><code>.resize(width, height, options)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage+clone"><code>.clone()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+convert"><code>.convert(numChannels)</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+save"><code>.save(path)</code></a></li></ul></li> <li><em>static</em><ul><li><a href="#module_utils/image.RawImage.read"><code>.read(input)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/image.RawImage.fromURL"><code>.fromURL(url)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage.fromBlob"><code>.fromBlob(blob)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li></ul></li></ul></li></ul></li>',Ut,zt,Bt,X,Yt,b,N,Rt,ee,kl,rt,Fl="utils/image.RawImage",qt,te,Xl='<strong>Kind</strong>: static class of <a href="#module_utils/image"><code>utils/image</code></a>',Kt,ae,ei='<li><a href="#module_utils/image.RawImage">.RawImage</a><ul><li><a href="#new_module_utils/image.RawImage_new"><code>new RawImage(data, width, height, channels)</code></a></li> <li><em>instance</em><ul><li><a href="#module_utils/image.RawImage+_CONTENT_TYPE_MAP"><code>._CONTENT_TYPE_MAP</code></a></li> <li><a href="#module_utils/image.RawImage+grayscale"><code>.grayscale()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgb"><code>.rgb()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgba"><code>.rgba()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+resize"><code>.resize(width, height, options)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage+clone"><code>.clone()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+convert"><code>.convert(numChannels)</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+save"><code>.save(path)</code></a></li></ul></li> <li><em>static</em><ul><li><a href="#module_utils/image.RawImage.read"><code>.read(input)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/image.RawImage.fromURL"><code>.fromURL(url)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage.fromBlob"><code>.fromBlob(blob)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li></ul></li></ul></li>',Jt,Ot,Zt,le,Gt,I,S,bt,ie,Nl,st,ti="<code>new RawImage(data, width, height, channels)</code>",Dt,oe,ai="Create a new <code>RawImage</code> object.",Wt,re,li="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Uint8ClampedArray</code></td><td><p>The pixel data.</p></td> </tr><tr><td>width</td><td><code>number</code></td><td><p>The width of the image.</p></td> </tr><tr><td>height</td><td><code>number</code></td><td><p>The height of the image.</p></td> </tr><tr><td>channels</td><td><code>1</code> | <code>2</code> | <code>3</code> | <code>4</code></td><td><p>The number of channels.</p></td></tr></tbody>",Qt,Vt,Ft,se,Xt,T,j,It,ne,Sl,nt,ii="<code>rawImage._CONTENT_TYPE_MAP</code>",ea,de,oi="Mapping from file extensions to MIME types.",ta,me,ri='<strong>Kind</strong>: instance property of <a href="#module_utils/image.RawImage"><code>RawImage</code></a>',aa,la,ia,he,oa,$,U,Tt,ce,jl,dt,si="<code>rawImage.grayscale()</code> ⇒ <code>RawImage</code>",ra,ue,ni="Convert the image to grayscale format.",sa,ge,di='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',na,da,ma,pe,ha,y,z,$t,fe,Ul,mt,mi="<code>rawImage.rgb()</code> ⇒ <code>RawImage</code>",ca,we,hi="Convert the image to RGB format.",ua,ve,ci='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',ga,pa,fa,_e,wa,x,B,yt,Re,zl,ht,ui="<code>rawImage.rgba()</code> ⇒ <code>RawImage</code>",va,be,gi="Convert the image to RGBA format.",_a,Ie,pi='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',Ra,ba,Ia,Te,Ta,C,Y,xt,$e,Bl,ct,fi="<code>rawImage.resize(width, height, options)</code> ⇒ <code>Promise.&lt;RawImage&gt;</code>",$a,ye,wi="Resize the image to the given dimensions. This method uses the canvas API to perform the resizing.",ya,xe,vi='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - <code>this</code> to support chaining.',xa,Ce,_i="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>width</td><td><code>number</code></td><td><p>The width of the new image.</p></td> </tr><tr><td>height</td><td><code>number</code></td><td><p>The height of the new image.</p></td> </tr><tr><td>options</td><td><code>Object</code></td><td><p>Additional options for resizing.</p></td> </tr><tr><td>[options.resample]</td><td><code>0</code> | <code>1</code> | <code>2</code> | <code>3</code> | <code>4</code> | <code>5</code> | <code>string</code></td><td><p>The resampling method to use.</p></td></tr></tbody>",Ca,Ha,Pa,He,La,H,q,Ct,Pe,Yl,ut,Ri="<code>rawImage.clone()</code> ⇒ <code>RawImage</code>",Ma,Le,bi="Clone the image",Ea,Me,Ii='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - The cloned image',Aa,ka,Na,Ee,Sa,P,K,Ht,Ae,ql,gt,Ti="<code>rawImage.convert(numChannels)</code> ⇒ <code>RawImage</code>",ja,ke,$i="Helper method for converting image to have a certain number of channels",Ua,Ne,yi='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',za,Se,xi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>numChannels</td><td><code>number</code></td><td><p>The number of channels. Must be 1, 3, or 4.</p></td></tr></tbody>",Ba,Ya,qa,je,Ka,L,J,Pt,Ue,Kl,pt,Ci="<code>rawImage.save(path)</code>",Ja,ze,Hi="Save the image to the given path.",Oa,Be,Pi='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a>',Za,Ye,Li="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>path</td><td><code>string</code></td><td><p>The path to save the image to.</p></td></tr></tbody>",Ga,Da,Wa,qe,Qa,M,O,Lt,Ke,Jl,ft,Mi="<code>RawImage.read(input)</code> ⇒ <code>*</code>",Va,Je,Ei="Helper method for reading an image from a variety of input types.",Fa,Oe,Ai='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>*</code> - The image object.',Xa,Ze,ki="<strong>Example:</strong> Read image from a URL.",el,Ge,tl,De,Ni="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>input</td><td><code>RawImage</code> | <code>string</code> | <code>URL</code></td></tr></tbody>",al,ll,il,We,ol,E,Z,Mt,Qe,Ol,wt,Si="<code>RawImage.fromURL(url)</code> ⇒ <code>Promise.&lt;RawImage&gt;</code>",rl,Ve,ji="Read an image from a URL or file path.",sl,Fe,Ui='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - The image object.',nl,Xe,zi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>url</td><td><code>string</code> | <code>URL</code></td><td><p>The URL or file path to read the image from.</p></td></tr></tbody>",dl,ml,hl,et,cl,A,G,Et,tt,Zl,vt,Bi="<code>RawImage.fromBlob(blob)</code> ⇒ <code>Promise.&lt;RawImage&gt;</code>",ul,at,Yi="Helper method to create a new Image from a blob.",gl,lt,qi='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - The image object.',pl,it,Ki="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>blob</td><td><code>Blob</code></td><td><p>The blob to read the image from.</p></td></tr></tbody>",fl,wl,vl;return W=new v({}),ee=new v({}),ie=new v({}),ne=new v({}),ce=new v({}),fe=new v({}),Re=new v({}),$e=new v({}),Pe=new v({}),Ae=new v({}),Ue=new v({}),Ke=new v({}),Ge=new yo({props:{code:"bGV0JTIwaW1hZ2UlMjAlM0QlMjBhd2FpdCUyMFJhd0ltYWdlLnJlYWQoJ2h0dHBzJTNBJTJGJTJGaHVnZ2luZ2ZhY2UuY28lMkZkYXRhc2V0cyUyRlhlbm92YSUyRnRyYW5zZm9ybWVycy5qcy1kb2NzJTJGcmVzb2x2ZSUyRm1haW4lMkZmb290YmFsbC1tYXRjaC5qcGcnKSUzQiUwQSUyRiUyRiUyMHRlc3QlMjA=",highlighted:`<span class="hljs-keyword">let</span> image = <span class="hljs-keyword">await</span> <span class="hljs-title class_">RawImage</span>.<span class="hljs-title function_">read</span>(<span class="hljs-string">&#x27;https://huggingface.co/datasets/Xenova/transformers.js-docs/resolve/main/football-match.jpg&#x27;</span>);
<span class="hljs-comment">// test </span>`}}),Qe=new v({}),tt=new v({}),{c(){_=i("meta"),At=r(),D=i("a"),kt=r(),R=i("h1"),k=i("a"),_t=i("span"),c(W.$$.fragment),Al=r(),ot=i("span"),ot.textContent=Dl,Nt=r(),Q=i("p"),Q.textContent=Wl,St=r(),V=i("p"),V.textContent=Ql,jt=r(),F=i("ul"),F.innerHTML=Vl,Ut=r(),zt=i("hr"),Bt=r(),X=i("a"),Yt=r(),b=i("h2"),N=i("a"),Rt=i("span"),c(ee.$$.fragment),kl=r(),rt=i("span"),rt.textContent=Fl,qt=r(),te=i("p"),te.innerHTML=Xl,Kt=r(),ae=i("ul"),ae.innerHTML=ei,Jt=r(),Ot=i("hr"),Zt=r(),le=i("a"),Gt=r(),I=i("h3"),S=i("a"),bt=i("span"),c(ie.$$.fragment),Nl=r(),st=i("span"),st.innerHTML=ti,Dt=r(),oe=i("p"),oe.innerHTML=ai,Wt=r(),re=i("table"),re.innerHTML=li,Qt=r(),Vt=i("hr"),Ft=r(),se=i("a"),Xt=r(),T=i("h3"),j=i("a"),It=i("span"),c(ne.$$.fragment),Sl=r(),nt=i("span"),nt.innerHTML=ii,ea=r(),de=i("p"),de.textContent=oi,ta=r(),me=i("p"),me.innerHTML=ri,aa=r(),la=i("hr"),ia=r(),he=i("a"),oa=r(),$=i("h3"),U=i("a"),Tt=i("span"),c(ce.$$.fragment),jl=r(),dt=i("span"),dt.innerHTML=si,ra=r(),ue=i("p"),ue.textContent=ni,sa=r(),ge=i("p"),ge.innerHTML=di,na=r(),da=i("hr"),ma=r(),pe=i("a"),ha=r(),y=i("h3"),z=i("a"),$t=i("span"),c(fe.$$.fragment),Ul=r(),mt=i("span"),mt.innerHTML=mi,ca=r(),we=i("p"),we.textContent=hi,ua=r(),ve=i("p"),ve.innerHTML=ci,ga=r(),pa=i("hr"),fa=r(),_e=i("a"),wa=r(),x=i("h3"),B=i("a"),yt=i("span"),c(Re.$$.fragment),zl=r(),ht=i("span"),ht.innerHTML=ui,va=r(),be=i("p"),be.textContent=gi,_a=r(),Ie=i("p"),Ie.innerHTML=pi,Ra=r(),ba=i("hr"),Ia=r(),Te=i("a"),Ta=r(),C=i("h3"),Y=i("a"),xt=i("span"),c($e.$$.fragment),Bl=r(),ct=i("span"),ct.innerHTML=fi,$a=r(),ye=i("p"),ye.textContent=wi,ya=r(),xe=i("p"),xe.innerHTML=vi,xa=r(),Ce=i("table"),Ce.innerHTML=_i,Ca=r(),Ha=i("hr"),Pa=r(),He=i("a"),La=r(),H=i("h3"),q=i("a"),Ct=i("span"),c(Pe.$$.fragment),Yl=r(),ut=i("span"),ut.innerHTML=Ri,Ma=r(),Le=i("p"),Le.textContent=bi,Ea=r(),Me=i("p"),Me.innerHTML=Ii,Aa=r(),ka=i("hr"),Na=r(),Ee=i("a"),Sa=r(),P=i("h3"),K=i("a"),Ht=i("span"),c(Ae.$$.fragment),ql=r(),gt=i("span"),gt.innerHTML=Ti,ja=r(),ke=i("p"),ke.textContent=$i,Ua=r(),Ne=i("p"),Ne.innerHTML=yi,za=r(),Se=i("table"),Se.innerHTML=xi,Ba=r(),Ya=i("hr"),qa=r(),je=i("a"),Ka=r(),L=i("h3"),J=i("a"),Pt=i("span"),c(Ue.$$.fragment),Kl=r(),pt=i("span"),pt.innerHTML=Ci,Ja=r(),ze=i("p"),ze.textContent=Hi,Oa=r(),Be=i("p"),Be.innerHTML=Pi,Za=r(),Ye=i("table"),Ye.innerHTML=Li,Ga=r(),Da=i("hr"),Wa=r(),qe=i("a"),Qa=r(),M=i("h3"),O=i("a"),Lt=i("span"),c(Ke.$$.fragment),Jl=r(),ft=i("span"),ft.innerHTML=Mi,Va=r(),Je=i("p"),Je.textContent=Ei,Fa=r(),Oe=i("p"),Oe.innerHTML=Ai,Xa=r(),Ze=i("p"),Ze.innerHTML=ki,el=r(),c(Ge.$$.fragment),tl=r(),De=i("table"),De.innerHTML=Ni,al=r(),ll=i("hr"),il=r(),We=i("a"),ol=r(),E=i("h3"),Z=i("a"),Mt=i("span"),c(Qe.$$.fragment),Ol=r(),wt=i("span"),wt.innerHTML=Si,rl=r(),Ve=i("p"),Ve.textContent=ji,sl=r(),Fe=i("p"),Fe.innerHTML=Ui,nl=r(),Xe=i("table"),Xe.innerHTML=zi,dl=r(),ml=i("hr"),hl=r(),et=i("a"),cl=r(),A=i("h3"),G=i("a"),Et=i("span"),c(tt.$$.fragment),Zl=r(),vt=i("span"),vt.innerHTML=Bi,ul=r(),at=i("p"),at.textContent=Yi,gl=r(),lt=i("p"),lt.innerHTML=qi,pl=r(),it=i("table"),it.innerHTML=Ki,fl=r(),wl=i("hr"),this.h()},l(e){const a=$o("svelte-1phssyn",document.head);_=o(a,"META",{name:!0,content:!0}),a.forEach(t),At=s(e),D=o(e,"A",{id:!0,class:!0}),m(D).forEach(t),kt=s(e),R=o(e,"H1",{class:!0});var _l=m(R);k=o(_l,"A",{id:!0,class:!0,href:!0});var Ji=m(k);_t=o(Ji,"SPAN",{});var Oi=m(_t);u(W.$$.fragment,Oi),Oi.forEach(t),Ji.forEach(t),Al=s(_l),ot=o(_l,"SPAN",{"data-svelte-h":!0}),h(ot)!=="svelte-xi6wf4"&&(ot.textContent=Dl),_l.forEach(t),Nt=s(e),Q=o(e,"P",{"data-svelte-h":!0}),h(Q)!=="svelte-18hbqrt"&&(Q.textContent=Wl),St=s(e),V=o(e,"P",{"data-svelte-h":!0}),h(V)!=="svelte-il3kl8"&&(V.textContent=Ql),jt=s(e),F=o(e,"UL",{"data-svelte-h":!0}),h(F)!=="svelte-u3qns4"&&(F.innerHTML=Vl),Ut=s(e),zt=o(e,"HR",{}),Bt=s(e),X=o(e,"A",{id:!0,class:!0}),m(X).forEach(t),Yt=s(e),b=o(e,"H2",{class:!0});var Rl=m(b);N=o(Rl,"A",{id:!0,class:!0,href:!0});var Zi=m(N);Rt=o(Zi,"SPAN",{});var Gi=m(Rt);u(ee.$$.fragment,Gi),Gi.forEach(t),Zi.forEach(t),kl=s(Rl),rt=o(Rl,"SPAN",{"data-svelte-h":!0}),h(rt)!=="svelte-1fbdmyh"&&(rt.textContent=Fl),Rl.forEach(t),qt=s(e),te=o(e,"P",{"data-svelte-h":!0}),h(te)!=="svelte-f7iksk"&&(te.innerHTML=Xl),Kt=s(e),ae=o(e,"UL",{"data-svelte-h":!0}),h(ae)!=="svelte-ns07o5"&&(ae.innerHTML=ei),Jt=s(e),Ot=o(e,"HR",{}),Zt=s(e),le=o(e,"A",{id:!0,class:!0}),m(le).forEach(t),Gt=s(e),I=o(e,"H3",{class:!0});var bl=m(I);S=o(bl,"A",{id:!0,class:!0,href:!0});var Di=m(S);bt=o(Di,"SPAN",{});var Wi=m(bt);u(ie.$$.fragment,Wi),Wi.forEach(t),Di.forEach(t),Nl=s(bl),st=o(bl,"SPAN",{"data-svelte-h":!0}),h(st)!=="svelte-gto965"&&(st.innerHTML=ti),bl.forEach(t),Dt=s(e),oe=o(e,"P",{"data-svelte-h":!0}),h(oe)!=="svelte-36fe9a"&&(oe.innerHTML=ai),Wt=s(e),re=o(e,"TABLE",{"data-svelte-h":!0}),h(re)!=="svelte-17p0s1v"&&(re.innerHTML=li),Qt=s(e),Vt=o(e,"HR",{}),Ft=s(e),se=o(e,"A",{id:!0,class:!0}),m(se).forEach(t),Xt=s(e),T=o(e,"H3",{class:!0});var Il=m(T);j=o(Il,"A",{id:!0,class:!0,href:!0});var Qi=m(j);It=o(Qi,"SPAN",{});var Vi=m(It);u(ne.$$.fragment,Vi),Vi.forEach(t),Qi.forEach(t),Sl=s(Il),nt=o(Il,"SPAN",{"data-svelte-h":!0}),h(nt)!=="svelte-l7itwn"&&(nt.innerHTML=ii),Il.forEach(t),ea=s(e),de=o(e,"P",{"data-svelte-h":!0}),h(de)!=="svelte-15u13r6"&&(de.textContent=oi),ta=s(e),me=o(e,"P",{"data-svelte-h":!0}),h(me)!=="svelte-x6zkun"&&(me.innerHTML=ri),aa=s(e),la=o(e,"HR",{}),ia=s(e),he=o(e,"A",{id:!0,class:!0}),m(he).forEach(t),oa=s(e),$=o(e,"H3",{class:!0});var Tl=m($);U=o(Tl,"A",{id:!0,class:!0,href:!0});var Fi=m(U);Tt=o(Fi,"SPAN",{});var Xi=m(Tt);u(ce.$$.fragment,Xi),Xi.forEach(t),Fi.forEach(t),jl=s(Tl),dt=o(Tl,"SPAN",{"data-svelte-h":!0}),h(dt)!=="svelte-17j17vj"&&(dt.innerHTML=si),Tl.forEach(t),ra=s(e),ue=o(e,"P",{"data-svelte-h":!0}),h(ue)!=="svelte-1owjjfe"&&(ue.textContent=ni),sa=s(e),ge=o(e,"P",{"data-svelte-h":!0}),h(ge)!=="svelte-11e9r18"&&(ge.innerHTML=di),na=s(e),da=o(e,"HR",{}),ma=s(e),pe=o(e,"A",{id:!0,class:!0}),m(pe).forEach(t),ha=s(e),y=o(e,"H3",{class:!0});var $l=m(y);z=o($l,"A",{id:!0,class:!0,href:!0});var eo=m(z);$t=o(eo,"SPAN",{});var to=m($t);u(fe.$$.fragment,to),to.forEach(t),eo.forEach(t),Ul=s($l),mt=o($l,"SPAN",{"data-svelte-h":!0}),h(mt)!=="svelte-iok7d3"&&(mt.innerHTML=mi),$l.forEach(t),ca=s(e),we=o(e,"P",{"data-svelte-h":!0}),h(we)!=="svelte-qyo04e"&&(we.textContent=hi),ua=s(e),ve=o(e,"P",{"data-svelte-h":!0}),h(ve)!=="svelte-11e9r18"&&(ve.innerHTML=ci),ga=s(e),pa=o(e,"HR",{}),fa=s(e),_e=o(e,"A",{id:!0,class:!0}),m(_e).forEach(t),wa=s(e),x=o(e,"H3",{class:!0});var yl=m(x);B=o(yl,"A",{id:!0,class:!0,href:!0});var ao=m(B);yt=o(ao,"SPAN",{});var lo=m(yt);u(Re.$$.fragment,lo),lo.forEach(t),ao.forEach(t),zl=s(yl),ht=o(yl,"SPAN",{"data-svelte-h":!0}),h(ht)!=="svelte-1t6d6eg"&&(ht.innerHTML=ui),yl.forEach(t),va=s(e),be=o(e,"P",{"data-svelte-h":!0}),h(be)!=="svelte-19kp14j"&&(be.textContent=gi),_a=s(e),Ie=o(e,"P",{"data-svelte-h":!0}),h(Ie)!=="svelte-11e9r18"&&(Ie.innerHTML=pi),Ra=s(e),ba=o(e,"HR",{}),Ia=s(e),Te=o(e,"A",{id:!0,class:!0}),m(Te).forEach(t),Ta=s(e),C=o(e,"H3",{class:!0});var xl=m(C);Y=o(xl,"A",{id:!0,class:!0,href:!0});var io=m(Y);xt=o(io,"SPAN",{});var oo=m(xt);u($e.$$.fragment,oo),oo.forEach(t),io.forEach(t),Bl=s(xl),ct=o(xl,"SPAN",{"data-svelte-h":!0}),h(ct)!=="svelte-1yrurj"&&(ct.innerHTML=fi),xl.forEach(t),$a=s(e),ye=o(e,"P",{"data-svelte-h":!0}),h(ye)!=="svelte-s4dm9o"&&(ye.textContent=wi),ya=s(e),xe=o(e,"P",{"data-svelte-h":!0}),h(xe)!=="svelte-ovn1mw"&&(xe.innerHTML=vi),xa=s(e),Ce=o(e,"TABLE",{"data-svelte-h":!0}),h(Ce)!=="svelte-ya0vko"&&(Ce.innerHTML=_i),Ca=s(e),Ha=o(e,"HR",{}),Pa=s(e),He=o(e,"A",{id:!0,class:!0}),m(He).forEach(t),La=s(e),H=o(e,"H3",{class:!0});var Cl=m(H);q=o(Cl,"A",{id:!0,class:!0,href:!0});var ro=m(q);Ct=o(ro,"SPAN",{});var so=m(Ct);u(Pe.$$.fragment,so),so.forEach(t),ro.forEach(t),Yl=s(Cl),ut=o(Cl,"SPAN",{"data-svelte-h":!0}),h(ut)!=="svelte-s7b001"&&(ut.innerHTML=Ri),Cl.forEach(t),Ma=s(e),Le=o(e,"P",{"data-svelte-h":!0}),h(Le)!=="svelte-1eu6jk3"&&(Le.textContent=bi),Ea=s(e),Me=o(e,"P",{"data-svelte-h":!0}),h(Me)!=="svelte-1w4hta5"&&(Me.innerHTML=Ii),Aa=s(e),ka=o(e,"HR",{}),Na=s(e),Ee=o(e,"A",{id:!0,class:!0}),m(Ee).forEach(t),Sa=s(e),P=o(e,"H3",{class:!0});var Hl=m(P);K=o(Hl,"A",{id:!0,class:!0,href:!0});var no=m(K);Ht=o(no,"SPAN",{});var mo=m(Ht);u(Ae.$$.fragment,mo),mo.forEach(t),no.forEach(t),ql=s(Hl),gt=o(Hl,"SPAN",{"data-svelte-h":!0}),h(gt)!=="svelte-15nsxpb"&&(gt.innerHTML=Ti),Hl.forEach(t),ja=s(e),ke=o(e,"P",{"data-svelte-h":!0}),h(ke)!=="svelte-5ze294"&&(ke.textContent=$i),Ua=s(e),Ne=o(e,"P",{"data-svelte-h":!0}),h(Ne)!=="svelte-11e9r18"&&(Ne.innerHTML=yi),za=s(e),Se=o(e,"TABLE",{"data-svelte-h":!0}),h(Se)!=="svelte-1hxqxaq"&&(Se.innerHTML=xi),Ba=s(e),Ya=o(e,"HR",{}),qa=s(e),je=o(e,"A",{id:!0,class:!0}),m(je).forEach(t),Ka=s(e),L=o(e,"H3",{class:!0});var Pl=m(L);J=o(Pl,"A",{id:!0,class:!0,href:!0});var ho=m(J);Pt=o(ho,"SPAN",{});var co=m(Pt);u(Ue.$$.fragment,co),co.forEach(t),ho.forEach(t),Kl=s(Pl),pt=o(Pl,"SPAN",{"data-svelte-h":!0}),h(pt)!=="svelte-1ozxa0w"&&(pt.innerHTML=Ci),Pl.forEach(t),Ja=s(e),ze=o(e,"P",{"data-svelte-h":!0}),h(ze)!=="svelte-119su55"&&(ze.textContent=Hi),Oa=s(e),Be=o(e,"P",{"data-svelte-h":!0}),h(Be)!=="svelte-1epyezb"&&(Be.innerHTML=Pi),Za=s(e),Ye=o(e,"TABLE",{"data-svelte-h":!0}),h(Ye)!=="svelte-1h4z9xq"&&(Ye.innerHTML=Li),Ga=s(e),Da=o(e,"HR",{}),Wa=s(e),qe=o(e,"A",{id:!0,class:!0}),m(qe).forEach(t),Qa=s(e),M=o(e,"H3",{class:!0});var Ll=m(M);O=o(Ll,"A",{id:!0,class:!0,href:!0});var uo=m(O);Lt=o(uo,"SPAN",{});var go=m(Lt);u(Ke.$$.fragment,go),go.forEach(t),uo.forEach(t),Jl=s(Ll),ft=o(Ll,"SPAN",{"data-svelte-h":!0}),h(ft)!=="svelte-isria3"&&(ft.innerHTML=Mi),Ll.forEach(t),Va=s(e),Je=o(e,"P",{"data-svelte-h":!0}),h(Je)!=="svelte-5659h9"&&(Je.textContent=Ei),Fa=s(e),Oe=o(e,"P",{"data-svelte-h":!0}),h(Oe)!=="svelte-1800vfp"&&(Oe.innerHTML=Ai),Xa=s(e),Ze=o(e,"P",{"data-svelte-h":!0}),h(Ze)!=="svelte-14z54gq"&&(Ze.innerHTML=ki),el=s(e),u(Ge.$$.fragment,e),tl=s(e),De=o(e,"TABLE",{"data-svelte-h":!0}),h(De)!=="svelte-eqolu5"&&(De.innerHTML=Ni),al=s(e),ll=o(e,"HR",{}),il=s(e),We=o(e,"A",{id:!0,class:!0}),m(We).forEach(t),ol=s(e),E=o(e,"H3",{class:!0});var Ml=m(E);Z=o(Ml,"A",{id:!0,class:!0,href:!0});var po=m(Z);Mt=o(po,"SPAN",{});var fo=m(Mt);u(Qe.$$.fragment,fo),fo.forEach(t),po.forEach(t),Ol=s(Ml),wt=o(Ml,"SPAN",{"data-svelte-h":!0}),h(wt)!=="svelte-56ohq6"&&(wt.innerHTML=Si),Ml.forEach(t),rl=s(e),Ve=o(e,"P",{"data-svelte-h":!0}),h(Ve)!=="svelte-1355z3u"&&(Ve.textContent=ji),sl=s(e),Fe=o(e,"P",{"data-svelte-h":!0}),h(Fe)!=="svelte-nj4ebk"&&(Fe.innerHTML=Ui),nl=s(e),Xe=o(e,"TABLE",{"data-svelte-h":!0}),h(Xe)!=="svelte-ncveta"&&(Xe.innerHTML=zi),dl=s(e),ml=o(e,"HR",{}),hl=s(e),et=o(e,"A",{id:!0,class:!0}),m(et).forEach(t),cl=s(e),A=o(e,"H3",{class:!0});var El=m(A);G=o(El,"A",{id:!0,class:!0,href:!0});var wo=m(G);Et=o(wo,"SPAN",{});var vo=m(Et);u(tt.$$.fragment,vo),vo.forEach(t),wo.forEach(t),Zl=s(El),vt=o(El,"SPAN",{"data-svelte-h":!0}),h(vt)!=="svelte-11d3338"&&(vt.innerHTML=Bi),El.forEach(t),ul=s(e),at=o(e,"P",{"data-svelte-h":!0}),h(at)!=="svelte-1s704mu"&&(at.textContent=Yi),gl=s(e),lt=o(e,"P",{"data-svelte-h":!0}),h(lt)!=="svelte-nj4ebk"&&(lt.innerHTML=qi),pl=s(e),it=o(e,"TABLE",{"data-svelte-h":!0}),h(it)!=="svelte-34rbhe"&&(it.innerHTML=Ki),fl=s(e),wl=o(e,"HR",{}),this.h()},h(){n(_,"name","hf:doc:metadata"),n(_,"content",JSON.stringify(Co)),n(D,"id","module_utils/image"),n(D,"class","group"),n(k,"id","utilsimage"),n(k,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(k,"href","#utilsimage"),n(R,"class","relative group"),n(X,"id","module_utils/image.RawImage"),n(X,"class","group"),n(N,"id","utilsimagerawimage"),n(N,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(N,"href","#utilsimagerawimage"),n(b,"class","relative group"),n(le,"id","new_module_utils/image.RawImage_new"),n(le,"class","group"),n(S,"id","new-rawimagedata-width-height-channels"),n(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(S,"href","#new-rawimagedata-width-height-channels"),n(I,"class","relative group"),n(se,"id","module_utils/image.RawImage+_CONTENT_TYPE_MAP"),n(se,"class","group"),n(j,"id","rawimagecontenttypemap"),n(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(j,"href","#rawimagecontenttypemap"),n(T,"class","relative group"),n(he,"id","module_utils/image.RawImage+grayscale"),n(he,"class","group"),n(U,"id","rawimagegrayscale-coderawimagecode"),n(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(U,"href","#rawimagegrayscale-coderawimagecode"),n($,"class","relative group"),n(pe,"id","module_utils/image.RawImage+rgb"),n(pe,"class","group"),n(z,"id","rawimagergb-coderawimagecode"),n(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(z,"href","#rawimagergb-coderawimagecode"),n(y,"class","relative group"),n(_e,"id","module_utils/image.RawImage+rgba"),n(_e,"class","group"),n(B,"id","rawimagergba-coderawimagecode"),n(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(B,"href","#rawimagergba-coderawimagecode"),n(x,"class","relative group"),n(Te,"id","module_utils/image.RawImage+resize"),n(Te,"class","group"),n(Y,"id","rawimageresizewidth-height-options-codepromiseampltrawimageampgtcode"),n(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(Y,"href","#rawimageresizewidth-height-options-codepromiseampltrawimageampgtcode"),n(C,"class","relative group"),n(He,"id","module_utils/image.RawImage+clone"),n(He,"class","group"),n(q,"id","rawimageclone-coderawimagecode"),n(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(q,"href","#rawimageclone-coderawimagecode"),n(H,"class","relative group"),n(Ee,"id","module_utils/image.RawImage+convert"),n(Ee,"class","group"),n(K,"id","rawimageconvertnumchannels-coderawimagecode"),n(K,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(K,"href","#rawimageconvertnumchannels-coderawimagecode"),n(P,"class","relative group"),n(je,"id","module_utils/image.RawImage+save"),n(je,"class","group"),n(J,"id","rawimagesavepath"),n(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(J,"href","#rawimagesavepath"),n(L,"class","relative group"),n(qe,"id","module_utils/image.RawImage.read"),n(qe,"class","group"),n(O,"id","rawimagereadinput-codecode"),n(O,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(O,"href","#rawimagereadinput-codecode"),n(M,"class","relative group"),n(We,"id","module_utils/image.RawImage.fromURL"),n(We,"class","group"),n(Z,"id","rawimagefromurlurl-codepromiseampltrawimageampgtcode"),n(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(Z,"href","#rawimagefromurlurl-codepromiseampltrawimageampgtcode"),n(E,"class","relative group"),n(et,"id","module_utils/image.RawImage.fromBlob"),n(et,"class","group"),n(G,"id","rawimagefromblobblob-codepromiseampltrawimageampgtcode"),n(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(G,"href","#rawimagefromblobblob-codepromiseampltrawimageampgtcode"),n(A,"class","relative group")},m(e,a){d(document.head,_),l(e,At,a),l(e,D,a),l(e,kt,a),l(e,R,a),d(R,k),d(k,_t),g(W,_t,null),d(R,Al),d(R,ot),l(e,Nt,a),l(e,Q,a),l(e,St,a),l(e,V,a),l(e,jt,a),l(e,F,a),l(e,Ut,a),l(e,zt,a),l(e,Bt,a),l(e,X,a),l(e,Yt,a),l(e,b,a),d(b,N),d(N,Rt),g(ee,Rt,null),d(b,kl),d(b,rt),l(e,qt,a),l(e,te,a),l(e,Kt,a),l(e,ae,a),l(e,Jt,a),l(e,Ot,a),l(e,Zt,a),l(e,le,a),l(e,Gt,a),l(e,I,a),d(I,S),d(S,bt),g(ie,bt,null),d(I,Nl),d(I,st),l(e,Dt,a),l(e,oe,a),l(e,Wt,a),l(e,re,a),l(e,Qt,a),l(e,Vt,a),l(e,Ft,a),l(e,se,a),l(e,Xt,a),l(e,T,a),d(T,j),d(j,It),g(ne,It,null),d(T,Sl),d(T,nt),l(e,ea,a),l(e,de,a),l(e,ta,a),l(e,me,a),l(e,aa,a),l(e,la,a),l(e,ia,a),l(e,he,a),l(e,oa,a),l(e,$,a),d($,U),d(U,Tt),g(ce,Tt,null),d($,jl),d($,dt),l(e,ra,a),l(e,ue,a),l(e,sa,a),l(e,ge,a),l(e,na,a),l(e,da,a),l(e,ma,a),l(e,pe,a),l(e,ha,a),l(e,y,a),d(y,z),d(z,$t),g(fe,$t,null),d(y,Ul),d(y,mt),l(e,ca,a),l(e,we,a),l(e,ua,a),l(e,ve,a),l(e,ga,a),l(e,pa,a),l(e,fa,a),l(e,_e,a),l(e,wa,a),l(e,x,a),d(x,B),d(B,yt),g(Re,yt,null),d(x,zl),d(x,ht),l(e,va,a),l(e,be,a),l(e,_a,a),l(e,Ie,a),l(e,Ra,a),l(e,ba,a),l(e,Ia,a),l(e,Te,a),l(e,Ta,a),l(e,C,a),d(C,Y),d(Y,xt),g($e,xt,null),d(C,Bl),d(C,ct),l(e,$a,a),l(e,ye,a),l(e,ya,a),l(e,xe,a),l(e,xa,a),l(e,Ce,a),l(e,Ca,a),l(e,Ha,a),l(e,Pa,a),l(e,He,a),l(e,La,a),l(e,H,a),d(H,q),d(q,Ct),g(Pe,Ct,null),d(H,Yl),d(H,ut),l(e,Ma,a),l(e,Le,a),l(e,Ea,a),l(e,Me,a),l(e,Aa,a),l(e,ka,a),l(e,Na,a),l(e,Ee,a),l(e,Sa,a),l(e,P,a),d(P,K),d(K,Ht),g(Ae,Ht,null),d(P,ql),d(P,gt),l(e,ja,a),l(e,ke,a),l(e,Ua,a),l(e,Ne,a),l(e,za,a),l(e,Se,a),l(e,Ba,a),l(e,Ya,a),l(e,qa,a),l(e,je,a),l(e,Ka,a),l(e,L,a),d(L,J),d(J,Pt),g(Ue,Pt,null),d(L,Kl),d(L,pt),l(e,Ja,a),l(e,ze,a),l(e,Oa,a),l(e,Be,a),l(e,Za,a),l(e,Ye,a),l(e,Ga,a),l(e,Da,a),l(e,Wa,a),l(e,qe,a),l(e,Qa,a),l(e,M,a),d(M,O),d(O,Lt),g(Ke,Lt,null),d(M,Jl),d(M,ft),l(e,Va,a),l(e,Je,a),l(e,Fa,a),l(e,Oe,a),l(e,Xa,a),l(e,Ze,a),l(e,el,a),g(Ge,e,a),l(e,tl,a),l(e,De,a),l(e,al,a),l(e,ll,a),l(e,il,a),l(e,We,a),l(e,ol,a),l(e,E,a),d(E,Z),d(Z,Mt),g(Qe,Mt,null),d(E,Ol),d(E,wt),l(e,rl,a),l(e,Ve,a),l(e,sl,a),l(e,Fe,a),l(e,nl,a),l(e,Xe,a),l(e,dl,a),l(e,ml,a),l(e,hl,a),l(e,et,a),l(e,cl,a),l(e,A,a),d(A,G),d(G,Et),g(tt,Et,null),d(A,Zl),d(A,vt),l(e,ul,a),l(e,at,a),l(e,gl,a),l(e,lt,a),l(e,pl,a),l(e,it,a),l(e,fl,a),l(e,wl,a),vl=!0},p:Ro,i(e){vl||(p(W.$$.fragment,e),p(ee.$$.fragment,e),p(ie.$$.fragment,e),p(ne.$$.fragment,e),p(ce.$$.fragment,e),p(fe.$$.fragment,e),p(Re.$$.fragment,e),p($e.$$.fragment,e),p(Pe.$$.fragment,e),p(Ae.$$.fragment,e),p(Ue.$$.fragment,e),p(Ke.$$.fragment,e),p(Ge.$$.fragment,e),p(Qe.$$.fragment,e),p(tt.$$.fragment,e),vl=!0)},o(e){f(W.$$.fragment,e),f(ee.$$.fragment,e),f(ie.$$.fragment,e),f(ne.$$.fragment,e),f(ce.$$.fragment,e),f(fe.$$.fragment,e),f(Re.$$.fragment,e),f($e.$$.fragment,e),f(Pe.$$.fragment,e),f(Ae.$$.fragment,e),f(Ue.$$.fragment,e),f(Ke.$$.fragment,e),f(Ge.$$.fragment,e),f(Qe.$$.fragment,e),f(tt.$$.fragment,e),vl=!1},d(e){e&&(t(At),t(D),t(kt),t(R),t(Nt),t(Q),t(St),t(V),t(jt),t(F),t(Ut),t(zt),t(Bt),t(X),t(Yt),t(b),t(qt),t(te),t(Kt),t(ae),t(Jt),t(Ot),t(Zt),t(le),t(Gt),t(I),t(Dt),t(oe),t(Wt),t(re),t(Qt),t(Vt),t(Ft),t(se),t(Xt),t(T),t(ea),t(de),t(ta),t(me),t(aa),t(la),t(ia),t(he),t(oa),t($),t(ra),t(ue),t(sa),t(ge),t(na),t(da),t(ma),t(pe),t(ha),t(y),t(ca),t(we),t(ua),t(ve),t(ga),t(pa),t(fa),t(_e),t(wa),t(x),t(va),t(be),t(_a),t(Ie),t(Ra),t(ba),t(Ia),t(Te),t(Ta),t(C),t($a),t(ye),t(ya),t(xe),t(xa),t(Ce),t(Ca),t(Ha),t(Pa),t(He),t(La),t(H),t(Ma),t(Le),t(Ea),t(Me),t(Aa),t(ka),t(Na),t(Ee),t(Sa),t(P),t(ja),t(ke),t(Ua),t(Ne),t(za),t(Se),t(Ba),t(Ya),t(qa),t(je),t(Ka),t(L),t(Ja),t(ze),t(Oa),t(Be),t(Za),t(Ye),t(Ga),t(Da),t(Wa),t(qe),t(Qa),t(M),t(Va),t(Je),t(Fa),t(Oe),t(Xa),t(Ze),t(el),t(tl),t(De),t(al),t(ll),t(il),t(We),t(ol),t(E),t(rl),t(Ve),t(sl),t(Fe),t(nl),t(Xe),t(dl),t(ml),t(hl),t(et),t(cl),t(A),t(ul),t(at),t(gl),t(lt),t(pl),t(it),t(fl),t(wl)),t(_),w(W),w(ee),w(ie),w(ne),w(ce),w(fe),w(Re),w($e),w(Pe),w(Ae),w(Ue),w(Ke),w(Ge,e),w(Qe),w(tt)}}}const Co={local:"utilsimage",sections:[{local:"utilsimagerawimage",sections:[{local:"new-rawimagedata-width-height-channels",title:"`new RawImage(data, width, height, channels)`"},{local:"rawimagecontenttypemap",title:"`rawImage._CONTENT_TYPE_MAP`"},{local:"rawimagegrayscale-coderawimagecode",title:"`rawImage.grayscale()` ⇒ <code>RawImage</code>"},{local:"rawimagergb-coderawimagecode",title:"`rawImage.rgb()` ⇒ <code>RawImage</code>"},{local:"rawimagergba-coderawimagecode",title:"`rawImage.rgba()` ⇒ <code>RawImage</code>"},{local:"rawimageresizewidth-height-options-codepromiseampltrawimageampgtcode",title:"`rawImage.resize(width, height, options)` ⇒ <code>Promise.&lt;RawImage&gt;</code>"},{local:"rawimageclone-coderawimagecode",title:"`rawImage.clone()` ⇒ <code>RawImage</code>"},{local:"rawimageconvertnumchannels-coderawimagecode",title:"`rawImage.convert(numChannels)` ⇒ <code>RawImage</code>"},{local:"rawimagesavepath",title:"`rawImage.save(path)`"},{local:"rawimagereadinput-codecode",title:"`RawImage.read(input)` ⇒ <code>*</code>"},{local:"rawimagefromurlurl-codepromiseampltrawimageampgtcode",title:"`RawImage.fromURL(url)` ⇒ <code>Promise.&lt;RawImage&gt;</code>"},{local:"rawimagefromblobblob-codepromiseampltrawimageampgtcode",title:"`RawImage.fromBlob(blob)` ⇒ <code>Promise.&lt;RawImage&gt;</code>"}],title:"utils/image.RawImage"}],title:"utils/image"};function Ho(Gl){return bo(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ao extends Io{constructor(_){super(),To(this,_,Ho,xo,_o,{})}}export{Ao as component};
