import{s as ac,n as lc,o as oc}from"../chunks/scheduler.b108d059.js";import{S as dc,i as ic,g as l,s as d,p as h,A as sc,h as o,f as e,c as i,j as f,q as c,m as n,k as s,v as u,a,r as m,d as p,t as v,u as y}from"../chunks/index.505cd174.js";import{I as T}from"../chunks/IconCopyLink.74cd415a.js";import{C as nc}from"../chunks/CodeBlock.35457548.js";function uc(kn){let _,$l,Lt,Ll,b,V,Qa,Mt,rn,_a,Sn="utils/maths",Ml,Ct,Rn="Helper module for mathematical processing.",Cl,Ft,Nn=`These functions and classes are only used internally,
meaning an end-user shouldn’t need to access anything here.`,Fl,gt,zn='<li><a href="#module_utils/maths">utils/maths</a><ul><li><em>static</em><ul><li><a href="#module_utils/maths.FFT">.FFT</a><ul><li><a href="#new_module_utils/maths.FFT_new"><code>new FFT(size)</code></a></li> <li><a href="#module_utils/maths.FFT+createComplexArray"><code>.createComplexArray()</code></a> ⇒ <code>Float32Array</code></li> <li><a href="#module_utils/maths.FFT+fromComplexArray"><code>.fromComplexArray(complex, [storage])</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/maths.FFT+toComplexArray"><code>.toComplexArray(input, [storage])</code></a> ⇒ <code>Float32Array</code></li> <li><a href="#module_utils/maths.FFT+completeSpectrum"><code>.completeSpectrum(spectrum)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+transform"><code>.transform(out, data)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+realTransform"><code>.realTransform(out, data)</code></a></li> <li><a href="#module_utils/maths.FFT+inverseTransform"><code>.inverseTransform(out, data)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_transform4"><code>._transform4(out, data, inv)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_singleTransform2"><code>._singleTransform2(data, out, outOff, off, step)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_singleTransform4"><code>._singleTransform4(data, out, outOff, off, step, inv)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_realTransform4"><code>._realTransform4(out, data, inv)</code></a></li> <li><a href="#module_utils/maths.FFT+_singleRealTransform2"><code>._singleRealTransform2(data, out, outOff, off, step)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_singleRealTransform4"><code>._singleRealTransform4(data, out, outOff, off, step, inv)</code></a></li></ul></li> <li><a href="#module_utils/maths.interpolate_data"><code>.interpolate_data(input)</code></a></li> <li><a href="#module_utils/maths.transpose_data"><code>.transpose_data(array, dims, axes)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/maths.softmax"><code>.softmax(arr)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/maths.log_softmax"><code>.log_softmax(arr)</code></a> ⇒ <code>any</code></li> <li><a href="#module_utils/maths.dot"><code>.dot(arr1, arr2)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/maths.getTopItems"><code>.getTopItems(items, [top_k])</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/maths.cos_sim"><code>.cos_sim(arr1, arr2)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/maths.magnitude"><code>.magnitude(arr)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/maths.min"><code>.min(arr)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/maths.max"><code>.max(arr)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/maths.rfftfreq"><code>.rfftfreq(n, [d])</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/maths.medianFilter"><code>.medianFilter(data, windowSize)</code></a></li> <li><a href="#module_utils/maths.round"><code>.round(num, decimals)</code></a> ⇒ <code>number</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/maths..AnyTypedArray"><code>~AnyTypedArray</code></a> : <code>Int8Array</code> | <code>Uint8Array</code> | <code>Uint8ClampedArray</code> | <code>Int16Array</code> | <code>Uint16Array</code> | <code>Int32Array</code> | <code>Uint32Array</code> | <code>Float32Array</code> | <code>Float64Array</code></li></ul></li></ul></li>',gl,El,Pl,Et,kl,x,W,Va,Pt,an,ba,Dn="utils/maths.FFT",Sl,kt,qn=`FFT class provides functionality for performing Fast Fourier Transform on arrays
Code adapted from <a href="https://www.npmjs.com/package/fft.js" rel="nofollow">https://www.npmjs.com/package/fft.js</a>`,Rl,St,jn='<strong>Kind</strong>: static class of <a href="#module_utils/maths"><code>utils/maths</code></a>',Nl,Rt,Un='<li><a href="#module_utils/maths.FFT">.FFT</a><ul><li><a href="#new_module_utils/maths.FFT_new"><code>new FFT(size)</code></a></li> <li><a href="#module_utils/maths.FFT+createComplexArray"><code>.createComplexArray()</code></a> ⇒ <code>Float32Array</code></li> <li><a href="#module_utils/maths.FFT+fromComplexArray"><code>.fromComplexArray(complex, [storage])</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/maths.FFT+toComplexArray"><code>.toComplexArray(input, [storage])</code></a> ⇒ <code>Float32Array</code></li> <li><a href="#module_utils/maths.FFT+completeSpectrum"><code>.completeSpectrum(spectrum)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+transform"><code>.transform(out, data)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+realTransform"><code>.realTransform(out, data)</code></a></li> <li><a href="#module_utils/maths.FFT+inverseTransform"><code>.inverseTransform(out, data)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_transform4"><code>._transform4(out, data, inv)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_singleTransform2"><code>._singleTransform2(data, out, outOff, off, step)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_singleTransform4"><code>._singleTransform4(data, out, outOff, off, step, inv)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_realTransform4"><code>._realTransform4(out, data, inv)</code></a></li> <li><a href="#module_utils/maths.FFT+_singleRealTransform2"><code>._singleRealTransform2(data, out, outOff, off, step)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/maths.FFT+_singleRealTransform4"><code>._singleRealTransform4(data, out, outOff, off, step, inv)</code></a></li></ul></li>',zl,Dl,ql,Nt,jl,A,X,Wa,zt,ln,xa,On="<code>new FFT(size)</code>",Ul,Dt,Kn="<strong>Throws</strong>:",Ol,qt,In="<li><code>Error</code> FFT size must be a power of two and bigger than 1.</li>",Kl,jt,Bn="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>size</td><td><code>number</code></td><td><p>The size of the input array. Must be a power of two and bigger than 1.</p></td></tr></tbody>",Il,Bl,Jl,Ut,Zl,w,Y,Xa,Ot,on,Aa,Jn="<code>ffT.createComplexArray()</code> ⇒ <code>Float32Array</code>",Gl,Kt,Zn="Create a complex number array with size <code>2 * size</code>",Ql,It,Gn='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a><br/> <strong>Returns</strong>: <code>Float32Array</code> - A complex number array with size <code>2 * size</code>',Vl,Wl,Xl,Bt,Yl,H,tt,Ya,Jt,dn,wa,Qn="<code>ffT.fromComplexArray(complex, [storage])</code> ⇒ <code>Array.&lt;number&gt;</code>",to,Zt,Vn="Converts a complex number representation stored in a Float32Array to an array of real numbers.",eo,Gt,Wn='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - An array of real numbers representing the input complex number representation.',ro,Qt,Xn="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>complex</td><td><code>Float32Array</code></td><td><p>The complex number representation to be converted.</p></td> </tr><tr><td>[storage]</td><td><code>Array.&lt;number&gt;</code></td><td><p>An optional array to store the result in.</p></td></tr></tbody>",ao,lo,oo,Vt,io,$,et,tl,Wt,sn,Ha,Yn="<code>ffT.toComplexArray(input, [storage])</code> ⇒ <code>Float32Array</code>",so,Xt,tu="Convert a real-valued input array to a complex-valued output array.",no,Yt,eu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a><br/> <strong>Returns</strong>: <code>Float32Array</code> - The complex-valued output array.',uo,te,ru="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>input</td><td><code>Float32Array</code></td><td><p>The real-valued input array.</p></td> </tr><tr><td>[storage]</td><td><code>Float32Array</code></td><td><p>Optional buffer to store the output array.</p></td></tr></tbody>",fo,ho,co,ee,mo,L,rt,el,re,nn,$a,au="<code>ffT.completeSpectrum(spectrum)</code> ⇒ <code>void</code>",po,ae,lu="Completes the spectrum by adding its mirrored negative frequency components.",vo,le,ou='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a>',yo,oe,du="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>spectrum</td><td><code>Float32Array</code></td><td><p>The input spectrum.</p></td></tr></tbody>",To,_o,bo,de,xo,M,at,rl,ie,un,La,iu="<code>ffT.transform(out, data)</code> ⇒ <code>void</code>",Ao,se,su="Performs a Fast Fourier Transform (FFT) on the given input data and stores the result in the output buffer.",wo,ne,nu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a><br/> <strong>Throws</strong>:',Ho,ue,uu="<li><code>Error</code> Input and output buffers must be different.</li>",$o,fe,fu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>out</td><td><code>Float32Array</code></td><td><p>The output buffer to store the result.</p></td> </tr><tr><td>data</td><td><code>Float32Array</code></td><td><p>The input data to transform.</p></td></tr></tbody>",Lo,Mo,Co,he,Fo,C,lt,al,ce,fn,Ma,hu="<code>ffT.realTransform(out, data)</code>",go,me,cu=`Performs a real-valued forward FFT on the given input buffer and stores the result in the given output buffer.
The input buffer must contain real values only, while the output buffer will contain complex values. The input and
output buffers must be different.`,Eo,pe,mu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a><br/> <strong>Throws</strong>:',Po,ve,pu="<li><code>Error</code> If the input and output buffers are the same.</li>",ko,ye,vu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>out</td><td><code>Float32Array</code></td><td><p>The output buffer.</p></td> </tr><tr><td>data</td><td><code>Float32Array</code></td><td><p>The input buffer containing real values.</p></td></tr></tbody>",So,Ro,No,Te,zo,F,ot,ll,_e,hn,Ca,yu="<code>ffT.inverseTransform(out, data)</code> ⇒ <code>void</code>",Do,be,Tu=`Performs an inverse FFT transformation on the given <code>data</code> array, and stores the result in <code>out</code>.
The <code>out</code> array must be a different buffer than the <code>data</code> array. The <code>out</code> array will contain the
result of the transformation. The <code>data</code> array will not be modified.`,qo,xe,_u='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a><br/> <strong>Throws</strong>:',jo,Ae,bu="<li><code>Error</code> If `out` and `data` refer to the same buffer.</li>",Uo,we,xu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>out</td><td><code>Float32Array</code></td><td><p>The output buffer for the transformed data.</p></td> </tr><tr><td>data</td><td><code>Float32Array</code></td><td><p>The input data to transform.</p></td></tr></tbody>",Oo,Ko,Io,He,Bo,g,dt,ol,$e,cn,Fa,Au="<code>ffT._transform4(out, data, inv)</code> ⇒ <code>void</code>",Jo,Le,wu="Performs a radix-4 implementation of a discrete Fourier transform on a given set of data.",Zo,Me,Hu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a>',Go,Ce,$u="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>out</td><td><code>Float32Array</code></td><td><p>The output buffer for the transformed data.</p></td> </tr><tr><td>data</td><td><code>Float32Array</code></td><td><p>The input buffer of data to be transformed.</p></td> </tr><tr><td>inv</td><td><code>number</code></td><td><p>A scaling factor to apply to the transform.</p></td></tr></tbody>",Qo,Vo,Wo,Fe,Xo,E,it,dl,ge,mn,ga,Lu="<code>ffT._singleTransform2(data, out, outOff, off, step)</code> ⇒ <code>void</code>",Yo,Ee,Mu="Performs a radix-2 implementation of a discrete Fourier transform on a given set of data.",td,Pe,Cu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a>',ed,ke,Fu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Float32Array</code></td><td><p>The input buffer of data to be transformed.</p></td> </tr><tr><td>out</td><td><code>Float32Array</code></td><td><p>The output buffer for the transformed data.</p></td> </tr><tr><td>outOff</td><td><code>number</code></td><td><p>The offset at which to write the output data.</p></td> </tr><tr><td>off</td><td><code>number</code></td><td><p>The offset at which to begin reading the input data.</p></td> </tr><tr><td>step</td><td><code>number</code></td><td><p>The step size for indexing the input data.</p></td></tr></tbody>",rd,ad,ld,Se,od,P,st,il,Re,pn,Ea,gu="<code>ffT._singleTransform4(data, out, outOff, off, step, inv)</code> ⇒ <code>void</code>",dd,Ne,Eu="Performs radix-4 transformation on input data of length 8",id,ze,Pu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a>',sd,De,ku="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Float32Array</code></td><td><p>Input data array of length 8</p></td> </tr><tr><td>out</td><td><code>Float32Array</code></td><td><p>Output data array of length 8</p></td> </tr><tr><td>outOff</td><td><code>number</code></td><td><p>Index of output array to start writing from</p></td> </tr><tr><td>off</td><td><code>number</code></td><td><p>Index of input array to start reading from</p></td> </tr><tr><td>step</td><td><code>number</code></td><td><p>Step size between elements in input array</p></td> </tr><tr><td>inv</td><td><code>number</code></td><td><p>Scaling factor for inverse transform</p></td></tr></tbody>",nd,ud,fd,qe,hd,k,nt,sl,je,vn,Pa,Su="<code>ffT._realTransform4(out, data, inv)</code>",cd,Ue,Ru="Real input radix-4 implementation",md,Oe,Nu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a>',pd,Ke,zu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>out</td><td><code>Float32Array</code></td><td><p>Output array for the transformed data</p></td> </tr><tr><td>data</td><td><code>Float32Array</code></td><td><p>Input array of real data to be transformed</p></td> </tr><tr><td>inv</td><td><code>number</code></td><td><p>The scale factor used to normalize the inverse transform</p></td></tr></tbody>",vd,yd,Td,Ie,_d,S,ut,nl,Be,yn,ka,Du="<code>ffT._singleRealTransform2(data, out, outOff, off, step)</code> ⇒ <code>void</code>",bd,Je,qu="Performs a single real input radix-2 transformation on the provided data",xd,Ze,ju='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a>',Ad,Ge,Uu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Float32Array</code></td><td><p>The input data array</p></td> </tr><tr><td>out</td><td><code>Float32Array</code></td><td><p>The output data array</p></td> </tr><tr><td>outOff</td><td><code>number</code></td><td><p>The output offset</p></td> </tr><tr><td>off</td><td><code>number</code></td><td><p>The input offset</p></td> </tr><tr><td>step</td><td><code>number</code></td><td><p>The step</p></td></tr></tbody>",wd,Hd,$d,Qe,Ld,R,ft,ul,Ve,Tn,Sa,Ou="<code>ffT._singleRealTransform4(data, out, outOff, off, step, inv)</code>",Md,We,Ku=`Computes a single real-valued transform using radix-4 algorithm.
This method is only called for len=8.`,Cd,Xe,Iu='<strong>Kind</strong>: instance method of <a href="#module_utils/maths.FFT"><code>FFT</code></a>',Fd,Ye,Bu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Float32Array</code></td><td><p>The input data array.</p></td> </tr><tr><td>out</td><td><code>Float32Array</code></td><td><p>The output data array.</p></td> </tr><tr><td>outOff</td><td><code>number</code></td><td><p>The offset into the output array.</p></td> </tr><tr><td>off</td><td><code>number</code></td><td><p>The offset into the input array.</p></td> </tr><tr><td>step</td><td><code>number</code></td><td><p>The step size for the input array.</p></td> </tr><tr><td>inv</td><td><code>number</code></td><td><p>The value of inverse.</p></td></tr></tbody>",gd,Ed,Pd,tr,kd,N,ht,fl,er,_n,Ra,Ju="<code>utils/maths.interpolate_data(input)</code>",Sd,rr,Zu='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a>',Rd,ar,Gu="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>input</td><td><code>TypedArray</code></td></tr></tbody>",Nd,zd,Dd,lr,qd,z,ct,hl,or,bn,Na,Qu="<code>utils/maths.transpose_data(array, dims, axes)</code> ⇒ <code>*</code>",jd,dr,Vu="Helper method to transpose a <code>AnyTypedArray</code> directly",Ud,ir,Wu='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>*</code> - The transposed array and the new shape.',Od,sr,Xu="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>array</td><td><code>T</code></td> </tr><tr><td>dims</td><td><code>Array.&lt;number&gt;</code></td> </tr><tr><td>axes</td><td><code>Array.&lt;number&gt;</code></td></tr></tbody>",Kd,Id,Bd,nr,Jd,D,mt,cl,ur,xn,za,Yu="<code>utils/maths.softmax(arr)</code> ⇒ <code>Array.&lt;number&gt;</code>",Zd,fr,tf="Compute the softmax of an array of numbers.",Gd,hr,ef='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - The softmax array.',Qd,cr,rf="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;number&gt;</code></td><td><p>The array of numbers to compute the softmax of.</p></td></tr></tbody>",Vd,Wd,Xd,mr,Yd,q,pt,ml,pr,An,Da,af="<code>utils/maths.log_softmax(arr)</code> ⇒ <code>any</code>",ti,vr,lf="Calculates the logarithm of the softmax function for the input array.",ei,yr,of='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>any</code> - The resulting log_softmax array.',ri,Tr,df="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;number&gt;</code></td><td><p>The input array to calculate the log_softmax function for.</p></td></tr></tbody>",ai,li,oi,_r,di,j,vt,pl,br,wn,qa,sf="<code>utils/maths.dot(arr1, arr2)</code> ⇒ <code>number</code>",ii,xr,nf="Calculates the dot product of two arrays.",si,Ar,uf='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>number</code> - The dot product of arr1 and arr2.',ni,wr,ff="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr1</td><td><code>Array.&lt;number&gt;</code></td><td><p>The first array.</p></td> </tr><tr><td>arr2</td><td><code>Array.&lt;number&gt;</code></td><td><p>The second array.</p></td></tr></tbody>",ui,fi,hi,Hr,ci,U,yt,vl,$r,Hn,ja,hf="<code>utils/maths.getTopItems(items, [top_k])</code> ⇒ <code>Array</code>",mi,Lr,cf="Get the top k items from an iterable, sorted by descending order",pi,Mr,mf='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The top k items, sorted by descending order',vi,Cr,pf="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>items</td><td><code>Array</code></td><td></td><td><p>The items to be sorted</p></td> </tr><tr><td>[top_k]</td><td><code>number</code></td><td><code>0</code></td><td><p>The number of top items to return (default: 0 = return all)</p></td></tr></tbody>",yi,Ti,_i,Fr,bi,O,Tt,yl,gr,$n,Ua,vf="<code>utils/maths.cos_sim(arr1, arr2)</code> ⇒ <code>number</code>",xi,Er,yf="Computes the cosine similarity between two arrays.",Ai,Pr,Tf='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>number</code> - The cosine similarity between the two arrays.',wi,kr,_f="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr1</td><td><code>Array.&lt;number&gt;</code></td><td><p>The first array.</p></td> </tr><tr><td>arr2</td><td><code>Array.&lt;number&gt;</code></td><td><p>The second array.</p></td></tr></tbody>",Hi,$i,Li,Sr,Mi,K,_t,Tl,Rr,Ln,Oa,bf="<code>utils/maths.magnitude(arr)</code> ⇒ <code>number</code>",Ci,Nr,xf="Calculates the magnitude of a given array.",Fi,zr,Af='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>number</code> - The magnitude of the array.',gi,Dr,wf="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;number&gt;</code></td><td><p>The array to calculate the magnitude of.</p></td></tr></tbody>",Ei,Pi,ki,qr,Si,I,bt,_l,jr,Mn,Ka,Hf="<code>utils/maths.min(arr)</code> ⇒ <code>Array.&lt;number&gt;</code>",Ri,Ur,$f="Returns the value and index of the minimum element in an array.",Ni,Or,Lf='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - the value and index of the minimum element, of the form: [valueOfMin, indexOfMin]<br/> <strong>Throws</strong>:',zi,Kr,Mf="<li><code>Error</code> If array is empty.</li>",Di,Ir,Cf="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;number&gt;</code></td><td><p>array of numbers.</p></td></tr></tbody>",qi,ji,Ui,Br,Oi,B,xt,bl,Jr,Cn,Ia,Ff="<code>utils/maths.max(arr)</code> ⇒ <code>Array.&lt;number&gt;</code>",Ki,Zr,gf="Returns the value and index of the maximum element in an array.",Ii,Gr,Ef='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - the value and index of the maximum element, of the form: [valueOfMax, indexOfMax]<br/> <strong>Throws</strong>:',Bi,Qr,Pf="<li><code>Error</code> If array is empty.</li>",Ji,Vr,kf="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;number&gt;</code></td><td><p>array of numbers.</p></td></tr></tbody>",Zi,Gi,Qi,Wr,Vi,J,At,xl,Xr,Fn,Ba,Sf="<code>utils/maths.rfftfreq(n, [d])</code> ⇒ <code>Array.&lt;number&gt;</code>",Wi,Yr,Rf="Return the Discrete Fourier Transform sample frequencies.",Xi,ta,Nf=`Code adapted from <a href="https://github.com/numpy/numpy/blob/25908cacd19915bf3ddd659c28be28a41bd97a54/numpy/fft/helper.py#L173-L221" rel="nofollow">https://github.com/numpy/numpy/blob/25908cacd19915bf3ddd659c28be28a41bd97a54/numpy/fft/helper.py#L173-L221</a>
Original Python doc: <a href="https://numpy.org/doc/stable/reference/generated/numpy.fft.rfftfreq.html" rel="nofollow">https://numpy.org/doc/stable/reference/generated/numpy.fft.rfftfreq.html</a>`,Yi,ea,zf='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - Array of length <code>Math.floor(n / 2) + 1;</code> containing the sample frequencies.<br/> <strong>Throws</strong>:',ts,ra,Df="<li><code>TypeError</code> If n is not an integer.</li>",es,aa,qf="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>n</td><td><code>number</code></td><td></td><td><p>Window length</p></td> </tr><tr><td>[d]</td><td><code>number</code></td><td><code>1.0</code></td><td><p>Sample spacing (inverse of the sampling rate). Defaults to 1.</p></td></tr></tbody>",rs,la,jf="<strong>Example</strong>",as,oa,ls,os,ds,da,is,Z,wt,Al,ia,gn,Ja,Uf="<code>utils/maths.medianFilter(data, windowSize)</code>",ss,sa,Of="Performs median filter on the provided data. Padding is done by mirroring the data.",ns,na,Kf='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a>',us,ua,If="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>AnyTypedArray</code></td><td><p>The input array</p></td> </tr><tr><td>windowSize</td><td><code>number</code></td><td><p>The window size</p></td></tr></tbody>",fs,hs,cs,fa,ms,G,Ht,wl,ha,En,Za,Bf="<code>utils/maths.round(num, decimals)</code> ⇒ <code>number</code>",ps,ca,Jf="Helper function to round a number to a given number of decimals",vs,ma,Zf='<strong>Kind</strong>: static method of <a href="#module_utils/maths"><code>utils/maths</code></a><br/> <strong>Returns</strong>: <code>number</code> - The rounded number',ys,pa,Gf="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>num</td><td><code>number</code></td><td><p>The number to round</p></td> </tr><tr><td>decimals</td><td><code>number</code></td><td><p>The number of decimals</p></td></tr></tbody>",Ts,_s,bs,va,xs,Q,$t,Hl,ya,Pn,Ga,Qf="<code>utils/maths~AnyTypedArray</code> : <code>Int8Array</code> | <code>Uint8Array</code> | <code>Uint8ClampedArray</code> | <code>Int16Array</code> | <code>Uint16Array</code> | <code>Int32Array</code> | <code>Uint32Array</code> | <code>Float32Array</code> | <code>Float64Array</code>",As,Ta,Vf='<strong>Kind</strong>: inner typedef of <a href="#module_utils/maths"><code>utils/maths</code></a>',ws,Hs,$s;return Mt=new T({}),Pt=new T({}),zt=new T({}),Ot=new T({}),Jt=new T({}),Wt=new T({}),re=new T({}),ie=new T({}),ce=new T({}),_e=new T({}),$e=new T({}),ge=new T({}),Re=new T({}),je=new T({}),Be=new T({}),Ve=new T({}),er=new T({}),or=new T({}),ur=new T({}),pr=new T({}),br=new T({}),$r=new T({}),gr=new T({}),Rr=new T({}),jr=new T({}),Jr=new T({}),Xr=new T({}),oa=new nc({props:{code:"cmZmdGZyZXEoNDAwJTJDJTIwMSUyMCUyRiUyMDE2MDAwKSUyMCUyRiUyRiUyMCgyMDEpJUMyJUEwJTVCMCUyQyUyMDQwJTJDJTIwODAlMkMlMjAxMjAlMkMlMjAxNjAlMkMlMjAyMDAlMkMlMjAuLi4lMkMlMjA4MDAwJTVE",highlighted:'<span class="hljs-title function_">rfftfreq</span>(<span class="hljs-number">400</span>, <span class="hljs-number">1</span> / <span class="hljs-number">16000</span>) <span class="hljs-comment">// (201) [0, 40, 80, 120, 160, 200, ..., 8000]</span>'}}),ia=new T({}),ha=new T({}),ya=new T({}),{c(){_=l("meta"),$l=d(),Lt=l("a"),Ll=d(),b=l("h1"),V=l("a"),Qa=l("span"),h(Mt.$$.fragment),rn=d(),_a=l("span"),_a.textContent=Sn,Ml=d(),Ct=l("p"),Ct.textContent=Rn,Cl=d(),Ft=l("p"),Ft.textContent=Nn,Fl=d(),gt=l("ul"),gt.innerHTML=zn,gl=d(),El=l("hr"),Pl=d(),Et=l("a"),kl=d(),x=l("h2"),W=l("a"),Va=l("span"),h(Pt.$$.fragment),an=d(),ba=l("span"),ba.textContent=Dn,Sl=d(),kt=l("p"),kt.innerHTML=qn,Rl=d(),St=l("p"),St.innerHTML=jn,Nl=d(),Rt=l("ul"),Rt.innerHTML=Un,zl=d(),Dl=l("hr"),ql=d(),Nt=l("a"),jl=d(),A=l("h3"),X=l("a"),Wa=l("span"),h(zt.$$.fragment),ln=d(),xa=l("span"),xa.innerHTML=On,Ul=d(),Dt=l("p"),Dt.innerHTML=Kn,Ol=d(),qt=l("ul"),qt.innerHTML=In,Kl=d(),jt=l("table"),jt.innerHTML=Bn,Il=d(),Bl=l("hr"),Jl=d(),Ut=l("a"),Zl=d(),w=l("h3"),Y=l("a"),Xa=l("span"),h(Ot.$$.fragment),on=d(),Aa=l("span"),Aa.innerHTML=Jn,Gl=d(),Kt=l("p"),Kt.innerHTML=Zn,Ql=d(),It=l("p"),It.innerHTML=Gn,Vl=d(),Wl=l("hr"),Xl=d(),Bt=l("a"),Yl=d(),H=l("h3"),tt=l("a"),Ya=l("span"),h(Jt.$$.fragment),dn=d(),wa=l("span"),wa.innerHTML=Qn,to=d(),Zt=l("p"),Zt.textContent=Vn,eo=d(),Gt=l("p"),Gt.innerHTML=Wn,ro=d(),Qt=l("table"),Qt.innerHTML=Xn,ao=d(),lo=l("hr"),oo=d(),Vt=l("a"),io=d(),$=l("h3"),et=l("a"),tl=l("span"),h(Wt.$$.fragment),sn=d(),Ha=l("span"),Ha.innerHTML=Yn,so=d(),Xt=l("p"),Xt.textContent=tu,no=d(),Yt=l("p"),Yt.innerHTML=eu,uo=d(),te=l("table"),te.innerHTML=ru,fo=d(),ho=l("hr"),co=d(),ee=l("a"),mo=d(),L=l("h3"),rt=l("a"),el=l("span"),h(re.$$.fragment),nn=d(),$a=l("span"),$a.innerHTML=au,po=d(),ae=l("p"),ae.textContent=lu,vo=d(),le=l("p"),le.innerHTML=ou,yo=d(),oe=l("table"),oe.innerHTML=du,To=d(),_o=l("hr"),bo=d(),de=l("a"),xo=d(),M=l("h3"),at=l("a"),rl=l("span"),h(ie.$$.fragment),un=d(),La=l("span"),La.innerHTML=iu,Ao=d(),se=l("p"),se.textContent=su,wo=d(),ne=l("p"),ne.innerHTML=nu,Ho=d(),ue=l("ul"),ue.innerHTML=uu,$o=d(),fe=l("table"),fe.innerHTML=fu,Lo=d(),Mo=l("hr"),Co=d(),he=l("a"),Fo=d(),C=l("h3"),lt=l("a"),al=l("span"),h(ce.$$.fragment),fn=d(),Ma=l("span"),Ma.innerHTML=hu,go=d(),me=l("p"),me.textContent=cu,Eo=d(),pe=l("p"),pe.innerHTML=mu,Po=d(),ve=l("ul"),ve.innerHTML=pu,ko=d(),ye=l("table"),ye.innerHTML=vu,So=d(),Ro=l("hr"),No=d(),Te=l("a"),zo=d(),F=l("h3"),ot=l("a"),ll=l("span"),h(_e.$$.fragment),hn=d(),Ca=l("span"),Ca.innerHTML=yu,Do=d(),be=l("p"),be.innerHTML=Tu,qo=d(),xe=l("p"),xe.innerHTML=_u,jo=d(),Ae=l("ul"),Ae.innerHTML=bu,Uo=d(),we=l("table"),we.innerHTML=xu,Oo=d(),Ko=l("hr"),Io=d(),He=l("a"),Bo=d(),g=l("h3"),dt=l("a"),ol=l("span"),h($e.$$.fragment),cn=d(),Fa=l("span"),Fa.innerHTML=Au,Jo=d(),Le=l("p"),Le.textContent=wu,Zo=d(),Me=l("p"),Me.innerHTML=Hu,Go=d(),Ce=l("table"),Ce.innerHTML=$u,Qo=d(),Vo=l("hr"),Wo=d(),Fe=l("a"),Xo=d(),E=l("h3"),it=l("a"),dl=l("span"),h(ge.$$.fragment),mn=d(),ga=l("span"),ga.innerHTML=Lu,Yo=d(),Ee=l("p"),Ee.textContent=Mu,td=d(),Pe=l("p"),Pe.innerHTML=Cu,ed=d(),ke=l("table"),ke.innerHTML=Fu,rd=d(),ad=l("hr"),ld=d(),Se=l("a"),od=d(),P=l("h3"),st=l("a"),il=l("span"),h(Re.$$.fragment),pn=d(),Ea=l("span"),Ea.innerHTML=gu,dd=d(),Ne=l("p"),Ne.textContent=Eu,id=d(),ze=l("p"),ze.innerHTML=Pu,sd=d(),De=l("table"),De.innerHTML=ku,nd=d(),ud=l("hr"),fd=d(),qe=l("a"),hd=d(),k=l("h3"),nt=l("a"),sl=l("span"),h(je.$$.fragment),vn=d(),Pa=l("span"),Pa.innerHTML=Su,cd=d(),Ue=l("p"),Ue.textContent=Ru,md=d(),Oe=l("p"),Oe.innerHTML=Nu,pd=d(),Ke=l("table"),Ke.innerHTML=zu,vd=d(),yd=l("hr"),Td=d(),Ie=l("a"),_d=d(),S=l("h3"),ut=l("a"),nl=l("span"),h(Be.$$.fragment),yn=d(),ka=l("span"),ka.innerHTML=Du,bd=d(),Je=l("p"),Je.textContent=qu,xd=d(),Ze=l("p"),Ze.innerHTML=ju,Ad=d(),Ge=l("table"),Ge.innerHTML=Uu,wd=d(),Hd=l("hr"),$d=d(),Qe=l("a"),Ld=d(),R=l("h3"),ft=l("a"),ul=l("span"),h(Ve.$$.fragment),Tn=d(),Sa=l("span"),Sa.innerHTML=Ou,Md=d(),We=l("p"),We.textContent=Ku,Cd=d(),Xe=l("p"),Xe.innerHTML=Iu,Fd=d(),Ye=l("table"),Ye.innerHTML=Bu,gd=d(),Ed=l("hr"),Pd=d(),tr=l("a"),kd=d(),N=l("h2"),ht=l("a"),fl=l("span"),h(er.$$.fragment),_n=d(),Ra=l("span"),Ra.innerHTML=Ju,Sd=d(),rr=l("p"),rr.innerHTML=Zu,Rd=d(),ar=l("table"),ar.innerHTML=Gu,Nd=d(),zd=l("hr"),Dd=d(),lr=l("a"),qd=d(),z=l("h2"),ct=l("a"),hl=l("span"),h(or.$$.fragment),bn=d(),Na=l("span"),Na.innerHTML=Qu,jd=d(),dr=l("p"),dr.innerHTML=Vu,Ud=d(),ir=l("p"),ir.innerHTML=Wu,Od=d(),sr=l("table"),sr.innerHTML=Xu,Kd=d(),Id=l("hr"),Bd=d(),nr=l("a"),Jd=d(),D=l("h2"),mt=l("a"),cl=l("span"),h(ur.$$.fragment),xn=d(),za=l("span"),za.innerHTML=Yu,Zd=d(),fr=l("p"),fr.textContent=tf,Gd=d(),hr=l("p"),hr.innerHTML=ef,Qd=d(),cr=l("table"),cr.innerHTML=rf,Vd=d(),Wd=l("hr"),Xd=d(),mr=l("a"),Yd=d(),q=l("h2"),pt=l("a"),ml=l("span"),h(pr.$$.fragment),An=d(),Da=l("span"),Da.innerHTML=af,ti=d(),vr=l("p"),vr.textContent=lf,ei=d(),yr=l("p"),yr.innerHTML=of,ri=d(),Tr=l("table"),Tr.innerHTML=df,ai=d(),li=l("hr"),oi=d(),_r=l("a"),di=d(),j=l("h2"),vt=l("a"),pl=l("span"),h(br.$$.fragment),wn=d(),qa=l("span"),qa.innerHTML=sf,ii=d(),xr=l("p"),xr.textContent=nf,si=d(),Ar=l("p"),Ar.innerHTML=uf,ni=d(),wr=l("table"),wr.innerHTML=ff,ui=d(),fi=l("hr"),hi=d(),Hr=l("a"),ci=d(),U=l("h2"),yt=l("a"),vl=l("span"),h($r.$$.fragment),Hn=d(),ja=l("span"),ja.innerHTML=hf,mi=d(),Lr=l("p"),Lr.textContent=cf,pi=d(),Mr=l("p"),Mr.innerHTML=mf,vi=d(),Cr=l("table"),Cr.innerHTML=pf,yi=d(),Ti=l("hr"),_i=d(),Fr=l("a"),bi=d(),O=l("h2"),Tt=l("a"),yl=l("span"),h(gr.$$.fragment),$n=d(),Ua=l("span"),Ua.innerHTML=vf,xi=d(),Er=l("p"),Er.textContent=yf,Ai=d(),Pr=l("p"),Pr.innerHTML=Tf,wi=d(),kr=l("table"),kr.innerHTML=_f,Hi=d(),$i=l("hr"),Li=d(),Sr=l("a"),Mi=d(),K=l("h2"),_t=l("a"),Tl=l("span"),h(Rr.$$.fragment),Ln=d(),Oa=l("span"),Oa.innerHTML=bf,Ci=d(),Nr=l("p"),Nr.textContent=xf,Fi=d(),zr=l("p"),zr.innerHTML=Af,gi=d(),Dr=l("table"),Dr.innerHTML=wf,Ei=d(),Pi=l("hr"),ki=d(),qr=l("a"),Si=d(),I=l("h2"),bt=l("a"),_l=l("span"),h(jr.$$.fragment),Mn=d(),Ka=l("span"),Ka.innerHTML=Hf,Ri=d(),Ur=l("p"),Ur.textContent=$f,Ni=d(),Or=l("p"),Or.innerHTML=Lf,zi=d(),Kr=l("ul"),Kr.innerHTML=Mf,Di=d(),Ir=l("table"),Ir.innerHTML=Cf,qi=d(),ji=l("hr"),Ui=d(),Br=l("a"),Oi=d(),B=l("h2"),xt=l("a"),bl=l("span"),h(Jr.$$.fragment),Cn=d(),Ia=l("span"),Ia.innerHTML=Ff,Ki=d(),Zr=l("p"),Zr.textContent=gf,Ii=d(),Gr=l("p"),Gr.innerHTML=Ef,Bi=d(),Qr=l("ul"),Qr.innerHTML=Pf,Ji=d(),Vr=l("table"),Vr.innerHTML=kf,Zi=d(),Gi=l("hr"),Qi=d(),Wr=l("a"),Vi=d(),J=l("h2"),At=l("a"),xl=l("span"),h(Xr.$$.fragment),Fn=d(),Ba=l("span"),Ba.innerHTML=Sf,Wi=d(),Yr=l("p"),Yr.textContent=Rf,Xi=d(),ta=l("p"),ta.innerHTML=Nf,Yi=d(),ea=l("p"),ea.innerHTML=zf,ts=d(),ra=l("ul"),ra.innerHTML=Df,es=d(),aa=l("table"),aa.innerHTML=qf,rs=d(),la=l("p"),la.innerHTML=jf,as=d(),h(oa.$$.fragment),ls=d(),os=l("hr"),ds=d(),da=l("a"),is=d(),Z=l("h2"),wt=l("a"),Al=l("span"),h(ia.$$.fragment),gn=d(),Ja=l("span"),Ja.innerHTML=Uf,ss=d(),sa=l("p"),sa.textContent=Of,ns=d(),na=l("p"),na.innerHTML=Kf,us=d(),ua=l("table"),ua.innerHTML=If,fs=d(),hs=l("hr"),cs=d(),fa=l("a"),ms=d(),G=l("h2"),Ht=l("a"),wl=l("span"),h(ha.$$.fragment),En=d(),Za=l("span"),Za.innerHTML=Bf,ps=d(),ca=l("p"),ca.textContent=Jf,vs=d(),ma=l("p"),ma.innerHTML=Zf,ys=d(),pa=l("table"),pa.innerHTML=Gf,Ts=d(),_s=l("hr"),bs=d(),va=l("a"),xs=d(),Q=l("h2"),$t=l("a"),Hl=l("span"),h(ya.$$.fragment),Pn=d(),Ga=l("span"),Ga.innerHTML=Qf,As=d(),Ta=l("p"),Ta.innerHTML=Vf,ws=d(),Hs=l("hr"),this.h()},l(t){const r=sc("svelte-1phssyn",document.head);_=o(r,"META",{name:!0,content:!0}),r.forEach(e),$l=i(t),Lt=o(t,"A",{id:!0,class:!0}),f(Lt).forEach(e),Ll=i(t),b=o(t,"H1",{class:!0});var Ls=f(b);V=o(Ls,"A",{id:!0,class:!0,href:!0});var Wf=f(V);Qa=o(Wf,"SPAN",{});var Xf=f(Qa);c(Mt.$$.fragment,Xf),Xf.forEach(e),Wf.forEach(e),rn=i(Ls),_a=o(Ls,"SPAN",{"data-svelte-h":!0}),n(_a)!=="svelte-1moo53i"&&(_a.textContent=Sn),Ls.forEach(e),Ml=i(t),Ct=o(t,"P",{"data-svelte-h":!0}),n(Ct)!=="svelte-1d3zgi"&&(Ct.textContent=Rn),Cl=i(t),Ft=o(t,"P",{"data-svelte-h":!0}),n(Ft)!=="svelte-il3kl8"&&(Ft.textContent=Nn),Fl=i(t),gt=o(t,"UL",{"data-svelte-h":!0}),n(gt)!=="svelte-1s4r87c"&&(gt.innerHTML=zn),gl=i(t),El=o(t,"HR",{}),Pl=i(t),Et=o(t,"A",{id:!0,class:!0}),f(Et).forEach(e),kl=i(t),x=o(t,"H2",{class:!0});var Ms=f(x);W=o(Ms,"A",{id:!0,class:!0,href:!0});var Yf=f(W);Va=o(Yf,"SPAN",{});var th=f(Va);c(Pt.$$.fragment,th),th.forEach(e),Yf.forEach(e),an=i(Ms),ba=o(Ms,"SPAN",{"data-svelte-h":!0}),n(ba)!=="svelte-15lcaos"&&(ba.textContent=Dn),Ms.forEach(e),Sl=i(t),kt=o(t,"P",{"data-svelte-h":!0}),n(kt)!=="svelte-7n75rz"&&(kt.innerHTML=qn),Rl=i(t),St=o(t,"P",{"data-svelte-h":!0}),n(St)!=="svelte-17lmlic"&&(St.innerHTML=jn),Nl=i(t),Rt=o(t,"UL",{"data-svelte-h":!0}),n(Rt)!=="svelte-1w1k8us"&&(Rt.innerHTML=Un),zl=i(t),Dl=o(t,"HR",{}),ql=i(t),Nt=o(t,"A",{id:!0,class:!0}),f(Nt).forEach(e),jl=i(t),A=o(t,"H3",{class:!0});var Cs=f(A);X=o(Cs,"A",{id:!0,class:!0,href:!0});var eh=f(X);Wa=o(eh,"SPAN",{});var rh=f(Wa);c(zt.$$.fragment,rh),rh.forEach(e),eh.forEach(e),ln=i(Cs),xa=o(Cs,"SPAN",{"data-svelte-h":!0}),n(xa)!=="svelte-1ux7bsu"&&(xa.innerHTML=On),Cs.forEach(e),Ul=i(t),Dt=o(t,"P",{"data-svelte-h":!0}),n(Dt)!=="svelte-1fz4yns"&&(Dt.innerHTML=Kn),Ol=i(t),qt=o(t,"UL",{"data-svelte-h":!0}),n(qt)!=="svelte-qf1c3v"&&(qt.innerHTML=In),Kl=i(t),jt=o(t,"TABLE",{"data-svelte-h":!0}),n(jt)!=="svelte-167nzyg"&&(jt.innerHTML=Bn),Il=i(t),Bl=o(t,"HR",{}),Jl=i(t),Ut=o(t,"A",{id:!0,class:!0}),f(Ut).forEach(e),Zl=i(t),w=o(t,"H3",{class:!0});var Fs=f(w);Y=o(Fs,"A",{id:!0,class:!0,href:!0});var ah=f(Y);Xa=o(ah,"SPAN",{});var lh=f(Xa);c(Ot.$$.fragment,lh),lh.forEach(e),ah.forEach(e),on=i(Fs),Aa=o(Fs,"SPAN",{"data-svelte-h":!0}),n(Aa)!=="svelte-1uge8xp"&&(Aa.innerHTML=Jn),Fs.forEach(e),Gl=i(t),Kt=o(t,"P",{"data-svelte-h":!0}),n(Kt)!=="svelte-1rrw4ya"&&(Kt.innerHTML=Zn),Ql=i(t),It=o(t,"P",{"data-svelte-h":!0}),n(It)!=="svelte-1rh9tqv"&&(It.innerHTML=Gn),Vl=i(t),Wl=o(t,"HR",{}),Xl=i(t),Bt=o(t,"A",{id:!0,class:!0}),f(Bt).forEach(e),Yl=i(t),H=o(t,"H3",{class:!0});var gs=f(H);tt=o(gs,"A",{id:!0,class:!0,href:!0});var oh=f(tt);Ya=o(oh,"SPAN",{});var dh=f(Ya);c(Jt.$$.fragment,dh),dh.forEach(e),oh.forEach(e),dn=i(gs),wa=o(gs,"SPAN",{"data-svelte-h":!0}),n(wa)!=="svelte-pckzb3"&&(wa.innerHTML=Qn),gs.forEach(e),to=i(t),Zt=o(t,"P",{"data-svelte-h":!0}),n(Zt)!=="svelte-1c12f1a"&&(Zt.textContent=Vn),eo=i(t),Gt=o(t,"P",{"data-svelte-h":!0}),n(Gt)!=="svelte-11pedpu"&&(Gt.innerHTML=Wn),ro=i(t),Qt=o(t,"TABLE",{"data-svelte-h":!0}),n(Qt)!=="svelte-1y3lbpx"&&(Qt.innerHTML=Xn),ao=i(t),lo=o(t,"HR",{}),oo=i(t),Vt=o(t,"A",{id:!0,class:!0}),f(Vt).forEach(e),io=i(t),$=o(t,"H3",{class:!0});var Es=f($);et=o(Es,"A",{id:!0,class:!0,href:!0});var ih=f(et);tl=o(ih,"SPAN",{});var sh=f(tl);c(Wt.$$.fragment,sh),sh.forEach(e),ih.forEach(e),sn=i(Es),Ha=o(Es,"SPAN",{"data-svelte-h":!0}),n(Ha)!=="svelte-1c12n6v"&&(Ha.innerHTML=Yn),Es.forEach(e),so=i(t),Xt=o(t,"P",{"data-svelte-h":!0}),n(Xt)!=="svelte-rsnsrd"&&(Xt.textContent=tu),no=i(t),Yt=o(t,"P",{"data-svelte-h":!0}),n(Yt)!=="svelte-1p1r7nu"&&(Yt.innerHTML=eu),uo=i(t),te=o(t,"TABLE",{"data-svelte-h":!0}),n(te)!=="svelte-uvfu55"&&(te.innerHTML=ru),fo=i(t),ho=o(t,"HR",{}),co=i(t),ee=o(t,"A",{id:!0,class:!0}),f(ee).forEach(e),mo=i(t),L=o(t,"H3",{class:!0});var Ps=f(L);rt=o(Ps,"A",{id:!0,class:!0,href:!0});var nh=f(rt);el=o(nh,"SPAN",{});var uh=f(el);c(re.$$.fragment,uh),uh.forEach(e),nh.forEach(e),nn=i(Ps),$a=o(Ps,"SPAN",{"data-svelte-h":!0}),n($a)!=="svelte-1alm7fn"&&($a.innerHTML=au),Ps.forEach(e),po=i(t),ae=o(t,"P",{"data-svelte-h":!0}),n(ae)!=="svelte-id49q5"&&(ae.textContent=lu),vo=i(t),le=o(t,"P",{"data-svelte-h":!0}),n(le)!=="svelte-12df40n"&&(le.innerHTML=ou),yo=i(t),oe=o(t,"TABLE",{"data-svelte-h":!0}),n(oe)!=="svelte-wm92m6"&&(oe.innerHTML=du),To=i(t),_o=o(t,"HR",{}),bo=i(t),de=o(t,"A",{id:!0,class:!0}),f(de).forEach(e),xo=i(t),M=o(t,"H3",{class:!0});var ks=f(M);at=o(ks,"A",{id:!0,class:!0,href:!0});var fh=f(at);rl=o(fh,"SPAN",{});var hh=f(rl);c(ie.$$.fragment,hh),hh.forEach(e),fh.forEach(e),un=i(ks),La=o(ks,"SPAN",{"data-svelte-h":!0}),n(La)!=="svelte-175reus"&&(La.innerHTML=iu),ks.forEach(e),Ao=i(t),se=o(t,"P",{"data-svelte-h":!0}),n(se)!=="svelte-846pp1"&&(se.textContent=su),wo=i(t),ne=o(t,"P",{"data-svelte-h":!0}),n(ne)!=="svelte-2myf8f"&&(ne.innerHTML=nu),Ho=i(t),ue=o(t,"UL",{"data-svelte-h":!0}),n(ue)!=="svelte-173tqd8"&&(ue.innerHTML=uu),$o=i(t),fe=o(t,"TABLE",{"data-svelte-h":!0}),n(fe)!=="svelte-1ks7pv9"&&(fe.innerHTML=fu),Lo=i(t),Mo=o(t,"HR",{}),Co=i(t),he=o(t,"A",{id:!0,class:!0}),f(he).forEach(e),Fo=i(t),C=o(t,"H3",{class:!0});var Ss=f(C);lt=o(Ss,"A",{id:!0,class:!0,href:!0});var ch=f(lt);al=o(ch,"SPAN",{});var mh=f(al);c(ce.$$.fragment,mh),mh.forEach(e),ch.forEach(e),fn=i(Ss),Ma=o(Ss,"SPAN",{"data-svelte-h":!0}),n(Ma)!=="svelte-5zalzp"&&(Ma.innerHTML=hu),Ss.forEach(e),go=i(t),me=o(t,"P",{"data-svelte-h":!0}),n(me)!=="svelte-ozshoc"&&(me.textContent=cu),Eo=i(t),pe=o(t,"P",{"data-svelte-h":!0}),n(pe)!=="svelte-2myf8f"&&(pe.innerHTML=mu),Po=i(t),ve=o(t,"UL",{"data-svelte-h":!0}),n(ve)!=="svelte-1ap3720"&&(ve.innerHTML=pu),ko=i(t),ye=o(t,"TABLE",{"data-svelte-h":!0}),n(ye)!=="svelte-1647ezg"&&(ye.innerHTML=vu),So=i(t),Ro=o(t,"HR",{}),No=i(t),Te=o(t,"A",{id:!0,class:!0}),f(Te).forEach(e),zo=i(t),F=o(t,"H3",{class:!0});var Rs=f(F);ot=o(Rs,"A",{id:!0,class:!0,href:!0});var ph=f(ot);ll=o(ph,"SPAN",{});var vh=f(ll);c(_e.$$.fragment,vh),vh.forEach(e),ph.forEach(e),hn=i(Rs),Ca=o(Rs,"SPAN",{"data-svelte-h":!0}),n(Ca)!=="svelte-1rkn4mi"&&(Ca.innerHTML=yu),Rs.forEach(e),Do=i(t),be=o(t,"P",{"data-svelte-h":!0}),n(be)!=="svelte-ijignt"&&(be.innerHTML=Tu),qo=i(t),xe=o(t,"P",{"data-svelte-h":!0}),n(xe)!=="svelte-2myf8f"&&(xe.innerHTML=_u),jo=i(t),Ae=o(t,"UL",{"data-svelte-h":!0}),n(Ae)!=="svelte-1bp21xg"&&(Ae.innerHTML=bu),Uo=i(t),we=o(t,"TABLE",{"data-svelte-h":!0}),n(we)!=="svelte-hchha2"&&(we.innerHTML=xu),Oo=i(t),Ko=o(t,"HR",{}),Io=i(t),He=o(t,"A",{id:!0,class:!0}),f(He).forEach(e),Bo=i(t),g=o(t,"H3",{class:!0});var Ns=f(g);dt=o(Ns,"A",{id:!0,class:!0,href:!0});var yh=f(dt);ol=o(yh,"SPAN",{});var Th=f(ol);c($e.$$.fragment,Th),Th.forEach(e),yh.forEach(e),cn=i(Ns),Fa=o(Ns,"SPAN",{"data-svelte-h":!0}),n(Fa)!=="svelte-16i8yoi"&&(Fa.innerHTML=Au),Ns.forEach(e),Jo=i(t),Le=o(t,"P",{"data-svelte-h":!0}),n(Le)!=="svelte-3r4wxn"&&(Le.textContent=wu),Zo=i(t),Me=o(t,"P",{"data-svelte-h":!0}),n(Me)!=="svelte-12df40n"&&(Me.innerHTML=Hu),Go=i(t),Ce=o(t,"TABLE",{"data-svelte-h":!0}),n(Ce)!=="svelte-kv3ieb"&&(Ce.innerHTML=$u),Qo=i(t),Vo=o(t,"HR",{}),Wo=i(t),Fe=o(t,"A",{id:!0,class:!0}),f(Fe).forEach(e),Xo=i(t),E=o(t,"H3",{class:!0});var zs=f(E);it=o(zs,"A",{id:!0,class:!0,href:!0});var _h=f(it);dl=o(_h,"SPAN",{});var bh=f(dl);c(ge.$$.fragment,bh),bh.forEach(e),_h.forEach(e),mn=i(zs),ga=o(zs,"SPAN",{"data-svelte-h":!0}),n(ga)!=="svelte-1xgahwp"&&(ga.innerHTML=Lu),zs.forEach(e),Yo=i(t),Ee=o(t,"P",{"data-svelte-h":!0}),n(Ee)!=="svelte-1jz5wqp"&&(Ee.textContent=Mu),td=i(t),Pe=o(t,"P",{"data-svelte-h":!0}),n(Pe)!=="svelte-12df40n"&&(Pe.innerHTML=Cu),ed=i(t),ke=o(t,"TABLE",{"data-svelte-h":!0}),n(ke)!=="svelte-1mr0spx"&&(ke.innerHTML=Fu),rd=i(t),ad=o(t,"HR",{}),ld=i(t),Se=o(t,"A",{id:!0,class:!0}),f(Se).forEach(e),od=i(t),P=o(t,"H3",{class:!0});var Ds=f(P);st=o(Ds,"A",{id:!0,class:!0,href:!0});var xh=f(st);il=o(xh,"SPAN",{});var Ah=f(il);c(Re.$$.fragment,Ah),Ah.forEach(e),xh.forEach(e),pn=i(Ds),Ea=o(Ds,"SPAN",{"data-svelte-h":!0}),n(Ea)!=="svelte-8vf47e"&&(Ea.innerHTML=gu),Ds.forEach(e),dd=i(t),Ne=o(t,"P",{"data-svelte-h":!0}),n(Ne)!=="svelte-1baynqa"&&(Ne.textContent=Eu),id=i(t),ze=o(t,"P",{"data-svelte-h":!0}),n(ze)!=="svelte-12df40n"&&(ze.innerHTML=Pu),sd=i(t),De=o(t,"TABLE",{"data-svelte-h":!0}),n(De)!=="svelte-1ejtysz"&&(De.innerHTML=ku),nd=i(t),ud=o(t,"HR",{}),fd=i(t),qe=o(t,"A",{id:!0,class:!0}),f(qe).forEach(e),hd=i(t),k=o(t,"H3",{class:!0});var qs=f(k);nt=o(qs,"A",{id:!0,class:!0,href:!0});var wh=f(nt);sl=o(wh,"SPAN",{});var Hh=f(sl);c(je.$$.fragment,Hh),Hh.forEach(e),wh.forEach(e),vn=i(qs),Pa=o(qs,"SPAN",{"data-svelte-h":!0}),n(Pa)!=="svelte-pkvif9"&&(Pa.innerHTML=Su),qs.forEach(e),cd=i(t),Ue=o(t,"P",{"data-svelte-h":!0}),n(Ue)!=="svelte-1gll44b"&&(Ue.textContent=Ru),md=i(t),Oe=o(t,"P",{"data-svelte-h":!0}),n(Oe)!=="svelte-12df40n"&&(Oe.innerHTML=Nu),pd=i(t),Ke=o(t,"TABLE",{"data-svelte-h":!0}),n(Ke)!=="svelte-16u1rxd"&&(Ke.innerHTML=zu),vd=i(t),yd=o(t,"HR",{}),Td=i(t),Ie=o(t,"A",{id:!0,class:!0}),f(Ie).forEach(e),_d=i(t),S=o(t,"H3",{class:!0});var js=f(S);ut=o(js,"A",{id:!0,class:!0,href:!0});var $h=f(ut);nl=o($h,"SPAN",{});var Lh=f(nl);c(Be.$$.fragment,Lh),Lh.forEach(e),$h.forEach(e),yn=i(js),ka=o(js,"SPAN",{"data-svelte-h":!0}),n(ka)!=="svelte-1avxjy9"&&(ka.innerHTML=Du),js.forEach(e),bd=i(t),Je=o(t,"P",{"data-svelte-h":!0}),n(Je)!=="svelte-1upf1p8"&&(Je.textContent=qu),xd=i(t),Ze=o(t,"P",{"data-svelte-h":!0}),n(Ze)!=="svelte-12df40n"&&(Ze.innerHTML=ju),Ad=i(t),Ge=o(t,"TABLE",{"data-svelte-h":!0}),n(Ge)!=="svelte-19ynn29"&&(Ge.innerHTML=Uu),wd=i(t),Hd=o(t,"HR",{}),$d=i(t),Qe=o(t,"A",{id:!0,class:!0}),f(Qe).forEach(e),Ld=i(t),R=o(t,"H3",{class:!0});var Us=f(R);ft=o(Us,"A",{id:!0,class:!0,href:!0});var Mh=f(ft);ul=o(Mh,"SPAN",{});var Ch=f(ul);c(Ve.$$.fragment,Ch),Ch.forEach(e),Mh.forEach(e),Tn=i(Us),Sa=o(Us,"SPAN",{"data-svelte-h":!0}),n(Sa)!=="svelte-1n3iucz"&&(Sa.innerHTML=Ou),Us.forEach(e),Md=i(t),We=o(t,"P",{"data-svelte-h":!0}),n(We)!=="svelte-8fqhv2"&&(We.textContent=Ku),Cd=i(t),Xe=o(t,"P",{"data-svelte-h":!0}),n(Xe)!=="svelte-12df40n"&&(Xe.innerHTML=Iu),Fd=i(t),Ye=o(t,"TABLE",{"data-svelte-h":!0}),n(Ye)!=="svelte-x70c2w"&&(Ye.innerHTML=Bu),gd=i(t),Ed=o(t,"HR",{}),Pd=i(t),tr=o(t,"A",{id:!0,class:!0}),f(tr).forEach(e),kd=i(t),N=o(t,"H2",{class:!0});var Os=f(N);ht=o(Os,"A",{id:!0,class:!0,href:!0});var Fh=f(ht);fl=o(Fh,"SPAN",{});var gh=f(fl);c(er.$$.fragment,gh),gh.forEach(e),Fh.forEach(e),_n=i(Os),Ra=o(Os,"SPAN",{"data-svelte-h":!0}),n(Ra)!=="svelte-1i2s49c"&&(Ra.innerHTML=Ju),Os.forEach(e),Sd=i(t),rr=o(t,"P",{"data-svelte-h":!0}),n(rr)!=="svelte-z8esp"&&(rr.innerHTML=Zu),Rd=i(t),ar=o(t,"TABLE",{"data-svelte-h":!0}),n(ar)!=="svelte-13raiaj"&&(ar.innerHTML=Gu),Nd=i(t),zd=o(t,"HR",{}),Dd=i(t),lr=o(t,"A",{id:!0,class:!0}),f(lr).forEach(e),qd=i(t),z=o(t,"H2",{class:!0});var Ks=f(z);ct=o(Ks,"A",{id:!0,class:!0,href:!0});var Eh=f(ct);hl=o(Eh,"SPAN",{});var Ph=f(hl);c(or.$$.fragment,Ph),Ph.forEach(e),Eh.forEach(e),bn=i(Ks),Na=o(Ks,"SPAN",{"data-svelte-h":!0}),n(Na)!=="svelte-169scqw"&&(Na.innerHTML=Qu),Ks.forEach(e),jd=i(t),dr=o(t,"P",{"data-svelte-h":!0}),n(dr)!=="svelte-69x642"&&(dr.innerHTML=Vu),Ud=i(t),ir=o(t,"P",{"data-svelte-h":!0}),n(ir)!=="svelte-1t49mrp"&&(ir.innerHTML=Wu),Od=i(t),sr=o(t,"TABLE",{"data-svelte-h":!0}),n(sr)!=="svelte-18fxup5"&&(sr.innerHTML=Xu),Kd=i(t),Id=o(t,"HR",{}),Bd=i(t),nr=o(t,"A",{id:!0,class:!0}),f(nr).forEach(e),Jd=i(t),D=o(t,"H2",{class:!0});var Is=f(D);mt=o(Is,"A",{id:!0,class:!0,href:!0});var kh=f(mt);cl=o(kh,"SPAN",{});var Sh=f(cl);c(ur.$$.fragment,Sh),Sh.forEach(e),kh.forEach(e),xn=i(Is),za=o(Is,"SPAN",{"data-svelte-h":!0}),n(za)!=="svelte-1j7o915"&&(za.innerHTML=Yu),Is.forEach(e),Zd=i(t),fr=o(t,"P",{"data-svelte-h":!0}),n(fr)!=="svelte-1liv70i"&&(fr.textContent=tf),Gd=i(t),hr=o(t,"P",{"data-svelte-h":!0}),n(hr)!=="svelte-18dx4t8"&&(hr.innerHTML=ef),Qd=i(t),cr=o(t,"TABLE",{"data-svelte-h":!0}),n(cr)!=="svelte-5w3h5g"&&(cr.innerHTML=rf),Vd=i(t),Wd=o(t,"HR",{}),Xd=i(t),mr=o(t,"A",{id:!0,class:!0}),f(mr).forEach(e),Yd=i(t),q=o(t,"H2",{class:!0});var Bs=f(q);pt=o(Bs,"A",{id:!0,class:!0,href:!0});var Rh=f(pt);ml=o(Rh,"SPAN",{});var Nh=f(ml);c(pr.$$.fragment,Nh),Nh.forEach(e),Rh.forEach(e),An=i(Bs),Da=o(Bs,"SPAN",{"data-svelte-h":!0}),n(Da)!=="svelte-13asq0j"&&(Da.innerHTML=af),Bs.forEach(e),ti=i(t),vr=o(t,"P",{"data-svelte-h":!0}),n(vr)!=="svelte-5479oq"&&(vr.textContent=lf),ei=i(t),yr=o(t,"P",{"data-svelte-h":!0}),n(yr)!=="svelte-qwp7fz"&&(yr.innerHTML=of),ri=i(t),Tr=o(t,"TABLE",{"data-svelte-h":!0}),n(Tr)!=="svelte-1482umh"&&(Tr.innerHTML=df),ai=i(t),li=o(t,"HR",{}),oi=i(t),_r=o(t,"A",{id:!0,class:!0}),f(_r).forEach(e),di=i(t),j=o(t,"H2",{class:!0});var Js=f(j);vt=o(Js,"A",{id:!0,class:!0,href:!0});var zh=f(vt);pl=o(zh,"SPAN",{});var Dh=f(pl);c(br.$$.fragment,Dh),Dh.forEach(e),zh.forEach(e),wn=i(Js),qa=o(Js,"SPAN",{"data-svelte-h":!0}),n(qa)!=="svelte-1c4airo"&&(qa.innerHTML=sf),Js.forEach(e),ii=i(t),xr=o(t,"P",{"data-svelte-h":!0}),n(xr)!=="svelte-1kaf4lx"&&(xr.textContent=nf),si=i(t),Ar=o(t,"P",{"data-svelte-h":!0}),n(Ar)!=="svelte-gudhvq"&&(Ar.innerHTML=uf),ni=i(t),wr=o(t,"TABLE",{"data-svelte-h":!0}),n(wr)!=="svelte-nyqk4k"&&(wr.innerHTML=ff),ui=i(t),fi=o(t,"HR",{}),hi=i(t),Hr=o(t,"A",{id:!0,class:!0}),f(Hr).forEach(e),ci=i(t),U=o(t,"H2",{class:!0});var Zs=f(U);yt=o(Zs,"A",{id:!0,class:!0,href:!0});var qh=f(yt);vl=o(qh,"SPAN",{});var jh=f(vl);c($r.$$.fragment,jh),jh.forEach(e),qh.forEach(e),Hn=i(Zs),ja=o(Zs,"SPAN",{"data-svelte-h":!0}),n(ja)!=="svelte-14zhje2"&&(ja.innerHTML=hf),Zs.forEach(e),mi=i(t),Lr=o(t,"P",{"data-svelte-h":!0}),n(Lr)!=="svelte-s7mgi8"&&(Lr.textContent=cf),pi=i(t),Mr=o(t,"P",{"data-svelte-h":!0}),n(Mr)!=="svelte-u4yvnz"&&(Mr.innerHTML=mf),vi=i(t),Cr=o(t,"TABLE",{"data-svelte-h":!0}),n(Cr)!=="svelte-pqgsee"&&(Cr.innerHTML=pf),yi=i(t),Ti=o(t,"HR",{}),_i=i(t),Fr=o(t,"A",{id:!0,class:!0}),f(Fr).forEach(e),bi=i(t),O=o(t,"H2",{class:!0});var Gs=f(O);Tt=o(Gs,"A",{id:!0,class:!0,href:!0});var Uh=f(Tt);yl=o(Uh,"SPAN",{});var Oh=f(yl);c(gr.$$.fragment,Oh),Oh.forEach(e),Uh.forEach(e),$n=i(Gs),Ua=o(Gs,"SPAN",{"data-svelte-h":!0}),n(Ua)!=="svelte-d4w23k"&&(Ua.innerHTML=vf),Gs.forEach(e),xi=i(t),Er=o(t,"P",{"data-svelte-h":!0}),n(Er)!=="svelte-6quqqj"&&(Er.textContent=yf),Ai=i(t),Pr=o(t,"P",{"data-svelte-h":!0}),n(Pr)!=="svelte-1y45k06"&&(Pr.innerHTML=Tf),wi=i(t),kr=o(t,"TABLE",{"data-svelte-h":!0}),n(kr)!=="svelte-nyqk4k"&&(kr.innerHTML=_f),Hi=i(t),$i=o(t,"HR",{}),Li=i(t),Sr=o(t,"A",{id:!0,class:!0}),f(Sr).forEach(e),Mi=i(t),K=o(t,"H2",{class:!0});var Qs=f(K);_t=o(Qs,"A",{id:!0,class:!0,href:!0});var Kh=f(_t);Tl=o(Kh,"SPAN",{});var Ih=f(Tl);c(Rr.$$.fragment,Ih),Ih.forEach(e),Kh.forEach(e),Ln=i(Qs),Oa=o(Qs,"SPAN",{"data-svelte-h":!0}),n(Oa)!=="svelte-1j20wq9"&&(Oa.innerHTML=bf),Qs.forEach(e),Ci=i(t),Nr=o(t,"P",{"data-svelte-h":!0}),n(Nr)!=="svelte-132v21g"&&(Nr.textContent=xf),Fi=i(t),zr=o(t,"P",{"data-svelte-h":!0}),n(zr)!=="svelte-odriss"&&(zr.innerHTML=Af),gi=i(t),Dr=o(t,"TABLE",{"data-svelte-h":!0}),n(Dr)!=="svelte-nbo00i"&&(Dr.innerHTML=wf),Ei=i(t),Pi=o(t,"HR",{}),ki=i(t),qr=o(t,"A",{id:!0,class:!0}),f(qr).forEach(e),Si=i(t),I=o(t,"H2",{class:!0});var Vs=f(I);bt=o(Vs,"A",{id:!0,class:!0,href:!0});var Bh=f(bt);_l=o(Bh,"SPAN",{});var Jh=f(_l);c(jr.$$.fragment,Jh),Jh.forEach(e),Bh.forEach(e),Mn=i(Vs),Ka=o(Vs,"SPAN",{"data-svelte-h":!0}),n(Ka)!=="svelte-1nd153"&&(Ka.innerHTML=Hf),Vs.forEach(e),Ri=i(t),Ur=o(t,"P",{"data-svelte-h":!0}),n(Ur)!=="svelte-67h0u1"&&(Ur.textContent=$f),Ni=i(t),Or=o(t,"P",{"data-svelte-h":!0}),n(Or)!=="svelte-y3y2es"&&(Or.innerHTML=Lf),zi=i(t),Kr=o(t,"UL",{"data-svelte-h":!0}),n(Kr)!=="svelte-jusv8t"&&(Kr.innerHTML=Mf),Di=i(t),Ir=o(t,"TABLE",{"data-svelte-h":!0}),n(Ir)!=="svelte-1lz1juf"&&(Ir.innerHTML=Cf),qi=i(t),ji=o(t,"HR",{}),Ui=i(t),Br=o(t,"A",{id:!0,class:!0}),f(Br).forEach(e),Oi=i(t),B=o(t,"H2",{class:!0});var Ws=f(B);xt=o(Ws,"A",{id:!0,class:!0,href:!0});var Zh=f(xt);bl=o(Zh,"SPAN",{});var Gh=f(bl);c(Jr.$$.fragment,Gh),Gh.forEach(e),Zh.forEach(e),Cn=i(Ws),Ia=o(Ws,"SPAN",{"data-svelte-h":!0}),n(Ia)!=="svelte-508ue5"&&(Ia.innerHTML=Ff),Ws.forEach(e),Ki=i(t),Zr=o(t,"P",{"data-svelte-h":!0}),n(Zr)!=="svelte-9vv4b"&&(Zr.textContent=gf),Ii=i(t),Gr=o(t,"P",{"data-svelte-h":!0}),n(Gr)!=="svelte-r5et8a"&&(Gr.innerHTML=Ef),Bi=i(t),Qr=o(t,"UL",{"data-svelte-h":!0}),n(Qr)!=="svelte-jusv8t"&&(Qr.innerHTML=Pf),Ji=i(t),Vr=o(t,"TABLE",{"data-svelte-h":!0}),n(Vr)!=="svelte-1lz1juf"&&(Vr.innerHTML=kf),Zi=i(t),Gi=o(t,"HR",{}),Qi=i(t),Wr=o(t,"A",{id:!0,class:!0}),f(Wr).forEach(e),Vi=i(t),J=o(t,"H2",{class:!0});var Xs=f(J);At=o(Xs,"A",{id:!0,class:!0,href:!0});var Qh=f(At);xl=o(Qh,"SPAN",{});var Vh=f(xl);c(Xr.$$.fragment,Vh),Vh.forEach(e),Qh.forEach(e),Fn=i(Xs),Ba=o(Xs,"SPAN",{"data-svelte-h":!0}),n(Ba)!=="svelte-109oei4"&&(Ba.innerHTML=Sf),Xs.forEach(e),Wi=i(t),Yr=o(t,"P",{"data-svelte-h":!0}),n(Yr)!=="svelte-8fws3u"&&(Yr.textContent=Rf),Xi=i(t),ta=o(t,"P",{"data-svelte-h":!0}),n(ta)!=="svelte-8awj2f"&&(ta.innerHTML=Nf),Yi=i(t),ea=o(t,"P",{"data-svelte-h":!0}),n(ea)!=="svelte-1mkfcsr"&&(ea.innerHTML=zf),ts=i(t),ra=o(t,"UL",{"data-svelte-h":!0}),n(ra)!=="svelte-1i3knpp"&&(ra.innerHTML=Df),es=i(t),aa=o(t,"TABLE",{"data-svelte-h":!0}),n(aa)!=="svelte-166ukyk"&&(aa.innerHTML=qf),rs=i(t),la=o(t,"P",{"data-svelte-h":!0}),n(la)!=="svelte-1aswmub"&&(la.innerHTML=jf),as=i(t),c(oa.$$.fragment,t),ls=i(t),os=o(t,"HR",{}),ds=i(t),da=o(t,"A",{id:!0,class:!0}),f(da).forEach(e),is=i(t),Z=o(t,"H2",{class:!0});var Ys=f(Z);wt=o(Ys,"A",{id:!0,class:!0,href:!0});var Wh=f(wt);Al=o(Wh,"SPAN",{});var Xh=f(Al);c(ia.$$.fragment,Xh),Xh.forEach(e),Wh.forEach(e),gn=i(Ys),Ja=o(Ys,"SPAN",{"data-svelte-h":!0}),n(Ja)!=="svelte-jkyn1t"&&(Ja.innerHTML=Uf),Ys.forEach(e),ss=i(t),sa=o(t,"P",{"data-svelte-h":!0}),n(sa)!=="svelte-xb1vdd"&&(sa.textContent=Of),ns=i(t),na=o(t,"P",{"data-svelte-h":!0}),n(na)!=="svelte-z8esp"&&(na.innerHTML=Kf),us=i(t),ua=o(t,"TABLE",{"data-svelte-h":!0}),n(ua)!=="svelte-pk7ooi"&&(ua.innerHTML=If),fs=i(t),hs=o(t,"HR",{}),cs=i(t),fa=o(t,"A",{id:!0,class:!0}),f(fa).forEach(e),ms=i(t),G=o(t,"H2",{class:!0});var tn=f(G);Ht=o(tn,"A",{id:!0,class:!0,href:!0});var Yh=f(Ht);wl=o(Yh,"SPAN",{});var tc=f(wl);c(ha.$$.fragment,tc),tc.forEach(e),Yh.forEach(e),En=i(tn),Za=o(tn,"SPAN",{"data-svelte-h":!0}),n(Za)!=="svelte-1fpllrg"&&(Za.innerHTML=Bf),tn.forEach(e),ps=i(t),ca=o(t,"P",{"data-svelte-h":!0}),n(ca)!=="svelte-11aka64"&&(ca.textContent=Jf),vs=i(t),ma=o(t,"P",{"data-svelte-h":!0}),n(ma)!=="svelte-jttckh"&&(ma.innerHTML=Zf),ys=i(t),pa=o(t,"TABLE",{"data-svelte-h":!0}),n(pa)!=="svelte-c6gnt1"&&(pa.innerHTML=Gf),Ts=i(t),_s=o(t,"HR",{}),bs=i(t),va=o(t,"A",{id:!0,class:!0}),f(va).forEach(e),xs=i(t),Q=o(t,"H2",{class:!0});var en=f(Q);$t=o(en,"A",{id:!0,class:!0,href:!0});var ec=f($t);Hl=o(ec,"SPAN",{});var rc=f(Hl);c(ya.$$.fragment,rc),rc.forEach(e),ec.forEach(e),Pn=i(en),Ga=o(en,"SPAN",{"data-svelte-h":!0}),n(Ga)!=="svelte-9m4aia"&&(Ga.innerHTML=Qf),en.forEach(e),As=i(t),Ta=o(t,"P",{"data-svelte-h":!0}),n(Ta)!=="svelte-9rr3v5"&&(Ta.innerHTML=Vf),ws=i(t),Hs=o(t,"HR",{}),this.h()},h(){s(_,"name","hf:doc:metadata"),s(_,"content",JSON.stringify(fc)),s(Lt,"id","module_utils/maths"),s(Lt,"class","group"),s(V,"id","utilsmaths"),s(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(V,"href","#utilsmaths"),s(b,"class","relative group"),s(Et,"id","module_utils/maths.FFT"),s(Et,"class","group"),s(W,"id","utilsmathsfft"),s(W,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(W,"href","#utilsmathsfft"),s(x,"class","relative group"),s(Nt,"id","new_module_utils/maths.FFT_new"),s(Nt,"class","group"),s(X,"id","new-fftsize"),s(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(X,"href","#new-fftsize"),s(A,"class","relative group"),s(Ut,"id","module_utils/maths.FFT+createComplexArray"),s(Ut,"class","group"),s(Y,"id","fftcreatecomplexarray-codefloat32arraycode"),s(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(Y,"href","#fftcreatecomplexarray-codefloat32arraycode"),s(w,"class","relative group"),s(Bt,"id","module_utils/maths.FFT+fromComplexArray"),s(Bt,"class","group"),s(tt,"id","fftfromcomplexarraycomplex-storage-codearrayampltnumberampgtcode"),s(tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(tt,"href","#fftfromcomplexarraycomplex-storage-codearrayampltnumberampgtcode"),s(H,"class","relative group"),s(Vt,"id","module_utils/maths.FFT+toComplexArray"),s(Vt,"class","group"),s(et,"id","ffttocomplexarrayinput-storage-codefloat32arraycode"),s(et,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(et,"href","#ffttocomplexarrayinput-storage-codefloat32arraycode"),s($,"class","relative group"),s(ee,"id","module_utils/maths.FFT+completeSpectrum"),s(ee,"class","group"),s(rt,"id","fftcompletespectrumspectrum-codevoidcode"),s(rt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(rt,"href","#fftcompletespectrumspectrum-codevoidcode"),s(L,"class","relative group"),s(de,"id","module_utils/maths.FFT+transform"),s(de,"class","group"),s(at,"id","ffttransformout-data-codevoidcode"),s(at,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(at,"href","#ffttransformout-data-codevoidcode"),s(M,"class","relative group"),s(he,"id","module_utils/maths.FFT+realTransform"),s(he,"class","group"),s(lt,"id","fftrealtransformout-data"),s(lt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(lt,"href","#fftrealtransformout-data"),s(C,"class","relative group"),s(Te,"id","module_utils/maths.FFT+inverseTransform"),s(Te,"class","group"),s(ot,"id","fftinversetransformout-data-codevoidcode"),s(ot,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(ot,"href","#fftinversetransformout-data-codevoidcode"),s(F,"class","relative group"),s(He,"id","module_utils/maths.FFT+_transform4"),s(He,"class","group"),s(dt,"id","ffttransform4out-data-inv-codevoidcode"),s(dt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(dt,"href","#ffttransform4out-data-inv-codevoidcode"),s(g,"class","relative group"),s(Fe,"id","module_utils/maths.FFT+_singleTransform2"),s(Fe,"class","group"),s(it,"id","fftsingletransform2data-out-outoff-off-step-codevoidcode"),s(it,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(it,"href","#fftsingletransform2data-out-outoff-off-step-codevoidcode"),s(E,"class","relative group"),s(Se,"id","module_utils/maths.FFT+_singleTransform4"),s(Se,"class","group"),s(st,"id","fftsingletransform4data-out-outoff-off-step-inv-codevoidcode"),s(st,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(st,"href","#fftsingletransform4data-out-outoff-off-step-inv-codevoidcode"),s(P,"class","relative group"),s(qe,"id","module_utils/maths.FFT+_realTransform4"),s(qe,"class","group"),s(nt,"id","fftrealtransform4out-data-inv"),s(nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(nt,"href","#fftrealtransform4out-data-inv"),s(k,"class","relative group"),s(Ie,"id","module_utils/maths.FFT+_singleRealTransform2"),s(Ie,"class","group"),s(ut,"id","fftsinglerealtransform2data-out-outoff-off-step-codevoidcode"),s(ut,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(ut,"href","#fftsinglerealtransform2data-out-outoff-off-step-codevoidcode"),s(S,"class","relative group"),s(Qe,"id","module_utils/maths.FFT+_singleRealTransform4"),s(Qe,"class","group"),s(ft,"id","fftsinglerealtransform4data-out-outoff-off-step-inv"),s(ft,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(ft,"href","#fftsinglerealtransform4data-out-outoff-off-step-inv"),s(R,"class","relative group"),s(tr,"id","module_utils/maths.interpolate_data"),s(tr,"class","group"),s(ht,"id","utilsmathsinterpolatedatainput"),s(ht,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(ht,"href","#utilsmathsinterpolatedatainput"),s(N,"class","relative group"),s(lr,"id","module_utils/maths.transpose_data"),s(lr,"class","group"),s(ct,"id","utilsmathstransposedataarray-dims-axes-codecode"),s(ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(ct,"href","#utilsmathstransposedataarray-dims-axes-codecode"),s(z,"class","relative group"),s(nr,"id","module_utils/maths.softmax"),s(nr,"class","group"),s(mt,"id","utilsmathssoftmaxarr-codearrayampltnumberampgtcode"),s(mt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(mt,"href","#utilsmathssoftmaxarr-codearrayampltnumberampgtcode"),s(D,"class","relative group"),s(mr,"id","module_utils/maths.log_softmax"),s(mr,"class","group"),s(pt,"id","utilsmathslogsoftmaxarr-codeanycode"),s(pt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(pt,"href","#utilsmathslogsoftmaxarr-codeanycode"),s(q,"class","relative group"),s(_r,"id","module_utils/maths.dot"),s(_r,"class","group"),s(vt,"id","utilsmathsdotarr1-arr2-codenumbercode"),s(vt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(vt,"href","#utilsmathsdotarr1-arr2-codenumbercode"),s(j,"class","relative group"),s(Hr,"id","module_utils/maths.getTopItems"),s(Hr,"class","group"),s(yt,"id","utilsmathsgettopitemsitems-topk-codearraycode"),s(yt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(yt,"href","#utilsmathsgettopitemsitems-topk-codearraycode"),s(U,"class","relative group"),s(Fr,"id","module_utils/maths.cos_sim"),s(Fr,"class","group"),s(Tt,"id","utilsmathscossimarr1-arr2-codenumbercode"),s(Tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(Tt,"href","#utilsmathscossimarr1-arr2-codenumbercode"),s(O,"class","relative group"),s(Sr,"id","module_utils/maths.magnitude"),s(Sr,"class","group"),s(_t,"id","utilsmathsmagnitudearr-codenumbercode"),s(_t,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(_t,"href","#utilsmathsmagnitudearr-codenumbercode"),s(K,"class","relative group"),s(qr,"id","module_utils/maths.min"),s(qr,"class","group"),s(bt,"id","utilsmathsminarr-codearrayampltnumberampgtcode"),s(bt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(bt,"href","#utilsmathsminarr-codearrayampltnumberampgtcode"),s(I,"class","relative group"),s(Br,"id","module_utils/maths.max"),s(Br,"class","group"),s(xt,"id","utilsmathsmaxarr-codearrayampltnumberampgtcode"),s(xt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(xt,"href","#utilsmathsmaxarr-codearrayampltnumberampgtcode"),s(B,"class","relative group"),s(Wr,"id","module_utils/maths.rfftfreq"),s(Wr,"class","group"),s(At,"id","utilsmathsrfftfreqn-d-codearrayampltnumberampgtcode"),s(At,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(At,"href","#utilsmathsrfftfreqn-d-codearrayampltnumberampgtcode"),s(J,"class","relative group"),s(da,"id","module_utils/maths.medianFilter"),s(da,"class","group"),s(wt,"id","utilsmathsmedianfilterdata-windowsize"),s(wt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(wt,"href","#utilsmathsmedianfilterdata-windowsize"),s(Z,"class","relative group"),s(fa,"id","module_utils/maths.round"),s(fa,"class","group"),s(Ht,"id","utilsmathsroundnum-decimals-codenumbercode"),s(Ht,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(Ht,"href","#utilsmathsroundnum-decimals-codenumbercode"),s(G,"class","relative group"),s(va,"id","module_utils/maths..AnyTypedArray"),s(va,"class","group"),s($t,"id","utilsmathsanytypedarray-codeint8arraycode-codeuint8arraycode-codeuint8clampedarraycode-codeint16arraycode-codeuint16arraycode-codeint32arraycode-codeuint32arraycode-codefloat32arraycode-codefloat64arraycode"),s($t,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s($t,"href","#utilsmathsanytypedarray-codeint8arraycode-codeuint8arraycode-codeuint8clampedarraycode-codeint16arraycode-codeuint16arraycode-codeint32arraycode-codeuint32arraycode-codefloat32arraycode-codefloat64arraycode"),s(Q,"class","relative group")},m(t,r){u(document.head,_),a(t,$l,r),a(t,Lt,r),a(t,Ll,r),a(t,b,r),u(b,V),u(V,Qa),m(Mt,Qa,null),u(b,rn),u(b,_a),a(t,Ml,r),a(t,Ct,r),a(t,Cl,r),a(t,Ft,r),a(t,Fl,r),a(t,gt,r),a(t,gl,r),a(t,El,r),a(t,Pl,r),a(t,Et,r),a(t,kl,r),a(t,x,r),u(x,W),u(W,Va),m(Pt,Va,null),u(x,an),u(x,ba),a(t,Sl,r),a(t,kt,r),a(t,Rl,r),a(t,St,r),a(t,Nl,r),a(t,Rt,r),a(t,zl,r),a(t,Dl,r),a(t,ql,r),a(t,Nt,r),a(t,jl,r),a(t,A,r),u(A,X),u(X,Wa),m(zt,Wa,null),u(A,ln),u(A,xa),a(t,Ul,r),a(t,Dt,r),a(t,Ol,r),a(t,qt,r),a(t,Kl,r),a(t,jt,r),a(t,Il,r),a(t,Bl,r),a(t,Jl,r),a(t,Ut,r),a(t,Zl,r),a(t,w,r),u(w,Y),u(Y,Xa),m(Ot,Xa,null),u(w,on),u(w,Aa),a(t,Gl,r),a(t,Kt,r),a(t,Ql,r),a(t,It,r),a(t,Vl,r),a(t,Wl,r),a(t,Xl,r),a(t,Bt,r),a(t,Yl,r),a(t,H,r),u(H,tt),u(tt,Ya),m(Jt,Ya,null),u(H,dn),u(H,wa),a(t,to,r),a(t,Zt,r),a(t,eo,r),a(t,Gt,r),a(t,ro,r),a(t,Qt,r),a(t,ao,r),a(t,lo,r),a(t,oo,r),a(t,Vt,r),a(t,io,r),a(t,$,r),u($,et),u(et,tl),m(Wt,tl,null),u($,sn),u($,Ha),a(t,so,r),a(t,Xt,r),a(t,no,r),a(t,Yt,r),a(t,uo,r),a(t,te,r),a(t,fo,r),a(t,ho,r),a(t,co,r),a(t,ee,r),a(t,mo,r),a(t,L,r),u(L,rt),u(rt,el),m(re,el,null),u(L,nn),u(L,$a),a(t,po,r),a(t,ae,r),a(t,vo,r),a(t,le,r),a(t,yo,r),a(t,oe,r),a(t,To,r),a(t,_o,r),a(t,bo,r),a(t,de,r),a(t,xo,r),a(t,M,r),u(M,at),u(at,rl),m(ie,rl,null),u(M,un),u(M,La),a(t,Ao,r),a(t,se,r),a(t,wo,r),a(t,ne,r),a(t,Ho,r),a(t,ue,r),a(t,$o,r),a(t,fe,r),a(t,Lo,r),a(t,Mo,r),a(t,Co,r),a(t,he,r),a(t,Fo,r),a(t,C,r),u(C,lt),u(lt,al),m(ce,al,null),u(C,fn),u(C,Ma),a(t,go,r),a(t,me,r),a(t,Eo,r),a(t,pe,r),a(t,Po,r),a(t,ve,r),a(t,ko,r),a(t,ye,r),a(t,So,r),a(t,Ro,r),a(t,No,r),a(t,Te,r),a(t,zo,r),a(t,F,r),u(F,ot),u(ot,ll),m(_e,ll,null),u(F,hn),u(F,Ca),a(t,Do,r),a(t,be,r),a(t,qo,r),a(t,xe,r),a(t,jo,r),a(t,Ae,r),a(t,Uo,r),a(t,we,r),a(t,Oo,r),a(t,Ko,r),a(t,Io,r),a(t,He,r),a(t,Bo,r),a(t,g,r),u(g,dt),u(dt,ol),m($e,ol,null),u(g,cn),u(g,Fa),a(t,Jo,r),a(t,Le,r),a(t,Zo,r),a(t,Me,r),a(t,Go,r),a(t,Ce,r),a(t,Qo,r),a(t,Vo,r),a(t,Wo,r),a(t,Fe,r),a(t,Xo,r),a(t,E,r),u(E,it),u(it,dl),m(ge,dl,null),u(E,mn),u(E,ga),a(t,Yo,r),a(t,Ee,r),a(t,td,r),a(t,Pe,r),a(t,ed,r),a(t,ke,r),a(t,rd,r),a(t,ad,r),a(t,ld,r),a(t,Se,r),a(t,od,r),a(t,P,r),u(P,st),u(st,il),m(Re,il,null),u(P,pn),u(P,Ea),a(t,dd,r),a(t,Ne,r),a(t,id,r),a(t,ze,r),a(t,sd,r),a(t,De,r),a(t,nd,r),a(t,ud,r),a(t,fd,r),a(t,qe,r),a(t,hd,r),a(t,k,r),u(k,nt),u(nt,sl),m(je,sl,null),u(k,vn),u(k,Pa),a(t,cd,r),a(t,Ue,r),a(t,md,r),a(t,Oe,r),a(t,pd,r),a(t,Ke,r),a(t,vd,r),a(t,yd,r),a(t,Td,r),a(t,Ie,r),a(t,_d,r),a(t,S,r),u(S,ut),u(ut,nl),m(Be,nl,null),u(S,yn),u(S,ka),a(t,bd,r),a(t,Je,r),a(t,xd,r),a(t,Ze,r),a(t,Ad,r),a(t,Ge,r),a(t,wd,r),a(t,Hd,r),a(t,$d,r),a(t,Qe,r),a(t,Ld,r),a(t,R,r),u(R,ft),u(ft,ul),m(Ve,ul,null),u(R,Tn),u(R,Sa),a(t,Md,r),a(t,We,r),a(t,Cd,r),a(t,Xe,r),a(t,Fd,r),a(t,Ye,r),a(t,gd,r),a(t,Ed,r),a(t,Pd,r),a(t,tr,r),a(t,kd,r),a(t,N,r),u(N,ht),u(ht,fl),m(er,fl,null),u(N,_n),u(N,Ra),a(t,Sd,r),a(t,rr,r),a(t,Rd,r),a(t,ar,r),a(t,Nd,r),a(t,zd,r),a(t,Dd,r),a(t,lr,r),a(t,qd,r),a(t,z,r),u(z,ct),u(ct,hl),m(or,hl,null),u(z,bn),u(z,Na),a(t,jd,r),a(t,dr,r),a(t,Ud,r),a(t,ir,r),a(t,Od,r),a(t,sr,r),a(t,Kd,r),a(t,Id,r),a(t,Bd,r),a(t,nr,r),a(t,Jd,r),a(t,D,r),u(D,mt),u(mt,cl),m(ur,cl,null),u(D,xn),u(D,za),a(t,Zd,r),a(t,fr,r),a(t,Gd,r),a(t,hr,r),a(t,Qd,r),a(t,cr,r),a(t,Vd,r),a(t,Wd,r),a(t,Xd,r),a(t,mr,r),a(t,Yd,r),a(t,q,r),u(q,pt),u(pt,ml),m(pr,ml,null),u(q,An),u(q,Da),a(t,ti,r),a(t,vr,r),a(t,ei,r),a(t,yr,r),a(t,ri,r),a(t,Tr,r),a(t,ai,r),a(t,li,r),a(t,oi,r),a(t,_r,r),a(t,di,r),a(t,j,r),u(j,vt),u(vt,pl),m(br,pl,null),u(j,wn),u(j,qa),a(t,ii,r),a(t,xr,r),a(t,si,r),a(t,Ar,r),a(t,ni,r),a(t,wr,r),a(t,ui,r),a(t,fi,r),a(t,hi,r),a(t,Hr,r),a(t,ci,r),a(t,U,r),u(U,yt),u(yt,vl),m($r,vl,null),u(U,Hn),u(U,ja),a(t,mi,r),a(t,Lr,r),a(t,pi,r),a(t,Mr,r),a(t,vi,r),a(t,Cr,r),a(t,yi,r),a(t,Ti,r),a(t,_i,r),a(t,Fr,r),a(t,bi,r),a(t,O,r),u(O,Tt),u(Tt,yl),m(gr,yl,null),u(O,$n),u(O,Ua),a(t,xi,r),a(t,Er,r),a(t,Ai,r),a(t,Pr,r),a(t,wi,r),a(t,kr,r),a(t,Hi,r),a(t,$i,r),a(t,Li,r),a(t,Sr,r),a(t,Mi,r),a(t,K,r),u(K,_t),u(_t,Tl),m(Rr,Tl,null),u(K,Ln),u(K,Oa),a(t,Ci,r),a(t,Nr,r),a(t,Fi,r),a(t,zr,r),a(t,gi,r),a(t,Dr,r),a(t,Ei,r),a(t,Pi,r),a(t,ki,r),a(t,qr,r),a(t,Si,r),a(t,I,r),u(I,bt),u(bt,_l),m(jr,_l,null),u(I,Mn),u(I,Ka),a(t,Ri,r),a(t,Ur,r),a(t,Ni,r),a(t,Or,r),a(t,zi,r),a(t,Kr,r),a(t,Di,r),a(t,Ir,r),a(t,qi,r),a(t,ji,r),a(t,Ui,r),a(t,Br,r),a(t,Oi,r),a(t,B,r),u(B,xt),u(xt,bl),m(Jr,bl,null),u(B,Cn),u(B,Ia),a(t,Ki,r),a(t,Zr,r),a(t,Ii,r),a(t,Gr,r),a(t,Bi,r),a(t,Qr,r),a(t,Ji,r),a(t,Vr,r),a(t,Zi,r),a(t,Gi,r),a(t,Qi,r),a(t,Wr,r),a(t,Vi,r),a(t,J,r),u(J,At),u(At,xl),m(Xr,xl,null),u(J,Fn),u(J,Ba),a(t,Wi,r),a(t,Yr,r),a(t,Xi,r),a(t,ta,r),a(t,Yi,r),a(t,ea,r),a(t,ts,r),a(t,ra,r),a(t,es,r),a(t,aa,r),a(t,rs,r),a(t,la,r),a(t,as,r),m(oa,t,r),a(t,ls,r),a(t,os,r),a(t,ds,r),a(t,da,r),a(t,is,r),a(t,Z,r),u(Z,wt),u(wt,Al),m(ia,Al,null),u(Z,gn),u(Z,Ja),a(t,ss,r),a(t,sa,r),a(t,ns,r),a(t,na,r),a(t,us,r),a(t,ua,r),a(t,fs,r),a(t,hs,r),a(t,cs,r),a(t,fa,r),a(t,ms,r),a(t,G,r),u(G,Ht),u(Ht,wl),m(ha,wl,null),u(G,En),u(G,Za),a(t,ps,r),a(t,ca,r),a(t,vs,r),a(t,ma,r),a(t,ys,r),a(t,pa,r),a(t,Ts,r),a(t,_s,r),a(t,bs,r),a(t,va,r),a(t,xs,r),a(t,Q,r),u(Q,$t),u($t,Hl),m(ya,Hl,null),u(Q,Pn),u(Q,Ga),a(t,As,r),a(t,Ta,r),a(t,ws,r),a(t,Hs,r),$s=!0},p:lc,i(t){$s||(p(Mt.$$.fragment,t),p(Pt.$$.fragment,t),p(zt.$$.fragment,t),p(Ot.$$.fragment,t),p(Jt.$$.fragment,t),p(Wt.$$.fragment,t),p(re.$$.fragment,t),p(ie.$$.fragment,t),p(ce.$$.fragment,t),p(_e.$$.fragment,t),p($e.$$.fragment,t),p(ge.$$.fragment,t),p(Re.$$.fragment,t),p(je.$$.fragment,t),p(Be.$$.fragment,t),p(Ve.$$.fragment,t),p(er.$$.fragment,t),p(or.$$.fragment,t),p(ur.$$.fragment,t),p(pr.$$.fragment,t),p(br.$$.fragment,t),p($r.$$.fragment,t),p(gr.$$.fragment,t),p(Rr.$$.fragment,t),p(jr.$$.fragment,t),p(Jr.$$.fragment,t),p(Xr.$$.fragment,t),p(oa.$$.fragment,t),p(ia.$$.fragment,t),p(ha.$$.fragment,t),p(ya.$$.fragment,t),$s=!0)},o(t){v(Mt.$$.fragment,t),v(Pt.$$.fragment,t),v(zt.$$.fragment,t),v(Ot.$$.fragment,t),v(Jt.$$.fragment,t),v(Wt.$$.fragment,t),v(re.$$.fragment,t),v(ie.$$.fragment,t),v(ce.$$.fragment,t),v(_e.$$.fragment,t),v($e.$$.fragment,t),v(ge.$$.fragment,t),v(Re.$$.fragment,t),v(je.$$.fragment,t),v(Be.$$.fragment,t),v(Ve.$$.fragment,t),v(er.$$.fragment,t),v(or.$$.fragment,t),v(ur.$$.fragment,t),v(pr.$$.fragment,t),v(br.$$.fragment,t),v($r.$$.fragment,t),v(gr.$$.fragment,t),v(Rr.$$.fragment,t),v(jr.$$.fragment,t),v(Jr.$$.fragment,t),v(Xr.$$.fragment,t),v(oa.$$.fragment,t),v(ia.$$.fragment,t),v(ha.$$.fragment,t),v(ya.$$.fragment,t),$s=!1},d(t){t&&(e($l),e(Lt),e(Ll),e(b),e(Ml),e(Ct),e(Cl),e(Ft),e(Fl),e(gt),e(gl),e(El),e(Pl),e(Et),e(kl),e(x),e(Sl),e(kt),e(Rl),e(St),e(Nl),e(Rt),e(zl),e(Dl),e(ql),e(Nt),e(jl),e(A),e(Ul),e(Dt),e(Ol),e(qt),e(Kl),e(jt),e(Il),e(Bl),e(Jl),e(Ut),e(Zl),e(w),e(Gl),e(Kt),e(Ql),e(It),e(Vl),e(Wl),e(Xl),e(Bt),e(Yl),e(H),e(to),e(Zt),e(eo),e(Gt),e(ro),e(Qt),e(ao),e(lo),e(oo),e(Vt),e(io),e($),e(so),e(Xt),e(no),e(Yt),e(uo),e(te),e(fo),e(ho),e(co),e(ee),e(mo),e(L),e(po),e(ae),e(vo),e(le),e(yo),e(oe),e(To),e(_o),e(bo),e(de),e(xo),e(M),e(Ao),e(se),e(wo),e(ne),e(Ho),e(ue),e($o),e(fe),e(Lo),e(Mo),e(Co),e(he),e(Fo),e(C),e(go),e(me),e(Eo),e(pe),e(Po),e(ve),e(ko),e(ye),e(So),e(Ro),e(No),e(Te),e(zo),e(F),e(Do),e(be),e(qo),e(xe),e(jo),e(Ae),e(Uo),e(we),e(Oo),e(Ko),e(Io),e(He),e(Bo),e(g),e(Jo),e(Le),e(Zo),e(Me),e(Go),e(Ce),e(Qo),e(Vo),e(Wo),e(Fe),e(Xo),e(E),e(Yo),e(Ee),e(td),e(Pe),e(ed),e(ke),e(rd),e(ad),e(ld),e(Se),e(od),e(P),e(dd),e(Ne),e(id),e(ze),e(sd),e(De),e(nd),e(ud),e(fd),e(qe),e(hd),e(k),e(cd),e(Ue),e(md),e(Oe),e(pd),e(Ke),e(vd),e(yd),e(Td),e(Ie),e(_d),e(S),e(bd),e(Je),e(xd),e(Ze),e(Ad),e(Ge),e(wd),e(Hd),e($d),e(Qe),e(Ld),e(R),e(Md),e(We),e(Cd),e(Xe),e(Fd),e(Ye),e(gd),e(Ed),e(Pd),e(tr),e(kd),e(N),e(Sd),e(rr),e(Rd),e(ar),e(Nd),e(zd),e(Dd),e(lr),e(qd),e(z),e(jd),e(dr),e(Ud),e(ir),e(Od),e(sr),e(Kd),e(Id),e(Bd),e(nr),e(Jd),e(D),e(Zd),e(fr),e(Gd),e(hr),e(Qd),e(cr),e(Vd),e(Wd),e(Xd),e(mr),e(Yd),e(q),e(ti),e(vr),e(ei),e(yr),e(ri),e(Tr),e(ai),e(li),e(oi),e(_r),e(di),e(j),e(ii),e(xr),e(si),e(Ar),e(ni),e(wr),e(ui),e(fi),e(hi),e(Hr),e(ci),e(U),e(mi),e(Lr),e(pi),e(Mr),e(vi),e(Cr),e(yi),e(Ti),e(_i),e(Fr),e(bi),e(O),e(xi),e(Er),e(Ai),e(Pr),e(wi),e(kr),e(Hi),e($i),e(Li),e(Sr),e(Mi),e(K),e(Ci),e(Nr),e(Fi),e(zr),e(gi),e(Dr),e(Ei),e(Pi),e(ki),e(qr),e(Si),e(I),e(Ri),e(Ur),e(Ni),e(Or),e(zi),e(Kr),e(Di),e(Ir),e(qi),e(ji),e(Ui),e(Br),e(Oi),e(B),e(Ki),e(Zr),e(Ii),e(Gr),e(Bi),e(Qr),e(Ji),e(Vr),e(Zi),e(Gi),e(Qi),e(Wr),e(Vi),e(J),e(Wi),e(Yr),e(Xi),e(ta),e(Yi),e(ea),e(ts),e(ra),e(es),e(aa),e(rs),e(la),e(as),e(ls),e(os),e(ds),e(da),e(is),e(Z),e(ss),e(sa),e(ns),e(na),e(us),e(ua),e(fs),e(hs),e(cs),e(fa),e(ms),e(G),e(ps),e(ca),e(vs),e(ma),e(ys),e(pa),e(Ts),e(_s),e(bs),e(va),e(xs),e(Q),e(As),e(Ta),e(ws),e(Hs)),e(_),y(Mt),y(Pt),y(zt),y(Ot),y(Jt),y(Wt),y(re),y(ie),y(ce),y(_e),y($e),y(ge),y(Re),y(je),y(Be),y(Ve),y(er),y(or),y(ur),y(pr),y(br),y($r),y(gr),y(Rr),y(jr),y(Jr),y(Xr),y(oa,t),y(ia),y(ha),y(ya)}}}const fc={local:"utilsmaths",sections:[{local:"utilsmathsfft",sections:[{local:"new-fftsize",title:"`new FFT(size)`"},{local:"fftcreatecomplexarray-codefloat32arraycode",title:"`ffT.createComplexArray()` ⇒ <code>Float32Array</code>"},{local:"fftfromcomplexarraycomplex-storage-codearrayampltnumberampgtcode",title:"`ffT.fromComplexArray(complex, [storage])` ⇒ <code>Array.&lt;number&gt;</code>"},{local:"ffttocomplexarrayinput-storage-codefloat32arraycode",title:"`ffT.toComplexArray(input, [storage])` ⇒ <code>Float32Array</code>"},{local:"fftcompletespectrumspectrum-codevoidcode",title:"`ffT.completeSpectrum(spectrum)` ⇒ <code>void</code>"},{local:"ffttransformout-data-codevoidcode",title:"`ffT.transform(out, data)` ⇒ <code>void</code>"},{local:"fftrealtransformout-data",title:"`ffT.realTransform(out, data)`"},{local:"fftinversetransformout-data-codevoidcode",title:"`ffT.inverseTransform(out, data)` ⇒ <code>void</code>"},{local:"ffttransform4out-data-inv-codevoidcode",title:"`ffT._transform4(out, data, inv)` ⇒ <code>void</code>"},{local:"fftsingletransform2data-out-outoff-off-step-codevoidcode",title:"`ffT._singleTransform2(data, out, outOff, off, step)` ⇒ <code>void</code>"},{local:"fftsingletransform4data-out-outoff-off-step-inv-codevoidcode",title:"`ffT._singleTransform4(data, out, outOff, off, step, inv)` ⇒ <code>void</code>"},{local:"fftrealtransform4out-data-inv",title:"`ffT._realTransform4(out, data, inv)`"},{local:"fftsinglerealtransform2data-out-outoff-off-step-codevoidcode",title:"`ffT._singleRealTransform2(data, out, outOff, off, step)` ⇒ <code>void</code>"},{local:"fftsinglerealtransform4data-out-outoff-off-step-inv",title:"`ffT._singleRealTransform4(data, out, outOff, off, step, inv)`"}],title:"utils/maths.FFT"},{local:"utilsmathsinterpolatedatainput",title:"`utils/maths.interpolate_data(input)`"},{local:"utilsmathstransposedataarray-dims-axes-codecode",title:"`utils/maths.transpose_data(array, dims, axes)` ⇒ <code>*</code>"},{local:"utilsmathssoftmaxarr-codearrayampltnumberampgtcode",title:"`utils/maths.softmax(arr)` ⇒ <code>Array.&lt;number&gt;</code>"},{local:"utilsmathslogsoftmaxarr-codeanycode",title:"`utils/maths.log_softmax(arr)` ⇒ <code>any</code>"},{local:"utilsmathsdotarr1-arr2-codenumbercode",title:"`utils/maths.dot(arr1, arr2)` ⇒ <code>number</code>"},{local:"utilsmathsgettopitemsitems-topk-codearraycode",title:"`utils/maths.getTopItems(items, [top_k])` ⇒ <code>Array</code>"},{local:"utilsmathscossimarr1-arr2-codenumbercode",title:"`utils/maths.cos_sim(arr1, arr2)` ⇒ <code>number</code>"},{local:"utilsmathsmagnitudearr-codenumbercode",title:"`utils/maths.magnitude(arr)` ⇒ <code>number</code>"},{local:"utilsmathsminarr-codearrayampltnumberampgtcode",title:"`utils/maths.min(arr)` ⇒ <code>Array.&lt;number&gt;</code>"},{local:"utilsmathsmaxarr-codearrayampltnumberampgtcode",title:"`utils/maths.max(arr)` ⇒ <code>Array.&lt;number&gt;</code>"},{local:"utilsmathsrfftfreqn-d-codearrayampltnumberampgtcode",title:"`utils/maths.rfftfreq(n, [d])` ⇒ <code>Array.&lt;number&gt;</code>"},{local:"utilsmathsmedianfilterdata-windowsize",title:"`utils/maths.medianFilter(data, windowSize)`"},{local:"utilsmathsroundnum-decimals-codenumbercode",title:"`utils/maths.round(num, decimals)` ⇒ <code>number</code>"},{local:"utilsmathsanytypedarray-codeint8arraycode-codeuint8arraycode-codeuint8clampedarraycode-codeint16arraycode-codeuint16arraycode-codeint32arraycode-codeuint32arraycode-codefloat32arraycode-codefloat64arraycode",title:"`utils/maths~AnyTypedArray` : <code>Int8Array</code> | <code>Uint8Array</code> | <code>Uint8ClampedArray</code> | <code>Int16Array</code> | <code>Uint16Array</code> | <code>Int32Array</code> | <code>Uint32Array</code> | <code>Float32Array</code> | <code>Float64Array</code>"}],title:"utils/maths"};function hc(kn){return oc(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class yc extends dc{constructor(_){super(),ic(this,_,hc,uc,ac,{})}}export{yc as component};
