import{s as _e,n as ke,o as Me}from"../chunks/scheduler.b108d059.js";import{S as We,i as Ie,g as l,s as n,p as H,A as Ze,h as a,f as t,c as d,j as v,q as L,m as h,k as r,v as m,a as s,r as N,d as B,t as S,u as U}from"../chunks/index.505cd174.js";import{I as Ce}from"../chunks/IconCopyLink.74cd415a.js";import{C as ie}from"../chunks/CodeBlock.35457548.js";function Ee(pe){let c,A,w,R,i,f,P,T,re,Z,he="env",D,y,me="Module used to configure Transformers.js.",F,J,fe="<strong>Example:</strong> Disable remote models.",G,b,z,g,ue="<strong>Example:</strong> Set local model path.",Y,x,q,$,ve="<strong>Example:</strong> Set cache directory.",O,C,Q,K,V,_,X,p,u,j,k,ce,E,we="<code>env.env</code>",ee,M,Te="Global variable used to control execution. This provides users a simple way to configure Transformers.js.",te,W,ye='<strong>Kind</strong>: static constant of <a href="#module_env"><code>env</code></a><br/> <strong>Properties</strong>',oe,I,Je=`<thead><tr><th>Name</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>backends</td><td><code>Object</code></td><td><p>Expose environment variables of different backends,
allowing users to set these variables if they want to.</p></td> </tr><tr><td>__dirname</td><td><code>string</code></td><td><p>Directory name of module. Useful for resolving local paths.</p></td> </tr><tr><td>version</td><td><code>string</code></td><td><p>This version of Transformers.js.</p></td> </tr><tr><td>allowRemoteModels</td><td><code>boolean</code></td><td><p>Whether to allow loading of remote files, defaults to <code>true</code>.
If set to <code>false</code>, it will have the same effect as setting <code>local_files_only=true</code> when loading pipelines, models, tokenizers, processors, etc.</p></td> </tr><tr><td>remoteHost</td><td><code>string</code></td><td><p>Host URL to load models from. Defaults to the Hugging Face Hub.</p></td> </tr><tr><td>remotePathTemplate</td><td><code>string</code></td><td><p>Path template to fill in and append to <code>remoteHost</code> when loading models.</p></td> </tr><tr><td>allowLocalModels</td><td><code>boolean</code></td><td><p>Whether to allow loading of local files, defaults to <code>true</code>.
If set to <code>false</code>, it will skip the local file check and try to load the model from the remote host.</p></td> </tr><tr><td>localModelPath</td><td><code>string</code></td><td><p>Path to load local models from. Defaults to <code>/models/</code>.</p></td> </tr><tr><td>useFS</td><td><code>boolean</code></td><td><p>Whether to use the file system to load files. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>useBrowserCache</td><td><code>boolean</code></td><td><p>Whether to use Cache API to cache models. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>useFSCache</td><td><code>boolean</code></td><td><p>Whether to use the file system to cache files. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>cacheDir</td><td><code>string</code></td><td><p>The directory to use for caching files with the file system. By default, it is <code>./.cache</code>.</p></td> </tr><tr><td>useCustomCache</td><td><code>boolean</code></td><td><p>Whether to use a custom cache system (defined by <code>customCache</code>), defaults to <code>false</code>.</p></td> </tr><tr><td>customCache</td><td><code>Object</code></td><td><p>The custom cache to use. Defaults to <code>null</code>. Note: this must be an object which
implements the <code>match</code> and <code>put</code> functions of the Web Cache API. For more information, see <a href="https://developer.mozilla.org/en-US/docs/Web/API/Cache">https://developer.mozilla.org/en-US/docs/Web/API/Cache</a></p></td></tr></tbody>`,se,le,ae;return T=new Ce({}),b=new ie({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmFsbG93UmVtb3RlTW9kZWxzJTIwJTNEJTIwZmFsc2UlM0I=",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">allowRemoteModels</span> = <span class="hljs-literal">false</span>;`}}),x=new ie({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmxvY2FsTW9kZWxQYXRoJTIwJTNEJTIwJyUyRnBhdGglMkZ0byUyRmxvY2FsJTJGbW9kZWxzJTJGJyUzQg==",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">localModelPath</span> = <span class="hljs-string">&#x27;/path/to/local/models/&#x27;</span>;`}}),C=new ie({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmNhY2hlRGlyJTIwJTNEJTIwJyUyRnBhdGglMkZ0byUyRmNhY2hlJTJGZGlyZWN0b3J5JTJGJyUzQg==",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">cacheDir</span> = <span class="hljs-string">&#x27;/path/to/cache/directory/&#x27;</span>;`}}),k=new Ce({}),{c(){c=l("meta"),A=n(),w=l("a"),R=n(),i=l("h1"),f=l("a"),P=l("span"),H(T.$$.fragment),re=n(),Z=l("span"),Z.textContent=he,D=n(),y=l("p"),y.textContent=me,F=n(),J=l("p"),J.innerHTML=fe,G=n(),H(b.$$.fragment),z=n(),g=l("p"),g.innerHTML=ue,Y=n(),H(x.$$.fragment),q=n(),$=l("p"),$.innerHTML=ve,O=n(),H(C.$$.fragment),Q=n(),K=l("hr"),V=n(),_=l("a"),X=n(),p=l("h2"),u=l("a"),j=l("span"),H(k.$$.fragment),ce=n(),E=l("span"),E.innerHTML=we,ee=n(),M=l("p"),M.textContent=Te,te=n(),W=l("p"),W.innerHTML=ye,oe=n(),I=l("table"),I.innerHTML=Je,se=n(),le=l("hr"),this.h()},l(e){const o=Ze("svelte-1phssyn",document.head);c=a(o,"META",{name:!0,content:!0}),o.forEach(t),A=d(e),w=a(e,"A",{id:!0,class:!0}),v(w).forEach(t),R=d(e),i=a(e,"H1",{class:!0});var ne=v(i);f=a(ne,"A",{id:!0,class:!0,href:!0});var be=v(f);P=a(be,"SPAN",{});var ge=v(P);L(T.$$.fragment,ge),ge.forEach(t),be.forEach(t),re=d(ne),Z=a(ne,"SPAN",{"data-svelte-h":!0}),h(Z)!=="svelte-2grn10"&&(Z.textContent=he),ne.forEach(t),D=d(e),y=a(e,"P",{"data-svelte-h":!0}),h(y)!=="svelte-14jubvb"&&(y.textContent=me),F=d(e),J=a(e,"P",{"data-svelte-h":!0}),h(J)!=="svelte-ooim1v"&&(J.innerHTML=fe),G=d(e),L(b.$$.fragment,e),z=d(e),g=a(e,"P",{"data-svelte-h":!0}),h(g)!=="svelte-1rbhmcc"&&(g.innerHTML=ue),Y=d(e),L(x.$$.fragment,e),q=d(e),$=a(e,"P",{"data-svelte-h":!0}),h($)!=="svelte-13xd89q"&&($.innerHTML=ve),O=d(e),L(C.$$.fragment,e),Q=d(e),K=a(e,"HR",{}),V=d(e),_=a(e,"A",{id:!0,class:!0}),v(_).forEach(t),X=d(e),p=a(e,"H2",{class:!0});var de=v(p);u=a(de,"A",{id:!0,class:!0,href:!0});var xe=v(u);j=a(xe,"SPAN",{});var $e=v(j);L(k.$$.fragment,$e),$e.forEach(t),xe.forEach(t),ce=d(de),E=a(de,"SPAN",{"data-svelte-h":!0}),h(E)!=="svelte-1iayrdi"&&(E.innerHTML=we),de.forEach(t),ee=d(e),M=a(e,"P",{"data-svelte-h":!0}),h(M)!=="svelte-k2hmcm"&&(M.textContent=Te),te=d(e),W=a(e,"P",{"data-svelte-h":!0}),h(W)!=="svelte-aq97h0"&&(W.innerHTML=ye),oe=d(e),I=a(e,"TABLE",{"data-svelte-h":!0}),h(I)!=="svelte-1wui4x7"&&(I.innerHTML=Je),se=d(e),le=a(e,"HR",{}),this.h()},h(){r(c,"name","hf:doc:metadata"),r(c,"content",JSON.stringify(Pe)),r(w,"id","module_env"),r(w,"class","group"),r(f,"id","env"),r(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(f,"href","#env"),r(i,"class","relative group"),r(_,"id","module_env.env"),r(_,"class","group"),r(u,"id","envenv"),r(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(u,"href","#envenv"),r(p,"class","relative group")},m(e,o){m(document.head,c),s(e,A,o),s(e,w,o),s(e,R,o),s(e,i,o),m(i,f),m(f,P),N(T,P,null),m(i,re),m(i,Z),s(e,D,o),s(e,y,o),s(e,F,o),s(e,J,o),s(e,G,o),N(b,e,o),s(e,z,o),s(e,g,o),s(e,Y,o),N(x,e,o),s(e,q,o),s(e,$,o),s(e,O,o),N(C,e,o),s(e,Q,o),s(e,K,o),s(e,V,o),s(e,_,o),s(e,X,o),s(e,p,o),m(p,u),m(u,j),N(k,j,null),m(p,ce),m(p,E),s(e,ee,o),s(e,M,o),s(e,te,o),s(e,W,o),s(e,oe,o),s(e,I,o),s(e,se,o),s(e,le,o),ae=!0},p:ke,i(e){ae||(B(T.$$.fragment,e),B(b.$$.fragment,e),B(x.$$.fragment,e),B(C.$$.fragment,e),B(k.$$.fragment,e),ae=!0)},o(e){S(T.$$.fragment,e),S(b.$$.fragment,e),S(x.$$.fragment,e),S(C.$$.fragment,e),S(k.$$.fragment,e),ae=!1},d(e){e&&(t(A),t(w),t(R),t(i),t(D),t(y),t(F),t(J),t(G),t(z),t(g),t(Y),t(q),t($),t(O),t(Q),t(K),t(V),t(_),t(X),t(p),t(ee),t(M),t(te),t(W),t(oe),t(I),t(se),t(le)),t(c),U(T),U(b,e),U(x,e),U(C,e),U(k)}}}const Pe={local:"env",sections:[{local:"envenv",title:"`env.env`"}],title:"env"};function je(pe){return Me(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Se extends We{constructor(c){super(),Ie(this,c,je,Ee,_e,{})}}export{Se as component};
